import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { CfarItinerary, CfarOfferCustomer, UiVariant } from '../../apis/hopper-cloud-airline/v1';
import { TranslateService } from '@ngx-translate/core';
import { HopperCfarService } from '../../services/hopper-cfar.service';
import { HopperEventsService } from '../../services/hopper-events.service';
import { GlobalEventComponent } from '../global-event.component';
import { LoggerService } from '../../services/logger.service';
import * as i0 from "@angular/core";
export declare class CfarOfferBannerLargeComponent extends GlobalEventComponent implements OnInit {
    protected _translateService: TranslateService;
    protected _hopperEventService: HopperEventsService;
    protected _cdRef: ChangeDetectorRef;
    protected _loggerService: LoggerService;
    private _hopperCfarService;
    cfarOffers: CfarOfferCustomer[];
    selectedCfarOffer: CfarOfferCustomer;
    selectedChoice: number;
    currency: string;
    isLoadingContract: boolean;
    hCSessionId: string;
    itineraries: CfarItinerary[];
    uiVariant: UiVariant;
    hasNoCoverageOption: boolean;
    hasWarningCoverageMessage: boolean;
    chooseCoverage: EventEmitter<any>;
    offersLoaded: EventEmitter<any>;
    private _contractsByChoiceIndex;
    constructor(_translateService: TranslateService, _hopperEventService: HopperEventsService, _cdRef: ChangeDetectorRef, _loggerService: LoggerService, _hopperCfarService: HopperCfarService);
    ngOnInit(): void;
    onChooseCoverage(): void;
    onOpenTermsAndConditions(): void;
    getPricePerTraveler(offer: CfarOfferCustomer): number;
    protected initCfarOffers(): void;
    protected toCfarOffersIds(): Array<string>;
    private _initUiParameters;
    static ɵfac: i0.ɵɵFactoryDeclaration<CfarOfferBannerLargeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CfarOfferBannerLargeComponent, "hopper-cfar-offer-banner-large", never, { "hCSessionId": "hCSessionId"; "itineraries": "itineraries"; "uiVariant": "uiVariant"; "hasNoCoverageOption": "hasNoCoverageOption"; "hasWarningCoverageMessage": "hasWarningCoverageMessage"; }, { "chooseCoverage": "chooseCoverage"; "offersLoaded": "offersLoaded"; }, never, never, false, never>;
}
