import { ChangeDetectorRef, OnChanges, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { CfarOfferCustomer } from '../../apis/hopper-cloud-airline/v1';
import { TranslateService } from '@ngx-translate/core';
import { GlobalComponent } from '../global.component';
import { HopperCfarService } from '../../services/hopper-cfar.service';
import { HopperEventsService } from '../../services/hopper-events.service';
import { DecimalPipe } from '@angular/common';
import { LoggerService } from '../../services/logger.service';
import * as i0 from "@angular/core";
export declare class CfarOfferDialogComponent extends GlobalComponent implements OnInit, OnChanges {
    protected _translateService: TranslateService;
    protected _cdRef: ChangeDetectorRef;
    protected _loggerService: LoggerService;
    private _dialogRef;
    data: any;
    private _hopperCfarService;
    private _hopperEventService;
    private _decimalPipe;
    cfarOffers: CfarOfferCustomer[];
    selectedCfarOffer: CfarOfferCustomer;
    isLoading: boolean;
    private _hCSessionId;
    private _itineraries;
    constructor(_translateService: TranslateService, _cdRef: ChangeDetectorRef, _loggerService: LoggerService, _dialogRef: MatDialogRef<CfarOfferDialogComponent>, data: any, _hopperCfarService: HopperCfarService, _hopperEventService: HopperEventsService, _decimalPipe: DecimalPipe);
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    onClose(): void;
    onSubmit(): void;
    onSelectOffer(cfarOffer: CfarOfferCustomer): void;
    onOpenTermsAndConditions(): void;
    getPricePerTraveler(offer: CfarOfferCustomer): number;
    getDynamicCoverage(): string;
    protected initCfarOffers(): void;
    protected toCfarOffersIds(): Array<string>;
    private isOfferDialogEventPossible;
    protected createEventsAfterInit(): void;
    protected createTermsAndConditionsEvent(): void;
    protected createDenyPurchaseEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CfarOfferDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CfarOfferDialogComponent, "hopper-cfar-offer-dialog", never, {}, {}, never, never, false, never>;
}
