import { ChangeDetectorRef } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { UiSource, UiVariant } from '../apis/hopper-cloud-airline/v1';
import { GlobalComponent } from './global.component';
import { HopperEventsService } from '../services/hopper-events.service';
import { LoggerService } from '../services/logger.service';
import * as i0 from "@angular/core";
export declare class GlobalEventComponent extends GlobalComponent {
    protected _translateService: TranslateService;
    protected _hopperEventService: HopperEventsService;
    protected _cdRef: ChangeDetectorRef;
    protected _loggerService: LoggerService;
    protected uiSource: UiSource;
    protected uiVariant: UiVariant;
    protected eventHcSessionId: string;
    protected cfarOffersIds: Array<string>;
    protected cfarExerciseId: string;
    constructor(_translateService: TranslateService, _hopperEventService: HopperEventsService, _cdRef: ChangeDetectorRef, _loggerService: LoggerService);
    protected initCfarPurchaseEventParameters(hCSessionId: string, cfarOffersIds: Array<string>, uiVariant: UiVariant): void;
    protected isPurchaseEventPossible(): boolean;
    protected createPurchaseEventsAfterInit(hasWarningCoverageMessage: boolean): void;
    protected createWarningMessageEvent(): void;
    protected createTermsAndConditionsEvent(): void;
    protected createDenyPurchaseEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GlobalEventComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GlobalEventComponent, "[HopperGlobalEventComponent]", never, {}, {}, never, never, false, never>;
}
