import { ChangeDetectorRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { CfarContractCustomer, CfarItinerary, CfarOfferCustomer, CreateCfarContractCustomerRequest, CreateCfarOfferCustomerRequest, UiSource, UiVariant } from '../apis/hopper-cloud-airline/v1';
import { HttpErrorResponse } from '@angular/common/http';
import { HcAirlinesError } from '../models/hc-airlines-error';
import { Error } from '../apis/hopper-cloud-airline/v1';
import { LoggerService } from '../services/logger.service';
import * as i0 from "@angular/core";
export declare class GlobalComponent implements OnChanges {
    protected _translateService: TranslateService;
    protected _cdRef: ChangeDetectorRef;
    protected _loggerService: LoggerService;
    protected static readonly HTTP_ERROR_UNPROCESSABLE_ENTITY_CODE = 422;
    currentLang: string;
    basePath: string;
    imageBasePath?: string;
    isFakeBackend?: boolean;
    env?: string;
    errorOccurred: EventEmitter<any>;
    errorCode?: string;
    errorMessage?: string;
    constructor(_translateService: TranslateService, _cdRef: ChangeDetectorRef, _loggerService: LoggerService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentChecked(): void;
    protected _getDefaultOffer(offers: CfarOfferCustomer[]): CfarOfferCustomer;
    protected _updateLanguage(newLanguage: string): void;
    protected _getHcAirlinesErrorResponse(apiError: HttpErrorResponse): HcAirlinesError;
    protected _extractErrorMessage(error: Error): string;
    protected _buildCreateCfarOfferRequest(itineraries: CfarItinerary[], uiVariant?: UiVariant): CreateCfarOfferCustomerRequest;
    protected _fakeCfarContractId: string;
    protected _buildFakePostCfarOffersResponse(): CfarOfferCustomer[];
    protected _buildCreateCfarContractRequest(offer: CfarOfferCustomer, uiSource: UiSource): CreateCfarContractCustomerRequest;
    protected _buildFakePostCfarContractsResponse(): CfarContractCustomer;
    getOfferDescription(offer: CfarOfferCustomer): string[];
    getTCsUrl(offer: CfarOfferCustomer): string;
    handleApiError(error: HttpErrorResponse, errorEndPoint: string): void;
    pushSdkError(errorEndPoint: string, builtError: HcAirlinesError, takeErrorLabelFromUIProject?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GlobalComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GlobalComponent, "[HopperGlobalComponent]", never, { "currentLang": "currentLang"; "basePath": "basePath"; "imageBasePath": "imageBasePath"; "isFakeBackend": "isFakeBackend"; "env": "env"; }, { "errorOccurred": "errorOccurred"; }, never, never, false, never>;
}
