import * as i0 from '@angular/core';
import { InjectionToken, Injectable, Optional, Inject, NgModule, SkipSelf, EventEmitter, Directive, Input, Output, ErrorHandler, Component } from '@angular/core';
import { take } from 'rxjs/operators';
import * as i1 from '@angular/common/http';
import { HttpHeaders, HttpClientModule } from '@angular/common/http';
import * as i1$1 from '@ngx-translate/core';
import { TranslateModule } from '@ngx-translate/core';
import { datadogLogs, HandlerType } from '@datadog/browser-logs';
import { snakeCase, camelCase } from 'lodash';
import * as i3 from '@angular/material/dialog';
import { MAT_DIALOG_DATA, MatDialogConfig, MatDialogModule } from '@angular/material/dialog';
import * as i6 from '@angular/common';
import { registerLocaleData, CommonModule, DecimalPipe } from '@angular/common';
import * as i7 from '@angular/flex-layout/flex';
import * as i8 from '@angular/flex-layout/extended';
import * as i9 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i9$1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i10 from '@angular/material/card';
import { MatCardModule } from '@angular/material/card';
import * as i12 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import * as i6$1 from '@angular/forms';
import { ReactiveFormsModule, FormsModule } from '@angular/forms';
import * as i11 from '@angular/material/radio';
import { MatRadioModule } from '@angular/material/radio';
import { FlexLayoutModule } from '@angular/flex-layout';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatDividerModule } from '@angular/material/divider';
import { MatSelectModule } from '@angular/material/select';
import { MatStepperModule } from '@angular/material/stepper';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import localeFr from '@angular/common/locales/fr';
import localeEn from '@angular/common/locales/en';
import localeZh from '@angular/common/locales/zh';

var COMMON$2 = {
	DATE_FORMAT: {
		HOUR: "hh:mm a",
		DATE: "ddMMM",
		HOUR_AND_DATE: "EEEE, MMMM d, y, h:mm a z"
	},
	BUTTON: {
		CLOSE: "Close"
	},
	TERMS_LINK_TEXT: "Terms & Conditions apply",
	COVERAGE_PERCENTAGE: "{{ coverage }}% flight cost covered",
	COVERAGE_PERCENTAGE_ACCESSIBILITY: "{{ coverage }}% flight cost covered. {{ price }} per traveler. (Incl. taxes if applicable)",
	PRICE_PER_TRAVELER: "<span class='price-per-traveler'>{{ price }}</span><span>per traveler</span>",
	INCL_TAXES: "(Incl. taxes if applicable)"
};
var CFAR_OFFER_BANNER$2 = {
	TITLE: "Cancel your flight booking, for any reason.",
	LOADING: "Loading offers in progress...",
	BUTTON: {
		SELECT: "Select"
	}
};
var CFAR_OFFER_BANNER_LARGE$2 = {
	TITLE: "Cancel your flight booking, for any reason.",
	NO_COVERAGE_OPTION: "I do not want to purchase Cancel For Any Reason.",
	WARNING_MESSAGE: "Please choose or decline Cancel For Any Reason to continue"
};
var CFAR_OFFER_DIALOG$2 = {
	TITLE: "Cancel your flight booking, for any reason.",
	VIEW_DETAILS: "View details",
	BUTTON: {
		CANCEL: "Continue Without Coverage",
		SUBMIT: "Continue With {{ coverage }}% Coverage"
	},
	NO_OFFERS: "No offer available",
	LOADING: "Loading offers in progress..."
};
var en = {
	COMMON: COMMON$2,
	CFAR_OFFER_BANNER: CFAR_OFFER_BANNER$2,
	CFAR_OFFER_BANNER_LARGE: CFAR_OFFER_BANNER_LARGE$2,
	CFAR_OFFER_DIALOG: CFAR_OFFER_DIALOG$2
};

var English = /*#__PURE__*/Object.freeze({
    __proto__: null,
    CFAR_OFFER_BANNER: CFAR_OFFER_BANNER$2,
    CFAR_OFFER_BANNER_LARGE: CFAR_OFFER_BANNER_LARGE$2,
    CFAR_OFFER_DIALOG: CFAR_OFFER_DIALOG$2,
    COMMON: COMMON$2,
    default: en
});

var COMMON$1 = {
	DATE_FORMAT: {
		HOUR: "hh:mm a",
		DATE: "ddMMM",
		HOUR_AND_DATE: "EEEE d MMMM y à H:mm z"
	},
	BUTTON: {
		CLOSE: "Fermer"
	},
	TERMS_LINK_TEXT: "Les conditions générales s'appliquent",
	COVERAGE_PERCENTAGE: "{{ coverage }}% du coût du vol couvert",
	COVERAGE_PERCENTAGE_ACCESSIBILITY: "{{ coverage }}% du coût du vol couvert. {{ price }} par voyageur. (Les taxes incluses, le cas échéant)",
	PRICE_PER_TRAVELER: "<span class='price-per-traveler'>{{ price }}</span><span>par voyageur</span>",
	INCL_TAXES: "(Les taxes incluses, le cas échéant)"
};
var CFAR_OFFER_BANNER$1 = {
	TITLE: "Annulez votre réservation de vol, quel que soit le motif.",
	LOADING: "Chargement des offres en cours...",
	BUTTON: {
		SELECT: "Sélectionner"
	}
};
var CFAR_OFFER_BANNER_LARGE$1 = {
	TITLE: "Annulez votre réservation de vol, quel que soit le motif.",
	NO_COVERAGE_OPTION: "Je ne veux pas acheter l'Annulation sans motif.",
	WARNING_MESSAGE: "Veuillez choisir ou refuser l'Annulation sans motif pour continuer"
};
var CFAR_OFFER_DIALOG$1 = {
	TITLE: "Annulation sans motif",
	VIEW_DETAILS: "Afficher les détails",
	BUTTON: {
		CANCEL: "Continuer sans l'option",
		SUBMIT: "Continuer avec la couverture {{ coverage }}%"
	},
	NO_OFFERS: "Aucune offre disponible",
	LOADING: "Chargement des offres en cours..."
};
var fr = {
	COMMON: COMMON$1,
	CFAR_OFFER_BANNER: CFAR_OFFER_BANNER$1,
	CFAR_OFFER_BANNER_LARGE: CFAR_OFFER_BANNER_LARGE$1,
	CFAR_OFFER_DIALOG: CFAR_OFFER_DIALOG$1
};

var French = /*#__PURE__*/Object.freeze({
    __proto__: null,
    CFAR_OFFER_BANNER: CFAR_OFFER_BANNER$1,
    CFAR_OFFER_BANNER_LARGE: CFAR_OFFER_BANNER_LARGE$1,
    CFAR_OFFER_DIALOG: CFAR_OFFER_DIALOG$1,
    COMMON: COMMON$1,
    default: fr
});

var COMMON = {
	DATE_FORMAT: {
		HOUR: "hh:mm a",
		DATE: "ddMMM",
		HOUR_AND_DATE: "EEEE, MMMM d, y, h:mm a z"
	},
	BUTTON: {
		CLOSE: "关"
	},
	TERMS_LINK_TEXT: "须遵守条款和条件",
	COVERAGE_PERCENTAGE: "{{ coverage }}% 航班费用保障",
	COVERAGE_PERCENTAGE_ACCESSIBILITY: "{{ coverage }}% 的航班费用保障。每位旅客{{ price }}。（包括适用税费）",
	PRICE_PER_TRAVELER: "<span class='price-per-traveler'>{{ price }}</span><span>/旅客</span>",
	INCL_TAXES: "（包括适用税费）"
};
var CFAR_OFFER_BANNER = {
	TITLE: "无理由取消您的航班预订。",
	LOADING: "正在加载优惠...",
	BUTTON: {
		SELECT: "选择"
	}
};
var CFAR_OFFER_BANNER_LARGE = {
	TITLE: "无理由取消您的航班预订。",
	NO_COVERAGE_OPTION: "我不想购买无理由取消服务。",
	WARNING_MESSAGE: "请选择或拒绝无理由取消服务，以便继续"
};
var CFAR_OFFER_DIALOG = {
	TITLE: "无理由取消您的航班预订。",
	VIEW_DETAILS: "查看详情",
	BUTTON: {
		CANCEL: "继续无覆盖",
		SUBMIT: "添加{{ coverage }}的保障，并继续下一步"
	},
	NO_OFFERS: "没有可用的优惠",
	LOADING: "正在加载优惠..."
};
var zh = {
	COMMON: COMMON,
	CFAR_OFFER_BANNER: CFAR_OFFER_BANNER,
	CFAR_OFFER_BANNER_LARGE: CFAR_OFFER_BANNER_LARGE,
	CFAR_OFFER_DIALOG: CFAR_OFFER_DIALOG
};

var Chinese = /*#__PURE__*/Object.freeze({
    __proto__: null,
    CFAR_OFFER_BANNER: CFAR_OFFER_BANNER,
    CFAR_OFFER_BANNER_LARGE: CFAR_OFFER_BANNER_LARGE,
    CFAR_OFFER_DIALOG: CFAR_OFFER_DIALOG,
    COMMON: COMMON,
    default: zh
});

const Locales = new Map([
    ['en', English],
    ['fr', French],
    ['zh', Chinese]
]);

const BASE_PATH = new InjectionToken('basePath');
const COLLECTION_FORMATS = {
    'csv': ',',
    'tsv': '   ',
    'ssv': ' ',
    'pipes': '|'
};

class Configuration {
    constructor(configurationParameters = {}) {
        this.apiKeys = configurationParameters.apiKeys;
        this.username = configurationParameters.username;
        this.password = configurationParameters.password;
        this.accessToken = configurationParameters.accessToken;
        this.basePath = configurationParameters.basePath;
        this.withCredentials = configurationParameters.withCredentials;
    }
    selectHeaderContentType(contentTypes) {
        if (contentTypes.length == 0) {
            return undefined;
        }
        let type = contentTypes.find(x => this.isJsonMime(x));
        if (type === undefined) {
            return contentTypes[0];
        }
        return type;
    }
    selectHeaderAccept(accepts) {
        if (accepts.length == 0) {
            return undefined;
        }
        let type = accepts.find(x => this.isJsonMime(x));
        if (type === undefined) {
            return accepts[0];
        }
        return type;
    }
    isJsonMime(mime) {
        const jsonMime = new RegExp('^(application\/json|[^;/ \t]+\/[^;/ \t]+[+]json)[ \t]*(;.*)?$', 'i');
        return mime != null && (jsonMime.test(mime) || mime.toLowerCase() === 'application/json-patch+json');
    }
}

class AnalyticsService {
    constructor(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = '/airline/v1.1';
        this.defaultHeaders = new HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    canConsumeForm(consumes) {
        const form = 'multipart/form-data';
        for (const consume of consumes) {
            if (form === consume) {
                return true;
            }
        }
        return false;
    }
    postCustomerEvents(body, observe = 'body', reportProgress = false) {
        if (body === null || body === undefined) {
            throw new Error('Required parameter body was null or undefined when calling postCustomerEvents.');
        }
        let headers = this.defaultHeaders;
        if (this.configuration.apiKeys && this.configuration.apiKeys["HC-Session-ID"]) {
            headers = headers.set('HC-Session-ID', this.configuration.apiKeys["HC-Session-ID"]);
        }
        let httpHeaderAccepts = [
            'application/json'
        ];
        const httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        const consumes = [
            'application/json'
        ];
        const httpContentTypeSelected = this.configuration.selectHeaderContentType(consumes);
        if (httpContentTypeSelected != undefined) {
            headers = headers.set('Content-Type', httpContentTypeSelected);
        }
        return this.httpClient.request('post', `${this.basePath}/customer/events`, {
            body: body,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    }
}
AnalyticsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: AnalyticsService, deps: [{ token: i1.HttpClient }, { token: BASE_PATH, optional: true }, { token: Configuration, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
AnalyticsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: AnalyticsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: AnalyticsService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [BASE_PATH]
                }] }, { type: Configuration, decorators: [{
                    type: Optional
                }] }]; } });

class CancelForAnyReasonCFARService {
    constructor(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = '/airline/v1.1';
        this.defaultHeaders = new HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    canConsumeForm(consumes) {
        const form = 'multipart/form-data';
        for (const consume of consumes) {
            if (form === consume) {
                return true;
            }
        }
        return false;
    }
    postCustomerCfarContracts(body, language, observe = 'body', reportProgress = false) {
        if (body === null || body === undefined) {
            throw new Error('Required parameter body was null or undefined when calling postCustomerCfarContracts.');
        }
        let headers = this.defaultHeaders;
        if (language !== undefined && language !== null) {
            headers = headers.set('language', String(language));
        }
        if (this.configuration.apiKeys && this.configuration.apiKeys["HC-Session-ID"]) {
            headers = headers.set('HC-Session-ID', this.configuration.apiKeys["HC-Session-ID"]);
        }
        let httpHeaderAccepts = [
            'application/json'
        ];
        const httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        const consumes = [
            'application/json'
        ];
        const httpContentTypeSelected = this.configuration.selectHeaderContentType(consumes);
        if (httpContentTypeSelected != undefined) {
            headers = headers.set('Content-Type', httpContentTypeSelected);
        }
        return this.httpClient.request('post', `${this.basePath}/customer/cfar_contracts`, {
            body: body,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    }
    postCustomerCfarOffers(body, language, userAgent, observe = 'body', reportProgress = false) {
        if (body === null || body === undefined) {
            throw new Error('Required parameter body was null or undefined when calling postCustomerCfarOffers.');
        }
        let headers = this.defaultHeaders;
        if (language !== undefined && language !== null) {
            headers = headers.set('language', String(language));
        }
        if (userAgent !== undefined && userAgent !== null) {
            headers = headers.set('User-Agent', String(userAgent));
        }
        if (this.configuration.apiKeys && this.configuration.apiKeys["HC-Session-ID"]) {
            headers = headers.set('HC-Session-ID', this.configuration.apiKeys["HC-Session-ID"]);
        }
        let httpHeaderAccepts = [
            'application/json'
        ];
        const httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        const consumes = [
            'application/json'
        ];
        const httpContentTypeSelected = this.configuration.selectHeaderContentType(consumes);
        if (httpContentTypeSelected != undefined) {
            headers = headers.set('Content-Type', httpContentTypeSelected);
        }
        return this.httpClient.request('post', `${this.basePath}/customer/cfar_offers`, {
            body: body,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    }
}
CancelForAnyReasonCFARService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CancelForAnyReasonCFARService, deps: [{ token: i1.HttpClient }, { token: BASE_PATH, optional: true }, { token: Configuration, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
CancelForAnyReasonCFARService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CancelForAnyReasonCFARService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CancelForAnyReasonCFARService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [BASE_PATH]
                }] }, { type: Configuration, decorators: [{
                    type: Optional
                }] }]; } });

const APIS = [AnalyticsService, CancelForAnyReasonCFARService];

const AirlineRefundMethod = {
    Ftc: 'ftc',
    Cash: 'cash'
};

const AncillaryType = {
    TravelInsurance: 'travel_insurance',
    BagInsurance: 'bag_insurance',
    CabinBag: 'cabin_bag',
    CheckedBag: 'checked_bag',
    Seat: 'seat',
    Lounge: 'lounge',
    Meal: 'meal',
    FastTrack: 'fast_track',
    Pet: 'pet',
    Change: 'change',
    Bundle: 'bundle',
    PaymentFee: 'payment_fee',
    Other: 'other'
};

const FareClass = {
    BasicEconomy: 'basic_economy',
    Economy: 'economy',
    PremiumEconomy: 'premium_economy',
    Business: 'business',
    First: 'first'
};

const Gender = {
    Male: 'male',
    Female: 'female',
    Undisclosed: 'undisclosed',
    Unspecified: 'unspecified'
};

const ModificationTime = {
    AfterDeparture: 'after_departure',
    Anytime: 'anytime',
    BeforeDeparture: 'before_departure'
};

const ModificationType = {
    Cancellation: 'cancellation',
    Change: 'change'
};

const PassengerType = {
    Adult: 'adult',
    Child: 'child',
    SeatedInfant: 'seated_infant',
    LapInfant: 'lap_infant'
};

const RequestType = {
    PostBooking: 'post_booking',
    Reprice: 'reprice',
    Ancillary: 'ancillary',
    Bundle: 'bundle',
    Fare: 'fare'
};

const UiSource = {
    BannerVariantA: 'banner_variant_a',
    BannerVariantB: 'banner_variant_b',
    BannerVariantC: 'banner_variant_c',
    Takeover: 'takeover'
};

const UiVariant = {
    A: 'variant_a',
    B: 'variant_b',
    C: 'variant_c'
};

class ApiModule {
    static forRoot(configurationFactory) {
        return {
            ngModule: ApiModule,
            providers: [{ provide: Configuration, useFactory: configurationFactory }]
        };
    }
    constructor(parentModule, http) {
        if (parentModule) {
            throw new Error('ApiModule is already loaded. Import in your base AppModule only.');
        }
        if (!http) {
            throw new Error('You need to import the HttpClientModule in your AppModule! \n' +
                'See also https://github.com/angular/angular/issues/20575');
        }
    }
}
ApiModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: ApiModule, deps: [{ token: ApiModule, optional: true, skipSelf: true }, { token: i1.HttpClient, optional: true }], target: i0.ɵɵFactoryTarget.NgModule });
ApiModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.10", ngImport: i0, type: ApiModule });
ApiModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: ApiModule, providers: [
        AnalyticsService,
        CancelForAnyReasonCFARService
    ] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: ApiModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [],
                    declarations: [],
                    exports: [],
                    providers: [
                        AnalyticsService,
                        CancelForAnyReasonCFARService
                    ]
                }]
        }], ctorParameters: function () { return [{ type: ApiModule, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }, { type: i1.HttpClient, decorators: [{
                    type: Optional
                }] }]; } });

class ArrayUtils {
    static contains(arrayObj, value) {
        let result = false;
        if (arrayObj && arrayObj.indexOf(value) > -1) {
            result = true;
        }
        return result;
    }
    static isUndefined(arrayObj) {
        return !arrayObj || arrayObj === undefined;
    }
    static isNotEmpty(arrayObj) {
        return arrayObj && arrayObj !== null && arrayObj.length > 0;
    }
    static isEmpty(arrayObj) {
        return !ArrayUtils.isNotEmpty(arrayObj);
    }
}

var ErrorCode;
(function (ErrorCode) {
    ErrorCode["EX019"] = "EX019";
    ErrorCode["EX037"] = "EX037";
    ErrorCode["RF009"] = "RF009";
})(ErrorCode || (ErrorCode = {}));

class HcAirlinesError {
    constructor(message, code, status) {
        this.status = status;
        this.message = message;
        this.code = code;
    }
    static buildDefault() {
        return new HcAirlinesError('An error occured', ErrorCode.RF009);
    }
    extractCode() {
        return this.code ?? HcAirlinesError.DEFAULT_HC_AIRLINES_ERROR_CODE;
    }
    toString() {
        return this.extractCode() + ' : ' + this.message;
    }
}
HcAirlinesError.DEFAULT_HC_AIRLINES_ERROR_CODE = 'HC_AIRLINES_ERROR';

class LoggerService {
    constructor() {
        this._context = {};
        this._env = 'production';
        const _initConfig = {
            clientToken: 'pubc1227a869b47ba8b221db32fc8caacfc',
            site: 'us5.datadoghq.com',
            service: 'hts-airlines-angular-sdk',
            forwardErrorsToLogs: true,
            sessionSampleRate: 100,
            silentMultipleInit: true,
            version: '6.3.6',
        };
        datadogLogs.init(_initConfig);
        this._logger = datadogLogs.createLogger('angular-sdk');
        this._logger.setHandler(HandlerType.http);
        this._context = {
            data: {
                jsonPayload: {
                    env: this._env,
                },
            },
        };
        this._logger.setContext(this._context);
    }
    setEnv(env) {
        this._env = env ? env : 'production';
        this._context.data.jsonPayload.env = env;
        this._logger.setContext(this._context);
        this._logger.setHandler(this._env === 'production'
            ? HandlerType.http
            : [HandlerType.http, HandlerType.console]);
    }
    info(...params) {
        this._logger.info(...params);
    }
    warn(...params) {
        this._logger.warn(...params);
    }
    error(...params) {
        this._logger.error(...params);
    }
}
LoggerService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: LoggerService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
LoggerService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: LoggerService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: LoggerService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return []; } });

class GlobalComponent {
    constructor(_translateService, _cdRef, _loggerService) {
        this._translateService = _translateService;
        this._cdRef = _cdRef;
        this._loggerService = _loggerService;
        this.errorOccurred = new EventEmitter();
        this._fakeCfarContractId = '1ecf85ab-211f-68b7-9bb3-4b1a314f1a42';
        Locales.forEach((data, lang) => {
            this._translateService.setTranslation(lang, data, true);
        });
        this._translateService.addLangs(Array.from(Locales.keys()));
        this._updateLanguage(this._translateService.getBrowserLang() || 'en');
    }
    ngOnInit() {
        this._loggerService.setEnv(this.env);
        this._loggerService.info('sdk initialized, lang:' + this.currentLang);
    }
    ngOnChanges(changes) {
        if (changes.currentLang && changes.currentLang.currentValue) {
            this._updateLanguage(changes.currentLang.currentValue);
        }
    }
    ngAfterContentChecked() {
        this._cdRef.detectChanges();
    }
    _getDefaultOffer(offers) {
        return offers[0];
    }
    _updateLanguage(newLanguage) {
        if (!Locales.has(newLanguage)) {
            this._loggerService.warn('unexpected language ' + newLanguage);
        }
        this._translateService.use(newLanguage);
    }
    _getHcAirlinesErrorResponse(apiError) {
        const apiErrors = apiError?.error?.errors;
        if (ArrayUtils.isNotEmpty(apiErrors)) {
            const mainApiError = apiErrors[0];
            return new HcAirlinesError(this._extractErrorMessage(mainApiError), mainApiError.code || ErrorCode.RF009);
        }
        else {
            return HcAirlinesError.buildDefault();
        }
    }
    _extractErrorMessage(error) {
        if (error.messages !== undefined) {
            const defaultErrorMessage = error.messages['EN']
                ? error.messages['EN']
                : error.message;
            return error.messages[this.currentLang.toUpperCase()]
                ? error.messages[this.currentLang.toUpperCase()]
                : defaultErrorMessage;
        }
        else
            return error.message;
    }
    _buildCreateCfarOfferRequest(itineraries, uiVariant) {
        return {
            itinerary: itineraries,
            requestType: RequestType.Ancillary,
            uiVariant: uiVariant,
        };
    }
    _buildFakePostCfarOffersResponse() {
        return [
            {
                id: '1ecf859e-8785-625f-8eda-198d1ce0d6c4',
                premium: '8.00',
                coverage: '57.78',
                coveragePercentage: '80.0',
                currency: 'CAD',
                requestType: 'ancillary',
                contractExpiryDateTime: new Date('2022-07-08T22:00:00Z'),
                createdDateTime: new Date('2022-06-30T09:49:17.762Z'),
                taxesTotal: '2',
                itinerary: {
                    passengerPricing: [
                        {
                            passengerCount: {
                                count: 3,
                                type: 'adult',
                            },
                            individualPrice: 'null',
                        },
                    ],
                    currency: 'CAD',
                    slices: [
                        {
                            segments: [
                                {
                                    originAirport: 'YYZ',
                                    destinationAirport: 'YUL',
                                    departureDateTime: '2022-07-09T18:00',
                                    arrivalDateTime: '2022-07-09T19:14',
                                    flightNumber: '894',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                                {
                                    originAirport: 'YUL',
                                    destinationAirport: 'NCE',
                                    departureDateTime: '2022-07-09T20:50',
                                    arrivalDateTime: '2022-07-10T10:25',
                                    flightNumber: '878',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                            ],
                        },
                        {
                            segments: [
                                {
                                    originAirport: 'NCE',
                                    destinationAirport: 'YUL',
                                    departureDateTime: '2022-07-15T13:15',
                                    arrivalDateTime: '2022-07-15T15:55',
                                    flightNumber: '879',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                                {
                                    originAirport: 'YUL',
                                    destinationAirport: 'YYZ',
                                    departureDateTime: '2022-07-15T17:30',
                                    arrivalDateTime: '2022-07-15T18:50',
                                    flightNumber: '895',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                            ],
                        },
                    ],
                    ancillaries: [],
                    totalPrice: '71.96',
                },
                contents: {
                    en: {
                        bulletPoints: [
                            'Cancel your booking up to <b> 24 hours </b> before departure, no reason required',
                            'Receive a <b>cash</b> refund of your flight cost (air transportation charges, taxes, fees and charges, excluding any additional services)',
                            'Cancelling is easy via the My Bookings page, refund is provided by HTS',
                            'Offer is only available at time of booking and can only be purchased for all passengers',
                        ],
                        labels: {},
                    },
                    fr: {
                        bulletPoints: [
                            "Annulez votre réservation jusqu'à <b>24 heures</b> avant le départ, aucun motif requis",
                            "Recevez un remboursement <b>en argent comptant</b> du coût de votre vol (frais de transport aérien, taxes, frais et droits, à l'exclusion de tout service additionnel)",
                            'Annulez en toute simplicité sur la page Mes réservations, le remboursement est effectué par Hopper',
                            "L'offre est uniquement disponible au moment de la réservation et ne peut être achetée que pour tous les passagers",
                        ],
                        labels: {},
                    },
                    zh: {
                        bulletPoints: [
                            '最迟可在出发前24小时无理由取消订单',
                            '获得航班费用的现金退款（航空运输费用、税费和其他费用，额外服务费除外）',
                            '您可以通过“我的订单 (My Bookings) 页面轻松取消预订, 退款由HTS提供',
                            '优惠仅在预订时有效，且必须为所有乘客购买',
                        ],
                        labels: {},
                    },
                },
                termsConditionsUrl: {
                    en: 'https://hopper.com/',
                    fr: 'https://hopper.com/fr',
                },
            },
            {
                id: '1ecf859e-8785-625f-8eda-198d1ce0d6c5',
                premium: '10.00',
                coverage: '71.96',
                coveragePercentage: '100.0',
                currency: 'CAD',
                requestType: 'ancillary',
                contractExpiryDateTime: new Date('2022-07-08T22:00:00Z'),
                createdDateTime: new Date('2022-06-30T09:49:17.762Z'),
                taxesTotal: '2',
                itinerary: {
                    passengerPricing: [
                        {
                            passengerCount: {
                                count: 3,
                                type: 'adult',
                            },
                            individualPrice: 'null',
                        },
                    ],
                    currency: 'CAD',
                    slices: [
                        {
                            segments: [
                                {
                                    originAirport: 'YYZ',
                                    destinationAirport: 'YUL',
                                    departureDateTime: '2022-07-09T18:00',
                                    arrivalDateTime: '2022-07-09T19:14',
                                    flightNumber: '894',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                                {
                                    originAirport: 'YUL',
                                    destinationAirport: 'NCE',
                                    departureDateTime: '2022-07-09T20:50',
                                    arrivalDateTime: '2022-07-10T10:25',
                                    flightNumber: '878',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                            ],
                        },
                        {
                            segments: [
                                {
                                    originAirport: 'NCE',
                                    destinationAirport: 'YUL',
                                    departureDateTime: '2022-07-15T13:15',
                                    arrivalDateTime: '2022-07-15T15:55',
                                    flightNumber: '879',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                                {
                                    originAirport: 'YUL',
                                    destinationAirport: 'YYZ',
                                    departureDateTime: '2022-07-15T17:30',
                                    arrivalDateTime: '2022-07-15T18:50',
                                    flightNumber: '895',
                                    validatingCarrierCode: 'AC',
                                    fareClass: 'economy',
                                },
                            ],
                        },
                    ],
                    ancillaries: [],
                    totalPrice: '71.96',
                },
                contents: {
                    en: {
                        bulletPoints: [
                            'Cancel your booking up to <b> 24 hours </b> before departure, no reason required',
                            'Receive a <b>cash</b> refund of your flight cost (air transportation charges, taxes, fees and charges, excluding any additional services)',
                            'Cancelling is easy via the My Bookings page, refund is provided by HTS',
                            'Offer is only available at time of booking and can only be purchased for all passengers',
                        ],
                        labels: {},
                    },
                    fr: {
                        bulletPoints: [
                            "Annulez votre réservation jusqu'à <b>24 heures</b> avant le départ, aucun motif requis",
                            "Recevez un remboursement <b>en argent comptant</b> du coût de votre vol (frais de transport aérien, taxes, frais et droits, à l'exclusion de tout service additionnel)",
                            'Annulez en toute simplicité sur la page Mes réservations, le remboursement est effectué par HTS',
                            "L'offre est uniquement disponible au moment de la réservation et ne peut être achetée que pour tous les passagers",
                        ],
                        labels: {},
                    },
                    zh: {
                        bulletPoints: [
                            '最迟可在出发前24小时无理由取消订单',
                            '获得航班费用的现金退款（航空运输费用、税费和其他费用，额外服务费除外）',
                            '您可以通过“我的订单 (My Bookings) 页面轻松取消预订, 退款由HTS提供',
                            '优惠仅在预订时有效，且必须为所有乘客购买',
                        ],
                        labels: {},
                    },
                },
                termsConditionsUrl: {
                    en: 'https://hopper.com/',
                    fr: 'https://hopper.com/fr',
                },
            },
        ];
    }
    _buildCreateCfarContractRequest(offer, uiSource) {
        return {
            offerIds: [offer.id],
            itinerary: offer.itinerary,
            uiSource: uiSource,
        };
    }
    _buildFakePostCfarContractsResponse() {
        return {
            id: this._fakeCfarContractId,
            premium: '10.00',
        };
    }
    getOfferDescription(offer) {
        return offer.contents[this.currentLang || 'en']?.bulletPoints;
    }
    getTCsUrl(offer) {
        if (offer) {
            return offer.termsConditionsUrl[this.currentLang]
                ? offer.termsConditionsUrl[this.currentLang]
                : offer.termsConditionsUrl['en'];
        }
        return '';
    }
    handleApiError(error, errorEndPoint) {
        const builtError = this._getHcAirlinesErrorResponse(error);
        this._loggerService.error(error.message, {}, error);
        if (builtError !== null) {
            this.errorCode = builtError.code;
            if (this.errorCode !== undefined && this.errorCode !== null) {
                this.pushSdkError(errorEndPoint, builtError);
            }
        }
    }
    pushSdkError(errorEndPoint, builtError, takeErrorLabelFromUIProject = false) {
        let emitWithUIProjectLabel = true;
        let errorMessage = builtError.message;
        if (!takeErrorLabelFromUIProject) {
            if (errorMessage !== null && errorMessage.length > 0) {
                emitWithUIProjectLabel = false;
                this.errorMessage = errorMessage;
                const errorSdk = {
                    endpoint: errorEndPoint,
                    errorCode: builtError.code,
                    errorDescription: errorMessage,
                };
                this.errorOccurred.emit(errorSdk);
            }
        }
        if (emitWithUIProjectLabel) {
            this._translateService
                .get('COMMON.ERROR_CODE.' + builtError.code)
                .pipe(take(1))
                .subscribe((errorDescription) => {
                this.errorMessage = errorDescription;
                const errorSdk = {
                    endpoint: errorEndPoint,
                    errorCode: builtError.code,
                    errorDescription: errorDescription,
                };
                this.errorOccurred.emit(errorSdk);
            });
        }
    }
}
GlobalComponent.HTTP_ERROR_UNPROCESSABLE_ENTITY_CODE = 422;
GlobalComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: GlobalComponent, deps: [{ token: i1$1.TranslateService }, { token: i0.ChangeDetectorRef }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Directive });
GlobalComponent.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.10", type: GlobalComponent, selector: "[HopperGlobalComponent]", inputs: { currentLang: "currentLang", basePath: "basePath", imageBasePath: "imageBasePath", isFakeBackend: "isFakeBackend", env: "env" }, outputs: { errorOccurred: "errorOccurred" }, usesOnChanges: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: GlobalComponent, decorators: [{
            type: Directive,
            args: [{
                    selector: '[HopperGlobalComponent]',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.TranslateService }, { type: i0.ChangeDetectorRef }, { type: LoggerService }]; }, propDecorators: { currentLang: [{
                type: Input
            }], basePath: [{
                type: Input
            }], imageBasePath: [{
                type: Input
            }], isFakeBackend: [{
                type: Input
            }], env: [{
                type: Input
            }], errorOccurred: [{
                type: Output
            }] } });

class ApiTranslatorUtils {
    static modelToSnakeCase(apiModel) {
        if (!apiModel) {
            return;
        }
        const modelData = {};
        for (const key of Object.keys(apiModel)) {
            if (apiModel[key] === null && apiModel[key] === undefined) {
                return;
            }
            if (Array.isArray(apiModel[key])) {
                const array = [];
                for (const item of apiModel[key]) {
                    switch (typeof item) {
                        case 'string':
                            array.push(item);
                            break;
                        case 'number':
                            array.push(item);
                            break;
                        default:
                            array.push(this.modelToSnakeCase(item));
                    }
                }
                modelData[snakeCase(key)] = array;
            }
            else {
                if (typeof apiModel[key] === 'object' &&
                    !(apiModel[key] instanceof Date)) {
                    modelData[snakeCase(key)] = this.modelToSnakeCase(apiModel[key]);
                }
                else {
                    modelData[snakeCase(key)] = apiModel[key];
                }
            }
        }
        return modelData;
    }
    static modelToCamelCase(apiModel) {
        if (!apiModel) {
            return;
        }
        const modelData = {};
        for (const key of Object.keys(apiModel)) {
            if (apiModel[key] === null && apiModel[key] === undefined) {
                return;
            }
            if (Array.isArray(apiModel[key])) {
                const array = [];
                for (const item of apiModel[key]) {
                    switch (typeof item) {
                        case 'string':
                            array.push(item);
                            break;
                        case 'number':
                            array.push(item);
                            break;
                        default:
                            array.push(this.modelToCamelCase(item));
                    }
                }
                modelData[camelCase(key)] = array;
            }
            else {
                modelData[camelCase(key)] =
                    typeof apiModel[key] === 'object'
                        ? this.modelToCamelCase(apiModel[key])
                        : apiModel[key];
            }
        }
        return modelData;
    }
}

class HopperProxyService extends ErrorHandler {
    constructor(_httpClient, _cancelForAnyReasonCFARService, _analyticsService) {
        super();
        this._httpClient = _httpClient;
        this._cancelForAnyReasonCFARService = _cancelForAnyReasonCFARService;
        this._analyticsService = _analyticsService;
    }
    _overrideConfiguration(basePath, hcSessionId) {
        this._cancelForAnyReasonCFARService = new CancelForAnyReasonCFARService(this._httpClient, basePath, {
            selectHeaderAccept: (accepts) => 'application/json',
            selectHeaderContentType: (contentsTypes) => 'application/json',
            isJsonMime: (mime) => true,
            apiKeys: hcSessionId ? { 'HC-Session-ID': hcSessionId } : undefined
        });
        this._analyticsService = new AnalyticsService(this._httpClient, basePath, {
            selectHeaderAccept: (accepts) => 'application/json',
            selectHeaderContentType: (contentsTypes) => 'application/json',
            isJsonMime: (mime) => true,
            apiKeys: hcSessionId ? { 'HC-Session-ID': hcSessionId } : undefined
        });
    }
}

class HopperCfarService extends HopperProxyService {
    constructor(_httpClient, _cancelForAnyReasonCFARService, _analyticsService) {
        super(_httpClient, _cancelForAnyReasonCFARService, _analyticsService);
        this._httpClient = _httpClient;
        this._cancelForAnyReasonCFARService = _cancelForAnyReasonCFARService;
        this._analyticsService = _analyticsService;
    }
    postCfarOffers(basePath, hCSessionId, language, request) {
        this._overrideConfiguration(basePath, hCSessionId);
        return this._cancelForAnyReasonCFARService.postCustomerCfarOffers(request, language);
    }
    postCfarContracts(basePath, hCSessionId, language, request) {
        this._overrideConfiguration(basePath, hCSessionId);
        return this._cancelForAnyReasonCFARService.postCustomerCfarContracts(request, language);
    }
}
HopperCfarService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperCfarService, deps: [{ token: i1.HttpClient }, { token: CancelForAnyReasonCFARService }, { token: AnalyticsService }], target: i0.ɵɵFactoryTarget.Injectable });
HopperCfarService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperCfarService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperCfarService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: CancelForAnyReasonCFARService }, { type: AnalyticsService }]; } });

class HopperEventsService extends HopperProxyService {
    constructor(_httpClient, _cancelForAnyReasonCFARService, _analyticsService) {
        super(_httpClient, _cancelForAnyReasonCFARService, _analyticsService);
        this._httpClient = _httpClient;
        this._cancelForAnyReasonCFARService = _cancelForAnyReasonCFARService;
        this._analyticsService = _analyticsService;
    }
    _postCustomerEventRequest(basePath, hCSessionId, event) {
        this._overrideConfiguration(basePath, hCSessionId);
        return this._analyticsService.postCustomerEvents(ApiTranslatorUtils.modelToSnakeCase(event));
    }
    postCreateCfarOffersBannerDisplay(basePath, hCSessionId, cfarOffersIds, uiVariant) {
        let event = {
            occurredDateTime: new Date(),
            cfarOffersIds: cfarOffersIds,
            uiVariant: uiVariant,
            type: 'cfar_offers_banner_display',
        };
        return this._postCustomerEventRequest(basePath, hCSessionId, event);
    }
    postCreateCfarOffersTakeoverDisplay(basePath, hCSessionId, cfarOffersIds) {
        let event = {
            occurredDateTime: new Date(),
            cfarOffersIds: cfarOffersIds,
            type: 'cfar_offers_takeover_display',
        };
        return this._postCustomerEventRequest(basePath, hCSessionId, event);
    }
    postCreateCfarForcedChoiceWarning(basePath, hCSessionId, cfarOffersIds) {
        let event = {
            occurredDateTime: new Date(),
            cfarOffersIds: cfarOffersIds,
            type: 'cfar_forced_choice_warning',
        };
        return this._postCustomerEventRequest(basePath, hCSessionId, event);
    }
    postCreateCfarViewInfo(basePath, hCSessionId, cfarOffersIds, uiSource) {
        let event = {
            occurredDateTime: new Date(),
            cfarOffersIds: cfarOffersIds,
            uiSource: uiSource,
            type: 'cfar_view_info',
        };
        return this._postCustomerEventRequest(basePath, hCSessionId, event);
    }
    postCreateCfarDenyPurchase(basePath, hCSessionId, cfarOffersIds, uiSource) {
        let event = {
            occurredDateTime: new Date(),
            cfarOffersIds: cfarOffersIds,
            uiSource: uiSource,
            type: 'cfar_deny_purchase',
        };
        return this._postCustomerEventRequest(basePath, hCSessionId, event);
    }
}
HopperEventsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperEventsService, deps: [{ token: i1.HttpClient }, { token: CancelForAnyReasonCFARService }, { token: AnalyticsService }], target: i0.ɵɵFactoryTarget.Injectable });
HopperEventsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperEventsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperEventsService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: CancelForAnyReasonCFARService }, { type: AnalyticsService }]; } });

class CfarOfferDialogComponent extends GlobalComponent {
    constructor(_translateService, _cdRef, _loggerService, _dialogRef, data, _hopperCfarService, _hopperEventService, _decimalPipe) {
        super(_translateService, _cdRef, _loggerService);
        this._translateService = _translateService;
        this._cdRef = _cdRef;
        this._loggerService = _loggerService;
        this._dialogRef = _dialogRef;
        this.data = data;
        this._hopperCfarService = _hopperCfarService;
        this._hopperEventService = _hopperEventService;
        this._decimalPipe = _decimalPipe;
        this._hCSessionId = data.hCSessionId;
        this._itineraries = data.itineraries;
        this.cfarOffers = data.cfarOffers;
        this.isFakeBackend = data.isFakeBackend;
        this.currentLang = data.currentLang;
        this.basePath = data.basePath;
        this.imageBasePath = data.imageBasePath;
        this.env = data.env;
    }
    ngOnInit() {
        super.ngOnInit();
        this._updateLanguage(this.currentLang);
        if (this.isFakeBackend) {
            this.cfarOffers = this._buildFakePostCfarOffersResponse();
            this.selectedCfarOffer = this._getDefaultOffer(this.cfarOffers);
        }
        else if (this.cfarOffers && this.cfarOffers?.length > 0) {
            this.selectedCfarOffer = this._getDefaultOffer(this.cfarOffers);
        }
        else {
            this.initCfarOffers();
        }
    }
    ngAfterContentChecked() {
        this._cdRef.detectChanges();
    }
    onClose() {
        this.createDenyPurchaseEvent();
        this._dialogRef.close();
    }
    onSubmit() {
        if (!this.isFakeBackend) {
            this.isLoading = true;
            this._hopperCfarService
                .postCfarContracts(this.basePath, this._hCSessionId, this.currentLang, ApiTranslatorUtils.modelToSnakeCase(this._buildCreateCfarContractRequest(this.selectedCfarOffer, UiSource.Takeover)))
                .pipe(take(1))
                .subscribe({
                next: (cfarContract) => {
                    this._dialogRef.close(ApiTranslatorUtils.modelToCamelCase(cfarContract));
                },
                error: (error) => {
                    this.handleApiError(error, 'contracts');
                    this.isLoading = false;
                },
            });
        }
    }
    onSelectOffer(cfarOffer) {
        this.selectedCfarOffer = cfarOffer;
    }
    onOpenTermsAndConditions() {
        this.createTermsAndConditionsEvent();
    }
    getPricePerTraveler(offer) {
        var nbTravelers = 0;
        offer.itinerary.passengerPricing.forEach((pp) => {
            nbTravelers += pp.passengerCount.count;
        });
        return +offer.premium / (nbTravelers || 1);
    }
    getDynamicCoverage() {
        let dynamicCoverage = '';
        this._translateService
            .get('CFAR_OFFER_DIALOG.BUTTON.SUBMIT', {
            coverage: this._decimalPipe.transform(this.selectedCfarOffer.coveragePercentage, '1.0-0'),
        })
            .pipe(take(1))
            .subscribe((label) => (dynamicCoverage = label));
        return dynamicCoverage;
    }
    initCfarOffers() {
        this.isLoading = true;
        this._hopperCfarService
            .postCfarOffers(this.basePath, this._hCSessionId, this.currentLang, ApiTranslatorUtils.modelToSnakeCase(this._buildCreateCfarOfferRequest(this._itineraries)))
            .pipe(take(1))
            .subscribe({
            next: (cfarOffers) => {
                let results = [];
                if (cfarOffers) {
                    cfarOffers.forEach((cfarOffer) => {
                        results.push(ApiTranslatorUtils.modelToCamelCase(cfarOffer));
                    });
                }
                this.cfarOffers = results;
                this.selectedCfarOffer = this._getDefaultOffer(this.cfarOffers);
                this.isLoading = false;
                this.createEventsAfterInit();
            },
            error: (error) => {
                this.handleApiError(error, 'offers');
                this.isLoading = false;
            },
        });
    }
    toCfarOffersIds() {
        return this.cfarOffers.map((cfarOffer) => cfarOffer.id);
    }
    isOfferDialogEventPossible() {
        if (!this.isFakeBackend &&
            this.cfarOffers !== undefined &&
            this.cfarOffers !== null &&
            this.cfarOffers.length > 0) {
            return true;
        }
        return false;
    }
    createEventsAfterInit() {
        if (!this.isOfferDialogEventPossible()) {
            return;
        }
        this._hopperEventService
            .postCreateCfarOffersTakeoverDisplay(this.basePath, this._hCSessionId, this.toCfarOffersIds())
            .pipe(take(1))
            .subscribe({
            next: () => { },
            error: (error) => {
                this._loggerService.error('failed to send offer takeover display event', {}, error);
            },
        });
    }
    createTermsAndConditionsEvent() {
        if (!this.isOfferDialogEventPossible()) {
            return;
        }
        this._hopperEventService
            .postCreateCfarViewInfo(this.basePath, this._hCSessionId, this.toCfarOffersIds(), UiSource.Takeover)
            .pipe(take(1))
            .subscribe({
            next: () => { },
            error: (error) => {
                this._loggerService.error('failed to send t&c event', {}, error);
            },
        });
    }
    createDenyPurchaseEvent() {
        if (!this.isOfferDialogEventPossible()) {
            return;
        }
        this._hopperEventService
            .postCreateCfarDenyPurchase(this.basePath, this._hCSessionId, this.toCfarOffersIds(), UiSource.Takeover)
            .pipe(take(1))
            .subscribe({
            next: () => { },
            error: (error) => {
                this._loggerService.error('failed to send deny purchase event', {}, error);
            },
        });
    }
}
CfarOfferDialogComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CfarOfferDialogComponent, deps: [{ token: i1$1.TranslateService }, { token: i0.ChangeDetectorRef }, { token: LoggerService }, { token: i3.MatDialogRef }, { token: MAT_DIALOG_DATA }, { token: HopperCfarService }, { token: HopperEventsService }, { token: i6.DecimalPipe }], target: i0.ɵɵFactoryTarget.Component });
CfarOfferDialogComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.10", type: CfarOfferDialogComponent, selector: "hopper-cfar-offer-dialog", usesInheritance: true, ngImport: i0, template: "<div\n  mat-dialog-title\n  class=\"p-32\"\n  ngClass.lt-md=\"px-16\"\n  fxLayout=\"row\"\n  fxLayout=\"start center\"\n  fxLayoutGap=\"16px\"\n>\n  <div fxFlex=\"calc(80% - 16px)\" fxLayoutAlign=\"center start\" fxLayout=\"column\">\n    <h2>{{ 'CFAR_OFFER_DIALOG.TITLE' | translate }}</h2>\n  </div>\n\n  <div fxFlex=\"calc(20% - 16px)\" fxLayoutAlign=\"end start\">\n    <button\n      mat-mini-fab\n      color=\"primary\"\n      (click)=\"onClose()\"\n      attr.aria-label=\"{{ 'COMMON.BUTTON.CLOSE' | translate }}\"\n    >\n      <mat-icon>clear</mat-icon>\n    </button>\n  </div>\n\n  <div fxFlex=\"100\" class=\"provided-by-container\">\n    <a href=\"https://hts.hopper.com/\" target=\"_blank\">\n      <img\n        class=\"provided-by-image\"\n        src=\"{{ imageBasePath || '' }}assets/provided-by-hopper/{{\n          currentLang || 'en'\n        }}.svg\"\n      />\n    </a>\n  </div>\n</div>\n\n<mat-dialog-content class=\"mat-typography\" fxLayout=\"column\">\n  <ng-container *ngIf=\"!isLoading\">\n    <ng-container *ngIf=\"cfarOffers && cfarOffers.length > 0\">\n      <div\n        class=\"px-32 mt-16\"\n        ngClass.lt-md=\"p-16\"\n        fxLayout=\"row wrap\"\n        fxLayoutAlign=\"start center\"\n      >\n        <div\n          fxFlex=\"100\"\n          class=\"py-8\"\n          *ngFor=\"let desc of getOfferDescription(selectedCfarOffer)\"\n          fxLayout=\"row\"\n          fxLayoutAlign=\"start center\"\n          fxLayoutGap=\"8px\"\n        >\n          <mat-icon class=\"check-icon\">check</mat-icon>\n          <span\n            class=\"text-justify\"\n            attr.aria-label=\"{{ desc }}\"\n            innerHtml=\"{{ desc }}\"\n          ></span>\n        </div>\n\n        <div\n          fxFlex=\"100\"\n          class=\"py-8\"\n          fxLayout=\"row\"\n          fxLayout.lt-sm=\"column\"\n          fxLayoutAlign=\"start center\"\n          fxLayoutGap=\"8px\"\n          (click)=\"onOpenTermsAndConditions()\"\n        >\n          <a\n            href=\"{{ getTCsUrl(selectedCfarOffer) }}\"\n            attr.aria-describedby=\"{{ 'COMMON.TERMS_LINK_TEXT' | translate }}\"\n            target=\"_blank\"\n          >\n            {{ 'COMMON.TERMS_LINK_TEXT' | translate }}\n          </a>\n        </div>\n      </div>\n\n      <div\n        class=\"px-32\"\n        ngClass.lt-md=\"px-16\"\n        fxLayout=\"column\"\n        fxLayoutAlign=\"center center\"\n      >\n        <mat-card\n          attr.aria-label=\"\n                    {{\n            'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n              | translate\n                : {\n                    coverage: (offer.coveragePercentage | number: '1.0-0'),\n                    price:\n                      (getPricePerTraveler(offer)\n                      | currency\n                        : offer?.currency\n                        : 'symbol'\n                        : undefined\n                        : currentLang)\n                  }\n          }}\n                    \"\n          class=\"full-width m-16 p-16\"\n          fxFlex\n          fxLayout=\"row wrap\"\n          *ngFor=\"let offer of cfarOffers\"\n          [ngClass]=\"{ active: offer == selectedCfarOffer }\"\n        >\n          <div\n            fxFlex=\"100\"\n            attr.aria-label=\"\n                        {{\n              'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n                | translate\n                  : {\n                      coverage: (offer.coveragePercentage | number: '1.0-0'),\n                      price:\n                        (getPricePerTraveler(offer)\n                        | currency\n                          : offer?.currency\n                          : 'symbol'\n                          : undefined\n                          : currentLang)\n                    }\n            }}\n                        \"\n            fxLayout=\"row wrap\"\n            fxLayoutAlign=\"start center\"\n            (click)=\"onSelectOffer(offer)\"\n          >\n            <h3\n              fxFlex=\"100\"\n              class=\"offer-title\"\n              attr.aria-label=\"\n                            {{\n                'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n                  | translate\n                    : {\n                        coverage: (offer.coveragePercentage | number: '1.0-0'),\n                        price:\n                          (getPricePerTraveler(offer)\n                          | currency\n                            : offer?.currency\n                            : 'symbol'\n                            : undefined\n                            : currentLang)\n                      }\n              }}\n                            \"\n            >\n              {{\n                'COMMON.COVERAGE_PERCENTAGE'\n                  | translate\n                    : { coverage: (offer.coveragePercentage | number: '1.0-0') }\n              }}\n            </h3>\n            <div\n              fxFlex=\"100\"\n              class=\"price\"\n              fxLayoutGap=\"8px\"\n              attr.aria-label=\"{{\n                'COMMON.PRICE_PER_TRAVELER'\n                  | translate\n                    : {\n                        price:\n                          (getPricePerTraveler(offer)\n                          | currency\n                            : offer?.currency\n                            : 'symbol'\n                            : undefined\n                            : currentLang)\n                      }\n              }}\"\n              innerHtml=\"{{\n                'COMMON.PRICE_PER_TRAVELER'\n                  | translate\n                    : {\n                        price:\n                          (getPricePerTraveler(offer)\n                          | currency\n                            : offer?.currency\n                            : 'symbol'\n                            : undefined\n                            : currentLang)\n                      }\n              }}\"\n            ></div>\n            <div\n              class=\"incl-taxes mt-8\"\n              fxFlex=\"100\"\n              attr.aria-label=\"{{ 'COMMON.INCL_TAXES' | translate }}\"\n            >\n              {{ 'COMMON.INCL_TAXES' | translate }}\n            </div>\n          </div>\n        </mat-card>\n      </div>\n    </ng-container>\n\n    <!-- ERROR MESSAGE -->\n    <ng-container *ngIf=\"errorCode\">\n      <div\n        class=\"error-message mx-32 my-32\"\n        fxLayout=\"row\"\n        fxLayoutAlign=\"start center\"\n      >\n        <mat-icon fxFlex=\"24px\">error</mat-icon>\n        <span fxFlex=\"calc(100% - 24px)\" class=\"p-16\">{{ errorMessage }}</span>\n      </div>\n    </ng-container>\n    <!-- / ERROR MESSAGE -->\n  </ng-container>\n\n  <ng-container *ngIf=\"isLoading\">\n    <div\n      class=\"p-32\"\n      ngClass.lt-md=\"p-16\"\n      fxLayout=\"column\"\n      fxLayoutAlign=\"center center\"\n      fxLayoutGap=\"16px\"\n    >\n      <mat-spinner></mat-spinner>\n      <p>{{ 'CFAR_OFFER_DIALOG.LOADING' | translate }}</p>\n    </div>\n  </ng-container>\n</mat-dialog-content>\n\n<mat-dialog-actions>\n  <div\n    class=\"p-16\"\n    *ngIf=\"!isLoading\"\n    fxFlex=\"100\"\n    fxLayout=\"row wrap\"\n    fxLayoutGap=\"16px\"\n    fxLayout.lt-sm=\"column\"\n    fxLayoutAlign=\"center center\"\n  >\n    <button\n      mat-raised-button\n      ngClass.lt-sm=\"full-width\"\n      (click)=\"onClose()\"\n      attr.aria-label=\"{{ 'CFAR_OFFER_DIALOG.BUTTON.CANCEL' | translate }}\"\n    >\n      {{ 'CFAR_OFFER_DIALOG.BUTTON.CANCEL' | translate }}\n    </button>\n    <button\n      mat-raised-button\n      color=\"accent\"\n      *ngIf=\"selectedCfarOffer\"\n      ngClass.lt-sm=\"full-width\"\n      (click)=\"onSubmit()\"\n      attr.aria-label=\"{{ getDynamicCoverage() }}\"\n    >\n      {{ getDynamicCoverage() }}\n    </button>\n  </div>\n</mat-dialog-actions>\n", styles: [".m-0{margin:0!important}.m-4{margin:4px!important}.m-8{margin:8px!important}.m-12{margin:12px!important}.m-16{margin:16px!important}.m-20{margin:20px!important}.m-24{margin:24px!important}.m-28{margin:28px!important}.m-32{margin:32px!important}.m-36{margin:36px!important}.m-40{margin:40px!important}.m-44{margin:44px!important}.m-48{margin:48px!important}.m-52{margin:52px!important}.m-56{margin:56px!important}.m-60{margin:60px!important}.m-64{margin:64px!important}.m-68{margin:68px!important}.m-72{margin:72px!important}.m-76{margin:76px!important}.m-80{margin:80px!important}.m-84{margin:84px!important}.m-88{margin:88px!important}.m-92{margin:92px!important}.m-96{margin:96px!important}.m-100{margin:100px!important}.m-104{margin:104px!important}.m-108{margin:108px!important}.m-112{margin:112px!important}.m-116{margin:116px!important}.m-120{margin:120px!important}.m-124{margin:124px!important}.m-128{margin:128px!important}.m-132{margin:132px!important}.m-136{margin:136px!important}.m-140{margin:140px!important}.m-144{margin:144px!important}.m-148{margin:148px!important}.m-152{margin:152px!important}.m-156{margin:156px!important}.m-160{margin:160px!important}.m-164{margin:164px!important}.m-168{margin:168px!important}.m-172{margin:172px!important}.m-176{margin:176px!important}.m-180{margin:180px!important}.m-184{margin:184px!important}.m-188{margin:188px!important}.m-192{margin:192px!important}.m-196{margin:196px!important}.m-200{margin:200px!important}.m-204{margin:204px!important}.m-208{margin:208px!important}.m-212{margin:212px!important}.m-216{margin:216px!important}.m-220{margin:220px!important}.m-224{margin:224px!important}.m-228{margin:228px!important}.m-232{margin:232px!important}.m-236{margin:236px!important}.m-240{margin:240px!important}.m-244{margin:244px!important}.m-248{margin:248px!important}.m-252{margin:252px!important}.m-256{margin:256px!important}.mx-0{margin-right:0!important;margin-left:0!important}.my-0{margin-top:0!important;margin-bottom:0!important}.mx-4{margin-right:4px!important;margin-left:4px!important}.my-4{margin-top:4px!important;margin-bottom:4px!important}.mx-8{margin-right:8px!important;margin-left:8px!important}.my-8{margin-top:8px!important;margin-bottom:8px!important}.mx-12{margin-right:12px!important;margin-left:12px!important}.my-12{margin-top:12px!important;margin-bottom:12px!important}.mx-16{margin-right:16px!important;margin-left:16px!important}.my-16{margin-top:16px!important;margin-bottom:16px!important}.mx-20{margin-right:20px!important;margin-left:20px!important}.my-20{margin-top:20px!important;margin-bottom:20px!important}.mx-24{margin-right:24px!important;margin-left:24px!important}.my-24{margin-top:24px!important;margin-bottom:24px!important}.mx-28{margin-right:28px!important;margin-left:28px!important}.my-28{margin-top:28px!important;margin-bottom:28px!important}.mx-32{margin-right:32px!important;margin-left:32px!important}.my-32{margin-top:32px!important;margin-bottom:32px!important}.mx-36{margin-right:36px!important;margin-left:36px!important}.my-36{margin-top:36px!important;margin-bottom:36px!important}.mx-40{margin-right:40px!important;margin-left:40px!important}.my-40{margin-top:40px!important;margin-bottom:40px!important}.mx-44{margin-right:44px!important;margin-left:44px!important}.my-44{margin-top:44px!important;margin-bottom:44px!important}.mx-48{margin-right:48px!important;margin-left:48px!important}.my-48{margin-top:48px!important;margin-bottom:48px!important}.mx-52{margin-right:52px!important;margin-left:52px!important}.my-52{margin-top:52px!important;margin-bottom:52px!important}.mx-56{margin-right:56px!important;margin-left:56px!important}.my-56{margin-top:56px!important;margin-bottom:56px!important}.mx-60{margin-right:60px!important;margin-left:60px!important}.my-60{margin-top:60px!important;margin-bottom:60px!important}.mx-64{margin-right:64px!important;margin-left:64px!important}.my-64{margin-top:64px!important;margin-bottom:64px!important}.mx-68{margin-right:68px!important;margin-left:68px!important}.my-68{margin-top:68px!important;margin-bottom:68px!important}.mx-72{margin-right:72px!important;margin-left:72px!important}.my-72{margin-top:72px!important;margin-bottom:72px!important}.mx-76{margin-right:76px!important;margin-left:76px!important}.my-76{margin-top:76px!important;margin-bottom:76px!important}.mx-80{margin-right:80px!important;margin-left:80px!important}.my-80{margin-top:80px!important;margin-bottom:80px!important}.mx-84{margin-right:84px!important;margin-left:84px!important}.my-84{margin-top:84px!important;margin-bottom:84px!important}.mx-88{margin-right:88px!important;margin-left:88px!important}.my-88{margin-top:88px!important;margin-bottom:88px!important}.mx-92{margin-right:92px!important;margin-left:92px!important}.my-92{margin-top:92px!important;margin-bottom:92px!important}.mx-96{margin-right:96px!important;margin-left:96px!important}.my-96{margin-top:96px!important;margin-bottom:96px!important}.mx-100{margin-right:100px!important;margin-left:100px!important}.my-100{margin-top:100px!important;margin-bottom:100px!important}.mx-104{margin-right:104px!important;margin-left:104px!important}.my-104{margin-top:104px!important;margin-bottom:104px!important}.mx-108{margin-right:108px!important;margin-left:108px!important}.my-108{margin-top:108px!important;margin-bottom:108px!important}.mx-112{margin-right:112px!important;margin-left:112px!important}.my-112{margin-top:112px!important;margin-bottom:112px!important}.mx-116{margin-right:116px!important;margin-left:116px!important}.my-116{margin-top:116px!important;margin-bottom:116px!important}.mx-120{margin-right:120px!important;margin-left:120px!important}.my-120{margin-top:120px!important;margin-bottom:120px!important}.mx-124{margin-right:124px!important;margin-left:124px!important}.my-124{margin-top:124px!important;margin-bottom:124px!important}.mx-128{margin-right:128px!important;margin-left:128px!important}.my-128{margin-top:128px!important;margin-bottom:128px!important}.mx-132{margin-right:132px!important;margin-left:132px!important}.my-132{margin-top:132px!important;margin-bottom:132px!important}.mx-136{margin-right:136px!important;margin-left:136px!important}.my-136{margin-top:136px!important;margin-bottom:136px!important}.mx-140{margin-right:140px!important;margin-left:140px!important}.my-140{margin-top:140px!important;margin-bottom:140px!important}.mx-144{margin-right:144px!important;margin-left:144px!important}.my-144{margin-top:144px!important;margin-bottom:144px!important}.mx-148{margin-right:148px!important;margin-left:148px!important}.my-148{margin-top:148px!important;margin-bottom:148px!important}.mx-152{margin-right:152px!important;margin-left:152px!important}.my-152{margin-top:152px!important;margin-bottom:152px!important}.mx-156{margin-right:156px!important;margin-left:156px!important}.my-156{margin-top:156px!important;margin-bottom:156px!important}.mx-160{margin-right:160px!important;margin-left:160px!important}.my-160{margin-top:160px!important;margin-bottom:160px!important}.mx-164{margin-right:164px!important;margin-left:164px!important}.my-164{margin-top:164px!important;margin-bottom:164px!important}.mx-168{margin-right:168px!important;margin-left:168px!important}.my-168{margin-top:168px!important;margin-bottom:168px!important}.mx-172{margin-right:172px!important;margin-left:172px!important}.my-172{margin-top:172px!important;margin-bottom:172px!important}.mx-176{margin-right:176px!important;margin-left:176px!important}.my-176{margin-top:176px!important;margin-bottom:176px!important}.mx-180{margin-right:180px!important;margin-left:180px!important}.my-180{margin-top:180px!important;margin-bottom:180px!important}.mx-184{margin-right:184px!important;margin-left:184px!important}.my-184{margin-top:184px!important;margin-bottom:184px!important}.mx-188{margin-right:188px!important;margin-left:188px!important}.my-188{margin-top:188px!important;margin-bottom:188px!important}.mx-192{margin-right:192px!important;margin-left:192px!important}.my-192{margin-top:192px!important;margin-bottom:192px!important}.mx-196{margin-right:196px!important;margin-left:196px!important}.my-196{margin-top:196px!important;margin-bottom:196px!important}.mx-200{margin-right:200px!important;margin-left:200px!important}.my-200{margin-top:200px!important;margin-bottom:200px!important}.mx-204{margin-right:204px!important;margin-left:204px!important}.my-204{margin-top:204px!important;margin-bottom:204px!important}.mx-208{margin-right:208px!important;margin-left:208px!important}.my-208{margin-top:208px!important;margin-bottom:208px!important}.mx-212{margin-right:212px!important;margin-left:212px!important}.my-212{margin-top:212px!important;margin-bottom:212px!important}.mx-216{margin-right:216px!important;margin-left:216px!important}.my-216{margin-top:216px!important;margin-bottom:216px!important}.mx-220{margin-right:220px!important;margin-left:220px!important}.my-220{margin-top:220px!important;margin-bottom:220px!important}.mx-224{margin-right:224px!important;margin-left:224px!important}.my-224{margin-top:224px!important;margin-bottom:224px!important}.mx-228{margin-right:228px!important;margin-left:228px!important}.my-228{margin-top:228px!important;margin-bottom:228px!important}.mx-232{margin-right:232px!important;margin-left:232px!important}.my-232{margin-top:232px!important;margin-bottom:232px!important}.mx-236{margin-right:236px!important;margin-left:236px!important}.my-236{margin-top:236px!important;margin-bottom:236px!important}.mx-240{margin-right:240px!important;margin-left:240px!important}.my-240{margin-top:240px!important;margin-bottom:240px!important}.mx-244{margin-right:244px!important;margin-left:244px!important}.my-244{margin-top:244px!important;margin-bottom:244px!important}.mx-248{margin-right:248px!important;margin-left:248px!important}.my-248{margin-top:248px!important;margin-bottom:248px!important}.mx-252{margin-right:252px!important;margin-left:252px!important}.my-252{margin-top:252px!important;margin-bottom:252px!important}.mx-256{margin-right:256px!important;margin-left:256px!important}.my-256{margin-top:256px!important;margin-bottom:256px!important}.mt-0{margin-top:0!important}.mr-0{margin-right:0!important}.mb-0{margin-bottom:0!important}.ml-0{margin-left:0!important}.mt-4{margin-top:4px!important}.mr-4{margin-right:4px!important}.mb-4{margin-bottom:4px!important}.ml-4{margin-left:4px!important}.mt-8{margin-top:8px!important}.mr-8{margin-right:8px!important}.mb-8{margin-bottom:8px!important}.ml-8{margin-left:8px!important}.mt-12{margin-top:12px!important}.mr-12{margin-right:12px!important}.mb-12{margin-bottom:12px!important}.ml-12{margin-left:12px!important}.mt-16{margin-top:16px!important}.mr-16{margin-right:16px!important}.mb-16{margin-bottom:16px!important}.ml-16{margin-left:16px!important}.mt-20{margin-top:20px!important}.mr-20{margin-right:20px!important}.mb-20{margin-bottom:20px!important}.ml-20{margin-left:20px!important}.mt-24{margin-top:24px!important}.mr-24{margin-right:24px!important}.mb-24{margin-bottom:24px!important}.ml-24{margin-left:24px!important}.mt-28{margin-top:28px!important}.mr-28{margin-right:28px!important}.mb-28{margin-bottom:28px!important}.ml-28{margin-left:28px!important}.mt-32{margin-top:32px!important}.mr-32{margin-right:32px!important}.mb-32{margin-bottom:32px!important}.ml-32{margin-left:32px!important}.mt-36{margin-top:36px!important}.mr-36{margin-right:36px!important}.mb-36{margin-bottom:36px!important}.ml-36{margin-left:36px!important}.mt-40{margin-top:40px!important}.mr-40{margin-right:40px!important}.mb-40{margin-bottom:40px!important}.ml-40{margin-left:40px!important}.mt-44{margin-top:44px!important}.mr-44{margin-right:44px!important}.mb-44{margin-bottom:44px!important}.ml-44{margin-left:44px!important}.mt-48{margin-top:48px!important}.mr-48{margin-right:48px!important}.mb-48{margin-bottom:48px!important}.ml-48{margin-left:48px!important}.mt-52{margin-top:52px!important}.mr-52{margin-right:52px!important}.mb-52{margin-bottom:52px!important}.ml-52{margin-left:52px!important}.mt-56{margin-top:56px!important}.mr-56{margin-right:56px!important}.mb-56{margin-bottom:56px!important}.ml-56{margin-left:56px!important}.mt-60{margin-top:60px!important}.mr-60{margin-right:60px!important}.mb-60{margin-bottom:60px!important}.ml-60{margin-left:60px!important}.mt-64{margin-top:64px!important}.mr-64{margin-right:64px!important}.mb-64{margin-bottom:64px!important}.ml-64{margin-left:64px!important}.mt-68{margin-top:68px!important}.mr-68{margin-right:68px!important}.mb-68{margin-bottom:68px!important}.ml-68{margin-left:68px!important}.mt-72{margin-top:72px!important}.mr-72{margin-right:72px!important}.mb-72{margin-bottom:72px!important}.ml-72{margin-left:72px!important}.mt-76{margin-top:76px!important}.mr-76{margin-right:76px!important}.mb-76{margin-bottom:76px!important}.ml-76{margin-left:76px!important}.mt-80{margin-top:80px!important}.mr-80{margin-right:80px!important}.mb-80{margin-bottom:80px!important}.ml-80{margin-left:80px!important}.mt-84{margin-top:84px!important}.mr-84{margin-right:84px!important}.mb-84{margin-bottom:84px!important}.ml-84{margin-left:84px!important}.mt-88{margin-top:88px!important}.mr-88{margin-right:88px!important}.mb-88{margin-bottom:88px!important}.ml-88{margin-left:88px!important}.mt-92{margin-top:92px!important}.mr-92{margin-right:92px!important}.mb-92{margin-bottom:92px!important}.ml-92{margin-left:92px!important}.mt-96{margin-top:96px!important}.mr-96{margin-right:96px!important}.mb-96{margin-bottom:96px!important}.ml-96{margin-left:96px!important}.mt-100{margin-top:100px!important}.mr-100{margin-right:100px!important}.mb-100{margin-bottom:100px!important}.ml-100{margin-left:100px!important}.mt-104{margin-top:104px!important}.mr-104{margin-right:104px!important}.mb-104{margin-bottom:104px!important}.ml-104{margin-left:104px!important}.mt-108{margin-top:108px!important}.mr-108{margin-right:108px!important}.mb-108{margin-bottom:108px!important}.ml-108{margin-left:108px!important}.mt-112{margin-top:112px!important}.mr-112{margin-right:112px!important}.mb-112{margin-bottom:112px!important}.ml-112{margin-left:112px!important}.mt-116{margin-top:116px!important}.mr-116{margin-right:116px!important}.mb-116{margin-bottom:116px!important}.ml-116{margin-left:116px!important}.mt-120{margin-top:120px!important}.mr-120{margin-right:120px!important}.mb-120{margin-bottom:120px!important}.ml-120{margin-left:120px!important}.mt-124{margin-top:124px!important}.mr-124{margin-right:124px!important}.mb-124{margin-bottom:124px!important}.ml-124{margin-left:124px!important}.mt-128{margin-top:128px!important}.mr-128{margin-right:128px!important}.mb-128{margin-bottom:128px!important}.ml-128{margin-left:128px!important}.mt-132{margin-top:132px!important}.mr-132{margin-right:132px!important}.mb-132{margin-bottom:132px!important}.ml-132{margin-left:132px!important}.mt-136{margin-top:136px!important}.mr-136{margin-right:136px!important}.mb-136{margin-bottom:136px!important}.ml-136{margin-left:136px!important}.mt-140{margin-top:140px!important}.mr-140{margin-right:140px!important}.mb-140{margin-bottom:140px!important}.ml-140{margin-left:140px!important}.mt-144{margin-top:144px!important}.mr-144{margin-right:144px!important}.mb-144{margin-bottom:144px!important}.ml-144{margin-left:144px!important}.mt-148{margin-top:148px!important}.mr-148{margin-right:148px!important}.mb-148{margin-bottom:148px!important}.ml-148{margin-left:148px!important}.mt-152{margin-top:152px!important}.mr-152{margin-right:152px!important}.mb-152{margin-bottom:152px!important}.ml-152{margin-left:152px!important}.mt-156{margin-top:156px!important}.mr-156{margin-right:156px!important}.mb-156{margin-bottom:156px!important}.ml-156{margin-left:156px!important}.mt-160{margin-top:160px!important}.mr-160{margin-right:160px!important}.mb-160{margin-bottom:160px!important}.ml-160{margin-left:160px!important}.mt-164{margin-top:164px!important}.mr-164{margin-right:164px!important}.mb-164{margin-bottom:164px!important}.ml-164{margin-left:164px!important}.mt-168{margin-top:168px!important}.mr-168{margin-right:168px!important}.mb-168{margin-bottom:168px!important}.ml-168{margin-left:168px!important}.mt-172{margin-top:172px!important}.mr-172{margin-right:172px!important}.mb-172{margin-bottom:172px!important}.ml-172{margin-left:172px!important}.mt-176{margin-top:176px!important}.mr-176{margin-right:176px!important}.mb-176{margin-bottom:176px!important}.ml-176{margin-left:176px!important}.mt-180{margin-top:180px!important}.mr-180{margin-right:180px!important}.mb-180{margin-bottom:180px!important}.ml-180{margin-left:180px!important}.mt-184{margin-top:184px!important}.mr-184{margin-right:184px!important}.mb-184{margin-bottom:184px!important}.ml-184{margin-left:184px!important}.mt-188{margin-top:188px!important}.mr-188{margin-right:188px!important}.mb-188{margin-bottom:188px!important}.ml-188{margin-left:188px!important}.mt-192{margin-top:192px!important}.mr-192{margin-right:192px!important}.mb-192{margin-bottom:192px!important}.ml-192{margin-left:192px!important}.mt-196{margin-top:196px!important}.mr-196{margin-right:196px!important}.mb-196{margin-bottom:196px!important}.ml-196{margin-left:196px!important}.mt-200{margin-top:200px!important}.mr-200{margin-right:200px!important}.mb-200{margin-bottom:200px!important}.ml-200{margin-left:200px!important}.mt-204{margin-top:204px!important}.mr-204{margin-right:204px!important}.mb-204{margin-bottom:204px!important}.ml-204{margin-left:204px!important}.mt-208{margin-top:208px!important}.mr-208{margin-right:208px!important}.mb-208{margin-bottom:208px!important}.ml-208{margin-left:208px!important}.mt-212{margin-top:212px!important}.mr-212{margin-right:212px!important}.mb-212{margin-bottom:212px!important}.ml-212{margin-left:212px!important}.mt-216{margin-top:216px!important}.mr-216{margin-right:216px!important}.mb-216{margin-bottom:216px!important}.ml-216{margin-left:216px!important}.mt-220{margin-top:220px!important}.mr-220{margin-right:220px!important}.mb-220{margin-bottom:220px!important}.ml-220{margin-left:220px!important}.mt-224{margin-top:224px!important}.mr-224{margin-right:224px!important}.mb-224{margin-bottom:224px!important}.ml-224{margin-left:224px!important}.mt-228{margin-top:228px!important}.mr-228{margin-right:228px!important}.mb-228{margin-bottom:228px!important}.ml-228{margin-left:228px!important}.mt-232{margin-top:232px!important}.mr-232{margin-right:232px!important}.mb-232{margin-bottom:232px!important}.ml-232{margin-left:232px!important}.mt-236{margin-top:236px!important}.mr-236{margin-right:236px!important}.mb-236{margin-bottom:236px!important}.ml-236{margin-left:236px!important}.mt-240{margin-top:240px!important}.mr-240{margin-right:240px!important}.mb-240{margin-bottom:240px!important}.ml-240{margin-left:240px!important}.mt-244{margin-top:244px!important}.mr-244{margin-right:244px!important}.mb-244{margin-bottom:244px!important}.ml-244{margin-left:244px!important}.mt-248{margin-top:248px!important}.mr-248{margin-right:248px!important}.mb-248{margin-bottom:248px!important}.ml-248{margin-left:248px!important}.mt-252{margin-top:252px!important}.mr-252{margin-right:252px!important}.mb-252{margin-bottom:252px!important}.ml-252{margin-left:252px!important}.mt-256{margin-top:256px!important}.mr-256{margin-right:256px!important}.mb-256{margin-bottom:256px!important}.ml-256{margin-left:256px!important}.m-auto{margin:auto!important}.mt-auto{margin-top:auto!important}.mr-auto{margin-right:auto!important}.mb-auto{margin-bottom:auto!important}.ml-auto{margin-left:auto!important}.mx-auto{margin-right:auto!important;margin-left:auto!important}.my-auto{margin-top:auto!important;margin-bottom:auto!important}.p-0{padding:0!important}.p-4{padding:4px!important}.p-8{padding:8px!important}.p-12{padding:12px!important}.p-16{padding:16px!important}.p-20{padding:20px!important}.p-24{padding:24px!important}.p-28{padding:28px!important}.p-32{padding:32px!important}.p-36{padding:36px!important}.p-40{padding:40px!important}.p-44{padding:44px!important}.p-48{padding:48px!important}.p-52{padding:52px!important}.p-56{padding:56px!important}.p-60{padding:60px!important}.p-64{padding:64px!important}.p-68{padding:68px!important}.p-72{padding:72px!important}.p-76{padding:76px!important}.p-80{padding:80px!important}.p-84{padding:84px!important}.p-88{padding:88px!important}.p-92{padding:92px!important}.p-96{padding:96px!important}.p-100{padding:100px!important}.p-104{padding:104px!important}.p-108{padding:108px!important}.p-112{padding:112px!important}.p-116{padding:116px!important}.p-120{padding:120px!important}.p-124{padding:124px!important}.p-128{padding:128px!important}.p-132{padding:132px!important}.p-136{padding:136px!important}.p-140{padding:140px!important}.p-144{padding:144px!important}.p-148{padding:148px!important}.p-152{padding:152px!important}.p-156{padding:156px!important}.p-160{padding:160px!important}.p-164{padding:164px!important}.p-168{padding:168px!important}.p-172{padding:172px!important}.p-176{padding:176px!important}.p-180{padding:180px!important}.p-184{padding:184px!important}.p-188{padding:188px!important}.p-192{padding:192px!important}.p-196{padding:196px!important}.p-200{padding:200px!important}.p-204{padding:204px!important}.p-208{padding:208px!important}.p-212{padding:212px!important}.p-216{padding:216px!important}.p-220{padding:220px!important}.p-224{padding:224px!important}.p-228{padding:228px!important}.p-232{padding:232px!important}.p-236{padding:236px!important}.p-240{padding:240px!important}.p-244{padding:244px!important}.p-248{padding:248px!important}.p-252{padding:252px!important}.p-256{padding:256px!important}.px-0{padding-right:0!important;padding-left:0!important}.py-0{padding-top:0!important;padding-bottom:0!important}.px-4{padding-right:4px!important;padding-left:4px!important}.py-4{padding-top:4px!important;padding-bottom:4px!important}.px-8{padding-right:8px!important;padding-left:8px!important}.py-8{padding-top:8px!important;padding-bottom:8px!important}.px-12{padding-right:12px!important;padding-left:12px!important}.py-12{padding-top:12px!important;padding-bottom:12px!important}.px-16{padding-right:16px!important;padding-left:16px!important}.py-16{padding-top:16px!important;padding-bottom:16px!important}.px-20{padding-right:20px!important;padding-left:20px!important}.py-20{padding-top:20px!important;padding-bottom:20px!important}.px-24{padding-right:24px!important;padding-left:24px!important}.py-24{padding-top:24px!important;padding-bottom:24px!important}.px-28{padding-right:28px!important;padding-left:28px!important}.py-28{padding-top:28px!important;padding-bottom:28px!important}.px-32{padding-right:32px!important;padding-left:32px!important}.py-32{padding-top:32px!important;padding-bottom:32px!important}.px-36{padding-right:36px!important;padding-left:36px!important}.py-36{padding-top:36px!important;padding-bottom:36px!important}.px-40{padding-right:40px!important;padding-left:40px!important}.py-40{padding-top:40px!important;padding-bottom:40px!important}.px-44{padding-right:44px!important;padding-left:44px!important}.py-44{padding-top:44px!important;padding-bottom:44px!important}.px-48{padding-right:48px!important;padding-left:48px!important}.py-48{padding-top:48px!important;padding-bottom:48px!important}.px-52{padding-right:52px!important;padding-left:52px!important}.py-52{padding-top:52px!important;padding-bottom:52px!important}.px-56{padding-right:56px!important;padding-left:56px!important}.py-56{padding-top:56px!important;padding-bottom:56px!important}.px-60{padding-right:60px!important;padding-left:60px!important}.py-60{padding-top:60px!important;padding-bottom:60px!important}.px-64{padding-right:64px!important;padding-left:64px!important}.py-64{padding-top:64px!important;padding-bottom:64px!important}.px-68{padding-right:68px!important;padding-left:68px!important}.py-68{padding-top:68px!important;padding-bottom:68px!important}.px-72{padding-right:72px!important;padding-left:72px!important}.py-72{padding-top:72px!important;padding-bottom:72px!important}.px-76{padding-right:76px!important;padding-left:76px!important}.py-76{padding-top:76px!important;padding-bottom:76px!important}.px-80{padding-right:80px!important;padding-left:80px!important}.py-80{padding-top:80px!important;padding-bottom:80px!important}.px-84{padding-right:84px!important;padding-left:84px!important}.py-84{padding-top:84px!important;padding-bottom:84px!important}.px-88{padding-right:88px!important;padding-left:88px!important}.py-88{padding-top:88px!important;padding-bottom:88px!important}.px-92{padding-right:92px!important;padding-left:92px!important}.py-92{padding-top:92px!important;padding-bottom:92px!important}.px-96{padding-right:96px!important;padding-left:96px!important}.py-96{padding-top:96px!important;padding-bottom:96px!important}.px-100{padding-right:100px!important;padding-left:100px!important}.py-100{padding-top:100px!important;padding-bottom:100px!important}.px-104{padding-right:104px!important;padding-left:104px!important}.py-104{padding-top:104px!important;padding-bottom:104px!important}.px-108{padding-right:108px!important;padding-left:108px!important}.py-108{padding-top:108px!important;padding-bottom:108px!important}.px-112{padding-right:112px!important;padding-left:112px!important}.py-112{padding-top:112px!important;padding-bottom:112px!important}.px-116{padding-right:116px!important;padding-left:116px!important}.py-116{padding-top:116px!important;padding-bottom:116px!important}.px-120{padding-right:120px!important;padding-left:120px!important}.py-120{padding-top:120px!important;padding-bottom:120px!important}.px-124{padding-right:124px!important;padding-left:124px!important}.py-124{padding-top:124px!important;padding-bottom:124px!important}.px-128{padding-right:128px!important;padding-left:128px!important}.py-128{padding-top:128px!important;padding-bottom:128px!important}.px-132{padding-right:132px!important;padding-left:132px!important}.py-132{padding-top:132px!important;padding-bottom:132px!important}.px-136{padding-right:136px!important;padding-left:136px!important}.py-136{padding-top:136px!important;padding-bottom:136px!important}.px-140{padding-right:140px!important;padding-left:140px!important}.py-140{padding-top:140px!important;padding-bottom:140px!important}.px-144{padding-right:144px!important;padding-left:144px!important}.py-144{padding-top:144px!important;padding-bottom:144px!important}.px-148{padding-right:148px!important;padding-left:148px!important}.py-148{padding-top:148px!important;padding-bottom:148px!important}.px-152{padding-right:152px!important;padding-left:152px!important}.py-152{padding-top:152px!important;padding-bottom:152px!important}.px-156{padding-right:156px!important;padding-left:156px!important}.py-156{padding-top:156px!important;padding-bottom:156px!important}.px-160{padding-right:160px!important;padding-left:160px!important}.py-160{padding-top:160px!important;padding-bottom:160px!important}.px-164{padding-right:164px!important;padding-left:164px!important}.py-164{padding-top:164px!important;padding-bottom:164px!important}.px-168{padding-right:168px!important;padding-left:168px!important}.py-168{padding-top:168px!important;padding-bottom:168px!important}.px-172{padding-right:172px!important;padding-left:172px!important}.py-172{padding-top:172px!important;padding-bottom:172px!important}.px-176{padding-right:176px!important;padding-left:176px!important}.py-176{padding-top:176px!important;padding-bottom:176px!important}.px-180{padding-right:180px!important;padding-left:180px!important}.py-180{padding-top:180px!important;padding-bottom:180px!important}.px-184{padding-right:184px!important;padding-left:184px!important}.py-184{padding-top:184px!important;padding-bottom:184px!important}.px-188{padding-right:188px!important;padding-left:188px!important}.py-188{padding-top:188px!important;padding-bottom:188px!important}.px-192{padding-right:192px!important;padding-left:192px!important}.py-192{padding-top:192px!important;padding-bottom:192px!important}.px-196{padding-right:196px!important;padding-left:196px!important}.py-196{padding-top:196px!important;padding-bottom:196px!important}.px-200{padding-right:200px!important;padding-left:200px!important}.py-200{padding-top:200px!important;padding-bottom:200px!important}.px-204{padding-right:204px!important;padding-left:204px!important}.py-204{padding-top:204px!important;padding-bottom:204px!important}.px-208{padding-right:208px!important;padding-left:208px!important}.py-208{padding-top:208px!important;padding-bottom:208px!important}.px-212{padding-right:212px!important;padding-left:212px!important}.py-212{padding-top:212px!important;padding-bottom:212px!important}.px-216{padding-right:216px!important;padding-left:216px!important}.py-216{padding-top:216px!important;padding-bottom:216px!important}.px-220{padding-right:220px!important;padding-left:220px!important}.py-220{padding-top:220px!important;padding-bottom:220px!important}.px-224{padding-right:224px!important;padding-left:224px!important}.py-224{padding-top:224px!important;padding-bottom:224px!important}.px-228{padding-right:228px!important;padding-left:228px!important}.py-228{padding-top:228px!important;padding-bottom:228px!important}.px-232{padding-right:232px!important;padding-left:232px!important}.py-232{padding-top:232px!important;padding-bottom:232px!important}.px-236{padding-right:236px!important;padding-left:236px!important}.py-236{padding-top:236px!important;padding-bottom:236px!important}.px-240{padding-right:240px!important;padding-left:240px!important}.py-240{padding-top:240px!important;padding-bottom:240px!important}.px-244{padding-right:244px!important;padding-left:244px!important}.py-244{padding-top:244px!important;padding-bottom:244px!important}.px-248{padding-right:248px!important;padding-left:248px!important}.py-248{padding-top:248px!important;padding-bottom:248px!important}.px-252{padding-right:252px!important;padding-left:252px!important}.py-252{padding-top:252px!important;padding-bottom:252px!important}.px-256{padding-right:256px!important;padding-left:256px!important}.py-256{padding-top:256px!important;padding-bottom:256px!important}.pt-0{padding-top:0!important}.pr-0{padding-right:0!important}.pb-0{padding-bottom:0!important}.pl-0{padding-left:0!important}.pt-4{padding-top:4px!important}.pr-4{padding-right:4px!important}.pb-4{padding-bottom:4px!important}.pl-4{padding-left:4px!important}.pt-8{padding-top:8px!important}.pr-8{padding-right:8px!important}.pb-8{padding-bottom:8px!important}.pl-8{padding-left:8px!important}.pt-12{padding-top:12px!important}.pr-12{padding-right:12px!important}.pb-12{padding-bottom:12px!important}.pl-12{padding-left:12px!important}.pt-16{padding-top:16px!important}.pr-16{padding-right:16px!important}.pb-16{padding-bottom:16px!important}.pl-16{padding-left:16px!important}.pt-20{padding-top:20px!important}.pr-20{padding-right:20px!important}.pb-20{padding-bottom:20px!important}.pl-20{padding-left:20px!important}.pt-24{padding-top:24px!important}.pr-24{padding-right:24px!important}.pb-24{padding-bottom:24px!important}.pl-24{padding-left:24px!important}.pt-28{padding-top:28px!important}.pr-28{padding-right:28px!important}.pb-28{padding-bottom:28px!important}.pl-28{padding-left:28px!important}.pt-32{padding-top:32px!important}.pr-32{padding-right:32px!important}.pb-32{padding-bottom:32px!important}.pl-32{padding-left:32px!important}.pt-36{padding-top:36px!important}.pr-36{padding-right:36px!important}.pb-36{padding-bottom:36px!important}.pl-36{padding-left:36px!important}.pt-40{padding-top:40px!important}.pr-40{padding-right:40px!important}.pb-40{padding-bottom:40px!important}.pl-40{padding-left:40px!important}.pt-44{padding-top:44px!important}.pr-44{padding-right:44px!important}.pb-44{padding-bottom:44px!important}.pl-44{padding-left:44px!important}.pt-48{padding-top:48px!important}.pr-48{padding-right:48px!important}.pb-48{padding-bottom:48px!important}.pl-48{padding-left:48px!important}.pt-52{padding-top:52px!important}.pr-52{padding-right:52px!important}.pb-52{padding-bottom:52px!important}.pl-52{padding-left:52px!important}.pt-56{padding-top:56px!important}.pr-56{padding-right:56px!important}.pb-56{padding-bottom:56px!important}.pl-56{padding-left:56px!important}.pt-60{padding-top:60px!important}.pr-60{padding-right:60px!important}.pb-60{padding-bottom:60px!important}.pl-60{padding-left:60px!important}.pt-64{padding-top:64px!important}.pr-64{padding-right:64px!important}.pb-64{padding-bottom:64px!important}.pl-64{padding-left:64px!important}.pt-68{padding-top:68px!important}.pr-68{padding-right:68px!important}.pb-68{padding-bottom:68px!important}.pl-68{padding-left:68px!important}.pt-72{padding-top:72px!important}.pr-72{padding-right:72px!important}.pb-72{padding-bottom:72px!important}.pl-72{padding-left:72px!important}.pt-76{padding-top:76px!important}.pr-76{padding-right:76px!important}.pb-76{padding-bottom:76px!important}.pl-76{padding-left:76px!important}.pt-80{padding-top:80px!important}.pr-80{padding-right:80px!important}.pb-80{padding-bottom:80px!important}.pl-80{padding-left:80px!important}.pt-84{padding-top:84px!important}.pr-84{padding-right:84px!important}.pb-84{padding-bottom:84px!important}.pl-84{padding-left:84px!important}.pt-88{padding-top:88px!important}.pr-88{padding-right:88px!important}.pb-88{padding-bottom:88px!important}.pl-88{padding-left:88px!important}.pt-92{padding-top:92px!important}.pr-92{padding-right:92px!important}.pb-92{padding-bottom:92px!important}.pl-92{padding-left:92px!important}.pt-96{padding-top:96px!important}.pr-96{padding-right:96px!important}.pb-96{padding-bottom:96px!important}.pl-96{padding-left:96px!important}.pt-100{padding-top:100px!important}.pr-100{padding-right:100px!important}.pb-100{padding-bottom:100px!important}.pl-100{padding-left:100px!important}.pt-104{padding-top:104px!important}.pr-104{padding-right:104px!important}.pb-104{padding-bottom:104px!important}.pl-104{padding-left:104px!important}.pt-108{padding-top:108px!important}.pr-108{padding-right:108px!important}.pb-108{padding-bottom:108px!important}.pl-108{padding-left:108px!important}.pt-112{padding-top:112px!important}.pr-112{padding-right:112px!important}.pb-112{padding-bottom:112px!important}.pl-112{padding-left:112px!important}.pt-116{padding-top:116px!important}.pr-116{padding-right:116px!important}.pb-116{padding-bottom:116px!important}.pl-116{padding-left:116px!important}.pt-120{padding-top:120px!important}.pr-120{padding-right:120px!important}.pb-120{padding-bottom:120px!important}.pl-120{padding-left:120px!important}.pt-124{padding-top:124px!important}.pr-124{padding-right:124px!important}.pb-124{padding-bottom:124px!important}.pl-124{padding-left:124px!important}.pt-128{padding-top:128px!important}.pr-128{padding-right:128px!important}.pb-128{padding-bottom:128px!important}.pl-128{padding-left:128px!important}.pt-132{padding-top:132px!important}.pr-132{padding-right:132px!important}.pb-132{padding-bottom:132px!important}.pl-132{padding-left:132px!important}.pt-136{padding-top:136px!important}.pr-136{padding-right:136px!important}.pb-136{padding-bottom:136px!important}.pl-136{padding-left:136px!important}.pt-140{padding-top:140px!important}.pr-140{padding-right:140px!important}.pb-140{padding-bottom:140px!important}.pl-140{padding-left:140px!important}.pt-144{padding-top:144px!important}.pr-144{padding-right:144px!important}.pb-144{padding-bottom:144px!important}.pl-144{padding-left:144px!important}.pt-148{padding-top:148px!important}.pr-148{padding-right:148px!important}.pb-148{padding-bottom:148px!important}.pl-148{padding-left:148px!important}.pt-152{padding-top:152px!important}.pr-152{padding-right:152px!important}.pb-152{padding-bottom:152px!important}.pl-152{padding-left:152px!important}.pt-156{padding-top:156px!important}.pr-156{padding-right:156px!important}.pb-156{padding-bottom:156px!important}.pl-156{padding-left:156px!important}.pt-160{padding-top:160px!important}.pr-160{padding-right:160px!important}.pb-160{padding-bottom:160px!important}.pl-160{padding-left:160px!important}.pt-164{padding-top:164px!important}.pr-164{padding-right:164px!important}.pb-164{padding-bottom:164px!important}.pl-164{padding-left:164px!important}.pt-168{padding-top:168px!important}.pr-168{padding-right:168px!important}.pb-168{padding-bottom:168px!important}.pl-168{padding-left:168px!important}.pt-172{padding-top:172px!important}.pr-172{padding-right:172px!important}.pb-172{padding-bottom:172px!important}.pl-172{padding-left:172px!important}.pt-176{padding-top:176px!important}.pr-176{padding-right:176px!important}.pb-176{padding-bottom:176px!important}.pl-176{padding-left:176px!important}.pt-180{padding-top:180px!important}.pr-180{padding-right:180px!important}.pb-180{padding-bottom:180px!important}.pl-180{padding-left:180px!important}.pt-184{padding-top:184px!important}.pr-184{padding-right:184px!important}.pb-184{padding-bottom:184px!important}.pl-184{padding-left:184px!important}.pt-188{padding-top:188px!important}.pr-188{padding-right:188px!important}.pb-188{padding-bottom:188px!important}.pl-188{padding-left:188px!important}.pt-192{padding-top:192px!important}.pr-192{padding-right:192px!important}.pb-192{padding-bottom:192px!important}.pl-192{padding-left:192px!important}.pt-196{padding-top:196px!important}.pr-196{padding-right:196px!important}.pb-196{padding-bottom:196px!important}.pl-196{padding-left:196px!important}.pt-200{padding-top:200px!important}.pr-200{padding-right:200px!important}.pb-200{padding-bottom:200px!important}.pl-200{padding-left:200px!important}.pt-204{padding-top:204px!important}.pr-204{padding-right:204px!important}.pb-204{padding-bottom:204px!important}.pl-204{padding-left:204px!important}.pt-208{padding-top:208px!important}.pr-208{padding-right:208px!important}.pb-208{padding-bottom:208px!important}.pl-208{padding-left:208px!important}.pt-212{padding-top:212px!important}.pr-212{padding-right:212px!important}.pb-212{padding-bottom:212px!important}.pl-212{padding-left:212px!important}.pt-216{padding-top:216px!important}.pr-216{padding-right:216px!important}.pb-216{padding-bottom:216px!important}.pl-216{padding-left:216px!important}.pt-220{padding-top:220px!important}.pr-220{padding-right:220px!important}.pb-220{padding-bottom:220px!important}.pl-220{padding-left:220px!important}.pt-224{padding-top:224px!important}.pr-224{padding-right:224px!important}.pb-224{padding-bottom:224px!important}.pl-224{padding-left:224px!important}.pt-228{padding-top:228px!important}.pr-228{padding-right:228px!important}.pb-228{padding-bottom:228px!important}.pl-228{padding-left:228px!important}.pt-232{padding-top:232px!important}.pr-232{padding-right:232px!important}.pb-232{padding-bottom:232px!important}.pl-232{padding-left:232px!important}.pt-236{padding-top:236px!important}.pr-236{padding-right:236px!important}.pb-236{padding-bottom:236px!important}.pl-236{padding-left:236px!important}.pt-240{padding-top:240px!important}.pr-240{padding-right:240px!important}.pb-240{padding-bottom:240px!important}.pl-240{padding-left:240px!important}.pt-244{padding-top:244px!important}.pr-244{padding-right:244px!important}.pb-244{padding-bottom:244px!important}.pl-244{padding-left:244px!important}.pt-248{padding-top:248px!important}.pr-248{padding-right:248px!important}.pb-248{padding-bottom:248px!important}.pl-248{padding-left:248px!important}.pt-252{padding-top:252px!important}.pr-252{padding-right:252px!important}.pb-252{padding-bottom:252px!important}.pl-252{padding-left:252px!important}.pt-256{padding-top:256px!important}.pr-256{padding-right:256px!important}.pb-256{padding-bottom:256px!important}.pl-256{padding-left:256px!important}.bold{font-weight:700}.italic{font-weight:italic}.left{text-align:left}.right{text-align:right}.center{text-align:center}.pointer{cursor:pointer}.mid-width{width:50%}.full-width{width:100%}.hidden{display:none!important}::ng-deep .hopper-dialog-container{max-width:640px!important}@media screen and (min-width: 1280px){::ng-deep .hopper-dialog-container{min-height:600px!important}}@media screen and (max-width: 959px){::ng-deep .hopper-dialog-container{height:80%}}@media screen and (max-width: 599px){::ng-deep .hopper-dialog-container{max-width:100%!important;height:100%}}::ng-deep .hopper-dialog-container .mat-mdc-dialog-container{padding:0!important;border-radius:0}::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-content{max-height:calc(100% - 212px)}@media screen and (max-width: 599px){::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-content{max-height:calc(100% - 264px)}}::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-content,::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-actions{padding:0!important;margin:0!important}\n"], dependencies: [{ kind: "directive", type: i6.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i6.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i6.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i7.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i7.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i7.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i7.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "directive", type: i8.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: i9.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i9.MatMiniFabButton, selector: "button[mat-mini-fab]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "directive", type: i3.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i3.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i3.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "component", type: i9$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i10.MatCard, selector: "mat-card", inputs: ["appearance"], exportAs: ["matCard"] }, { kind: "component", type: i12.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "mode", "value", "diameter", "strokeWidth"], exportAs: ["matProgressSpinner"] }, { kind: "pipe", type: i6.DecimalPipe, name: "number" }, { kind: "pipe", type: i6.CurrencyPipe, name: "currency" }, { kind: "pipe", type: i1$1.TranslatePipe, name: "translate" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CfarOfferDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'hopper-cfar-offer-dialog', template: "<div\n  mat-dialog-title\n  class=\"p-32\"\n  ngClass.lt-md=\"px-16\"\n  fxLayout=\"row\"\n  fxLayout=\"start center\"\n  fxLayoutGap=\"16px\"\n>\n  <div fxFlex=\"calc(80% - 16px)\" fxLayoutAlign=\"center start\" fxLayout=\"column\">\n    <h2>{{ 'CFAR_OFFER_DIALOG.TITLE' | translate }}</h2>\n  </div>\n\n  <div fxFlex=\"calc(20% - 16px)\" fxLayoutAlign=\"end start\">\n    <button\n      mat-mini-fab\n      color=\"primary\"\n      (click)=\"onClose()\"\n      attr.aria-label=\"{{ 'COMMON.BUTTON.CLOSE' | translate }}\"\n    >\n      <mat-icon>clear</mat-icon>\n    </button>\n  </div>\n\n  <div fxFlex=\"100\" class=\"provided-by-container\">\n    <a href=\"https://hts.hopper.com/\" target=\"_blank\">\n      <img\n        class=\"provided-by-image\"\n        src=\"{{ imageBasePath || '' }}assets/provided-by-hopper/{{\n          currentLang || 'en'\n        }}.svg\"\n      />\n    </a>\n  </div>\n</div>\n\n<mat-dialog-content class=\"mat-typography\" fxLayout=\"column\">\n  <ng-container *ngIf=\"!isLoading\">\n    <ng-container *ngIf=\"cfarOffers && cfarOffers.length > 0\">\n      <div\n        class=\"px-32 mt-16\"\n        ngClass.lt-md=\"p-16\"\n        fxLayout=\"row wrap\"\n        fxLayoutAlign=\"start center\"\n      >\n        <div\n          fxFlex=\"100\"\n          class=\"py-8\"\n          *ngFor=\"let desc of getOfferDescription(selectedCfarOffer)\"\n          fxLayout=\"row\"\n          fxLayoutAlign=\"start center\"\n          fxLayoutGap=\"8px\"\n        >\n          <mat-icon class=\"check-icon\">check</mat-icon>\n          <span\n            class=\"text-justify\"\n            attr.aria-label=\"{{ desc }}\"\n            innerHtml=\"{{ desc }}\"\n          ></span>\n        </div>\n\n        <div\n          fxFlex=\"100\"\n          class=\"py-8\"\n          fxLayout=\"row\"\n          fxLayout.lt-sm=\"column\"\n          fxLayoutAlign=\"start center\"\n          fxLayoutGap=\"8px\"\n          (click)=\"onOpenTermsAndConditions()\"\n        >\n          <a\n            href=\"{{ getTCsUrl(selectedCfarOffer) }}\"\n            attr.aria-describedby=\"{{ 'COMMON.TERMS_LINK_TEXT' | translate }}\"\n            target=\"_blank\"\n          >\n            {{ 'COMMON.TERMS_LINK_TEXT' | translate }}\n          </a>\n        </div>\n      </div>\n\n      <div\n        class=\"px-32\"\n        ngClass.lt-md=\"px-16\"\n        fxLayout=\"column\"\n        fxLayoutAlign=\"center center\"\n      >\n        <mat-card\n          attr.aria-label=\"\n                    {{\n            'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n              | translate\n                : {\n                    coverage: (offer.coveragePercentage | number: '1.0-0'),\n                    price:\n                      (getPricePerTraveler(offer)\n                      | currency\n                        : offer?.currency\n                        : 'symbol'\n                        : undefined\n                        : currentLang)\n                  }\n          }}\n                    \"\n          class=\"full-width m-16 p-16\"\n          fxFlex\n          fxLayout=\"row wrap\"\n          *ngFor=\"let offer of cfarOffers\"\n          [ngClass]=\"{ active: offer == selectedCfarOffer }\"\n        >\n          <div\n            fxFlex=\"100\"\n            attr.aria-label=\"\n                        {{\n              'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n                | translate\n                  : {\n                      coverage: (offer.coveragePercentage | number: '1.0-0'),\n                      price:\n                        (getPricePerTraveler(offer)\n                        | currency\n                          : offer?.currency\n                          : 'symbol'\n                          : undefined\n                          : currentLang)\n                    }\n            }}\n                        \"\n            fxLayout=\"row wrap\"\n            fxLayoutAlign=\"start center\"\n            (click)=\"onSelectOffer(offer)\"\n          >\n            <h3\n              fxFlex=\"100\"\n              class=\"offer-title\"\n              attr.aria-label=\"\n                            {{\n                'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n                  | translate\n                    : {\n                        coverage: (offer.coveragePercentage | number: '1.0-0'),\n                        price:\n                          (getPricePerTraveler(offer)\n                          | currency\n                            : offer?.currency\n                            : 'symbol'\n                            : undefined\n                            : currentLang)\n                      }\n              }}\n                            \"\n            >\n              {{\n                'COMMON.COVERAGE_PERCENTAGE'\n                  | translate\n                    : { coverage: (offer.coveragePercentage | number: '1.0-0') }\n              }}\n            </h3>\n            <div\n              fxFlex=\"100\"\n              class=\"price\"\n              fxLayoutGap=\"8px\"\n              attr.aria-label=\"{{\n                'COMMON.PRICE_PER_TRAVELER'\n                  | translate\n                    : {\n                        price:\n                          (getPricePerTraveler(offer)\n                          | currency\n                            : offer?.currency\n                            : 'symbol'\n                            : undefined\n                            : currentLang)\n                      }\n              }}\"\n              innerHtml=\"{{\n                'COMMON.PRICE_PER_TRAVELER'\n                  | translate\n                    : {\n                        price:\n                          (getPricePerTraveler(offer)\n                          | currency\n                            : offer?.currency\n                            : 'symbol'\n                            : undefined\n                            : currentLang)\n                      }\n              }}\"\n            ></div>\n            <div\n              class=\"incl-taxes mt-8\"\n              fxFlex=\"100\"\n              attr.aria-label=\"{{ 'COMMON.INCL_TAXES' | translate }}\"\n            >\n              {{ 'COMMON.INCL_TAXES' | translate }}\n            </div>\n          </div>\n        </mat-card>\n      </div>\n    </ng-container>\n\n    <!-- ERROR MESSAGE -->\n    <ng-container *ngIf=\"errorCode\">\n      <div\n        class=\"error-message mx-32 my-32\"\n        fxLayout=\"row\"\n        fxLayoutAlign=\"start center\"\n      >\n        <mat-icon fxFlex=\"24px\">error</mat-icon>\n        <span fxFlex=\"calc(100% - 24px)\" class=\"p-16\">{{ errorMessage }}</span>\n      </div>\n    </ng-container>\n    <!-- / ERROR MESSAGE -->\n  </ng-container>\n\n  <ng-container *ngIf=\"isLoading\">\n    <div\n      class=\"p-32\"\n      ngClass.lt-md=\"p-16\"\n      fxLayout=\"column\"\n      fxLayoutAlign=\"center center\"\n      fxLayoutGap=\"16px\"\n    >\n      <mat-spinner></mat-spinner>\n      <p>{{ 'CFAR_OFFER_DIALOG.LOADING' | translate }}</p>\n    </div>\n  </ng-container>\n</mat-dialog-content>\n\n<mat-dialog-actions>\n  <div\n    class=\"p-16\"\n    *ngIf=\"!isLoading\"\n    fxFlex=\"100\"\n    fxLayout=\"row wrap\"\n    fxLayoutGap=\"16px\"\n    fxLayout.lt-sm=\"column\"\n    fxLayoutAlign=\"center center\"\n  >\n    <button\n      mat-raised-button\n      ngClass.lt-sm=\"full-width\"\n      (click)=\"onClose()\"\n      attr.aria-label=\"{{ 'CFAR_OFFER_DIALOG.BUTTON.CANCEL' | translate }}\"\n    >\n      {{ 'CFAR_OFFER_DIALOG.BUTTON.CANCEL' | translate }}\n    </button>\n    <button\n      mat-raised-button\n      color=\"accent\"\n      *ngIf=\"selectedCfarOffer\"\n      ngClass.lt-sm=\"full-width\"\n      (click)=\"onSubmit()\"\n      attr.aria-label=\"{{ getDynamicCoverage() }}\"\n    >\n      {{ getDynamicCoverage() }}\n    </button>\n  </div>\n</mat-dialog-actions>\n", styles: [".m-0{margin:0!important}.m-4{margin:4px!important}.m-8{margin:8px!important}.m-12{margin:12px!important}.m-16{margin:16px!important}.m-20{margin:20px!important}.m-24{margin:24px!important}.m-28{margin:28px!important}.m-32{margin:32px!important}.m-36{margin:36px!important}.m-40{margin:40px!important}.m-44{margin:44px!important}.m-48{margin:48px!important}.m-52{margin:52px!important}.m-56{margin:56px!important}.m-60{margin:60px!important}.m-64{margin:64px!important}.m-68{margin:68px!important}.m-72{margin:72px!important}.m-76{margin:76px!important}.m-80{margin:80px!important}.m-84{margin:84px!important}.m-88{margin:88px!important}.m-92{margin:92px!important}.m-96{margin:96px!important}.m-100{margin:100px!important}.m-104{margin:104px!important}.m-108{margin:108px!important}.m-112{margin:112px!important}.m-116{margin:116px!important}.m-120{margin:120px!important}.m-124{margin:124px!important}.m-128{margin:128px!important}.m-132{margin:132px!important}.m-136{margin:136px!important}.m-140{margin:140px!important}.m-144{margin:144px!important}.m-148{margin:148px!important}.m-152{margin:152px!important}.m-156{margin:156px!important}.m-160{margin:160px!important}.m-164{margin:164px!important}.m-168{margin:168px!important}.m-172{margin:172px!important}.m-176{margin:176px!important}.m-180{margin:180px!important}.m-184{margin:184px!important}.m-188{margin:188px!important}.m-192{margin:192px!important}.m-196{margin:196px!important}.m-200{margin:200px!important}.m-204{margin:204px!important}.m-208{margin:208px!important}.m-212{margin:212px!important}.m-216{margin:216px!important}.m-220{margin:220px!important}.m-224{margin:224px!important}.m-228{margin:228px!important}.m-232{margin:232px!important}.m-236{margin:236px!important}.m-240{margin:240px!important}.m-244{margin:244px!important}.m-248{margin:248px!important}.m-252{margin:252px!important}.m-256{margin:256px!important}.mx-0{margin-right:0!important;margin-left:0!important}.my-0{margin-top:0!important;margin-bottom:0!important}.mx-4{margin-right:4px!important;margin-left:4px!important}.my-4{margin-top:4px!important;margin-bottom:4px!important}.mx-8{margin-right:8px!important;margin-left:8px!important}.my-8{margin-top:8px!important;margin-bottom:8px!important}.mx-12{margin-right:12px!important;margin-left:12px!important}.my-12{margin-top:12px!important;margin-bottom:12px!important}.mx-16{margin-right:16px!important;margin-left:16px!important}.my-16{margin-top:16px!important;margin-bottom:16px!important}.mx-20{margin-right:20px!important;margin-left:20px!important}.my-20{margin-top:20px!important;margin-bottom:20px!important}.mx-24{margin-right:24px!important;margin-left:24px!important}.my-24{margin-top:24px!important;margin-bottom:24px!important}.mx-28{margin-right:28px!important;margin-left:28px!important}.my-28{margin-top:28px!important;margin-bottom:28px!important}.mx-32{margin-right:32px!important;margin-left:32px!important}.my-32{margin-top:32px!important;margin-bottom:32px!important}.mx-36{margin-right:36px!important;margin-left:36px!important}.my-36{margin-top:36px!important;margin-bottom:36px!important}.mx-40{margin-right:40px!important;margin-left:40px!important}.my-40{margin-top:40px!important;margin-bottom:40px!important}.mx-44{margin-right:44px!important;margin-left:44px!important}.my-44{margin-top:44px!important;margin-bottom:44px!important}.mx-48{margin-right:48px!important;margin-left:48px!important}.my-48{margin-top:48px!important;margin-bottom:48px!important}.mx-52{margin-right:52px!important;margin-left:52px!important}.my-52{margin-top:52px!important;margin-bottom:52px!important}.mx-56{margin-right:56px!important;margin-left:56px!important}.my-56{margin-top:56px!important;margin-bottom:56px!important}.mx-60{margin-right:60px!important;margin-left:60px!important}.my-60{margin-top:60px!important;margin-bottom:60px!important}.mx-64{margin-right:64px!important;margin-left:64px!important}.my-64{margin-top:64px!important;margin-bottom:64px!important}.mx-68{margin-right:68px!important;margin-left:68px!important}.my-68{margin-top:68px!important;margin-bottom:68px!important}.mx-72{margin-right:72px!important;margin-left:72px!important}.my-72{margin-top:72px!important;margin-bottom:72px!important}.mx-76{margin-right:76px!important;margin-left:76px!important}.my-76{margin-top:76px!important;margin-bottom:76px!important}.mx-80{margin-right:80px!important;margin-left:80px!important}.my-80{margin-top:80px!important;margin-bottom:80px!important}.mx-84{margin-right:84px!important;margin-left:84px!important}.my-84{margin-top:84px!important;margin-bottom:84px!important}.mx-88{margin-right:88px!important;margin-left:88px!important}.my-88{margin-top:88px!important;margin-bottom:88px!important}.mx-92{margin-right:92px!important;margin-left:92px!important}.my-92{margin-top:92px!important;margin-bottom:92px!important}.mx-96{margin-right:96px!important;margin-left:96px!important}.my-96{margin-top:96px!important;margin-bottom:96px!important}.mx-100{margin-right:100px!important;margin-left:100px!important}.my-100{margin-top:100px!important;margin-bottom:100px!important}.mx-104{margin-right:104px!important;margin-left:104px!important}.my-104{margin-top:104px!important;margin-bottom:104px!important}.mx-108{margin-right:108px!important;margin-left:108px!important}.my-108{margin-top:108px!important;margin-bottom:108px!important}.mx-112{margin-right:112px!important;margin-left:112px!important}.my-112{margin-top:112px!important;margin-bottom:112px!important}.mx-116{margin-right:116px!important;margin-left:116px!important}.my-116{margin-top:116px!important;margin-bottom:116px!important}.mx-120{margin-right:120px!important;margin-left:120px!important}.my-120{margin-top:120px!important;margin-bottom:120px!important}.mx-124{margin-right:124px!important;margin-left:124px!important}.my-124{margin-top:124px!important;margin-bottom:124px!important}.mx-128{margin-right:128px!important;margin-left:128px!important}.my-128{margin-top:128px!important;margin-bottom:128px!important}.mx-132{margin-right:132px!important;margin-left:132px!important}.my-132{margin-top:132px!important;margin-bottom:132px!important}.mx-136{margin-right:136px!important;margin-left:136px!important}.my-136{margin-top:136px!important;margin-bottom:136px!important}.mx-140{margin-right:140px!important;margin-left:140px!important}.my-140{margin-top:140px!important;margin-bottom:140px!important}.mx-144{margin-right:144px!important;margin-left:144px!important}.my-144{margin-top:144px!important;margin-bottom:144px!important}.mx-148{margin-right:148px!important;margin-left:148px!important}.my-148{margin-top:148px!important;margin-bottom:148px!important}.mx-152{margin-right:152px!important;margin-left:152px!important}.my-152{margin-top:152px!important;margin-bottom:152px!important}.mx-156{margin-right:156px!important;margin-left:156px!important}.my-156{margin-top:156px!important;margin-bottom:156px!important}.mx-160{margin-right:160px!important;margin-left:160px!important}.my-160{margin-top:160px!important;margin-bottom:160px!important}.mx-164{margin-right:164px!important;margin-left:164px!important}.my-164{margin-top:164px!important;margin-bottom:164px!important}.mx-168{margin-right:168px!important;margin-left:168px!important}.my-168{margin-top:168px!important;margin-bottom:168px!important}.mx-172{margin-right:172px!important;margin-left:172px!important}.my-172{margin-top:172px!important;margin-bottom:172px!important}.mx-176{margin-right:176px!important;margin-left:176px!important}.my-176{margin-top:176px!important;margin-bottom:176px!important}.mx-180{margin-right:180px!important;margin-left:180px!important}.my-180{margin-top:180px!important;margin-bottom:180px!important}.mx-184{margin-right:184px!important;margin-left:184px!important}.my-184{margin-top:184px!important;margin-bottom:184px!important}.mx-188{margin-right:188px!important;margin-left:188px!important}.my-188{margin-top:188px!important;margin-bottom:188px!important}.mx-192{margin-right:192px!important;margin-left:192px!important}.my-192{margin-top:192px!important;margin-bottom:192px!important}.mx-196{margin-right:196px!important;margin-left:196px!important}.my-196{margin-top:196px!important;margin-bottom:196px!important}.mx-200{margin-right:200px!important;margin-left:200px!important}.my-200{margin-top:200px!important;margin-bottom:200px!important}.mx-204{margin-right:204px!important;margin-left:204px!important}.my-204{margin-top:204px!important;margin-bottom:204px!important}.mx-208{margin-right:208px!important;margin-left:208px!important}.my-208{margin-top:208px!important;margin-bottom:208px!important}.mx-212{margin-right:212px!important;margin-left:212px!important}.my-212{margin-top:212px!important;margin-bottom:212px!important}.mx-216{margin-right:216px!important;margin-left:216px!important}.my-216{margin-top:216px!important;margin-bottom:216px!important}.mx-220{margin-right:220px!important;margin-left:220px!important}.my-220{margin-top:220px!important;margin-bottom:220px!important}.mx-224{margin-right:224px!important;margin-left:224px!important}.my-224{margin-top:224px!important;margin-bottom:224px!important}.mx-228{margin-right:228px!important;margin-left:228px!important}.my-228{margin-top:228px!important;margin-bottom:228px!important}.mx-232{margin-right:232px!important;margin-left:232px!important}.my-232{margin-top:232px!important;margin-bottom:232px!important}.mx-236{margin-right:236px!important;margin-left:236px!important}.my-236{margin-top:236px!important;margin-bottom:236px!important}.mx-240{margin-right:240px!important;margin-left:240px!important}.my-240{margin-top:240px!important;margin-bottom:240px!important}.mx-244{margin-right:244px!important;margin-left:244px!important}.my-244{margin-top:244px!important;margin-bottom:244px!important}.mx-248{margin-right:248px!important;margin-left:248px!important}.my-248{margin-top:248px!important;margin-bottom:248px!important}.mx-252{margin-right:252px!important;margin-left:252px!important}.my-252{margin-top:252px!important;margin-bottom:252px!important}.mx-256{margin-right:256px!important;margin-left:256px!important}.my-256{margin-top:256px!important;margin-bottom:256px!important}.mt-0{margin-top:0!important}.mr-0{margin-right:0!important}.mb-0{margin-bottom:0!important}.ml-0{margin-left:0!important}.mt-4{margin-top:4px!important}.mr-4{margin-right:4px!important}.mb-4{margin-bottom:4px!important}.ml-4{margin-left:4px!important}.mt-8{margin-top:8px!important}.mr-8{margin-right:8px!important}.mb-8{margin-bottom:8px!important}.ml-8{margin-left:8px!important}.mt-12{margin-top:12px!important}.mr-12{margin-right:12px!important}.mb-12{margin-bottom:12px!important}.ml-12{margin-left:12px!important}.mt-16{margin-top:16px!important}.mr-16{margin-right:16px!important}.mb-16{margin-bottom:16px!important}.ml-16{margin-left:16px!important}.mt-20{margin-top:20px!important}.mr-20{margin-right:20px!important}.mb-20{margin-bottom:20px!important}.ml-20{margin-left:20px!important}.mt-24{margin-top:24px!important}.mr-24{margin-right:24px!important}.mb-24{margin-bottom:24px!important}.ml-24{margin-left:24px!important}.mt-28{margin-top:28px!important}.mr-28{margin-right:28px!important}.mb-28{margin-bottom:28px!important}.ml-28{margin-left:28px!important}.mt-32{margin-top:32px!important}.mr-32{margin-right:32px!important}.mb-32{margin-bottom:32px!important}.ml-32{margin-left:32px!important}.mt-36{margin-top:36px!important}.mr-36{margin-right:36px!important}.mb-36{margin-bottom:36px!important}.ml-36{margin-left:36px!important}.mt-40{margin-top:40px!important}.mr-40{margin-right:40px!important}.mb-40{margin-bottom:40px!important}.ml-40{margin-left:40px!important}.mt-44{margin-top:44px!important}.mr-44{margin-right:44px!important}.mb-44{margin-bottom:44px!important}.ml-44{margin-left:44px!important}.mt-48{margin-top:48px!important}.mr-48{margin-right:48px!important}.mb-48{margin-bottom:48px!important}.ml-48{margin-left:48px!important}.mt-52{margin-top:52px!important}.mr-52{margin-right:52px!important}.mb-52{margin-bottom:52px!important}.ml-52{margin-left:52px!important}.mt-56{margin-top:56px!important}.mr-56{margin-right:56px!important}.mb-56{margin-bottom:56px!important}.ml-56{margin-left:56px!important}.mt-60{margin-top:60px!important}.mr-60{margin-right:60px!important}.mb-60{margin-bottom:60px!important}.ml-60{margin-left:60px!important}.mt-64{margin-top:64px!important}.mr-64{margin-right:64px!important}.mb-64{margin-bottom:64px!important}.ml-64{margin-left:64px!important}.mt-68{margin-top:68px!important}.mr-68{margin-right:68px!important}.mb-68{margin-bottom:68px!important}.ml-68{margin-left:68px!important}.mt-72{margin-top:72px!important}.mr-72{margin-right:72px!important}.mb-72{margin-bottom:72px!important}.ml-72{margin-left:72px!important}.mt-76{margin-top:76px!important}.mr-76{margin-right:76px!important}.mb-76{margin-bottom:76px!important}.ml-76{margin-left:76px!important}.mt-80{margin-top:80px!important}.mr-80{margin-right:80px!important}.mb-80{margin-bottom:80px!important}.ml-80{margin-left:80px!important}.mt-84{margin-top:84px!important}.mr-84{margin-right:84px!important}.mb-84{margin-bottom:84px!important}.ml-84{margin-left:84px!important}.mt-88{margin-top:88px!important}.mr-88{margin-right:88px!important}.mb-88{margin-bottom:88px!important}.ml-88{margin-left:88px!important}.mt-92{margin-top:92px!important}.mr-92{margin-right:92px!important}.mb-92{margin-bottom:92px!important}.ml-92{margin-left:92px!important}.mt-96{margin-top:96px!important}.mr-96{margin-right:96px!important}.mb-96{margin-bottom:96px!important}.ml-96{margin-left:96px!important}.mt-100{margin-top:100px!important}.mr-100{margin-right:100px!important}.mb-100{margin-bottom:100px!important}.ml-100{margin-left:100px!important}.mt-104{margin-top:104px!important}.mr-104{margin-right:104px!important}.mb-104{margin-bottom:104px!important}.ml-104{margin-left:104px!important}.mt-108{margin-top:108px!important}.mr-108{margin-right:108px!important}.mb-108{margin-bottom:108px!important}.ml-108{margin-left:108px!important}.mt-112{margin-top:112px!important}.mr-112{margin-right:112px!important}.mb-112{margin-bottom:112px!important}.ml-112{margin-left:112px!important}.mt-116{margin-top:116px!important}.mr-116{margin-right:116px!important}.mb-116{margin-bottom:116px!important}.ml-116{margin-left:116px!important}.mt-120{margin-top:120px!important}.mr-120{margin-right:120px!important}.mb-120{margin-bottom:120px!important}.ml-120{margin-left:120px!important}.mt-124{margin-top:124px!important}.mr-124{margin-right:124px!important}.mb-124{margin-bottom:124px!important}.ml-124{margin-left:124px!important}.mt-128{margin-top:128px!important}.mr-128{margin-right:128px!important}.mb-128{margin-bottom:128px!important}.ml-128{margin-left:128px!important}.mt-132{margin-top:132px!important}.mr-132{margin-right:132px!important}.mb-132{margin-bottom:132px!important}.ml-132{margin-left:132px!important}.mt-136{margin-top:136px!important}.mr-136{margin-right:136px!important}.mb-136{margin-bottom:136px!important}.ml-136{margin-left:136px!important}.mt-140{margin-top:140px!important}.mr-140{margin-right:140px!important}.mb-140{margin-bottom:140px!important}.ml-140{margin-left:140px!important}.mt-144{margin-top:144px!important}.mr-144{margin-right:144px!important}.mb-144{margin-bottom:144px!important}.ml-144{margin-left:144px!important}.mt-148{margin-top:148px!important}.mr-148{margin-right:148px!important}.mb-148{margin-bottom:148px!important}.ml-148{margin-left:148px!important}.mt-152{margin-top:152px!important}.mr-152{margin-right:152px!important}.mb-152{margin-bottom:152px!important}.ml-152{margin-left:152px!important}.mt-156{margin-top:156px!important}.mr-156{margin-right:156px!important}.mb-156{margin-bottom:156px!important}.ml-156{margin-left:156px!important}.mt-160{margin-top:160px!important}.mr-160{margin-right:160px!important}.mb-160{margin-bottom:160px!important}.ml-160{margin-left:160px!important}.mt-164{margin-top:164px!important}.mr-164{margin-right:164px!important}.mb-164{margin-bottom:164px!important}.ml-164{margin-left:164px!important}.mt-168{margin-top:168px!important}.mr-168{margin-right:168px!important}.mb-168{margin-bottom:168px!important}.ml-168{margin-left:168px!important}.mt-172{margin-top:172px!important}.mr-172{margin-right:172px!important}.mb-172{margin-bottom:172px!important}.ml-172{margin-left:172px!important}.mt-176{margin-top:176px!important}.mr-176{margin-right:176px!important}.mb-176{margin-bottom:176px!important}.ml-176{margin-left:176px!important}.mt-180{margin-top:180px!important}.mr-180{margin-right:180px!important}.mb-180{margin-bottom:180px!important}.ml-180{margin-left:180px!important}.mt-184{margin-top:184px!important}.mr-184{margin-right:184px!important}.mb-184{margin-bottom:184px!important}.ml-184{margin-left:184px!important}.mt-188{margin-top:188px!important}.mr-188{margin-right:188px!important}.mb-188{margin-bottom:188px!important}.ml-188{margin-left:188px!important}.mt-192{margin-top:192px!important}.mr-192{margin-right:192px!important}.mb-192{margin-bottom:192px!important}.ml-192{margin-left:192px!important}.mt-196{margin-top:196px!important}.mr-196{margin-right:196px!important}.mb-196{margin-bottom:196px!important}.ml-196{margin-left:196px!important}.mt-200{margin-top:200px!important}.mr-200{margin-right:200px!important}.mb-200{margin-bottom:200px!important}.ml-200{margin-left:200px!important}.mt-204{margin-top:204px!important}.mr-204{margin-right:204px!important}.mb-204{margin-bottom:204px!important}.ml-204{margin-left:204px!important}.mt-208{margin-top:208px!important}.mr-208{margin-right:208px!important}.mb-208{margin-bottom:208px!important}.ml-208{margin-left:208px!important}.mt-212{margin-top:212px!important}.mr-212{margin-right:212px!important}.mb-212{margin-bottom:212px!important}.ml-212{margin-left:212px!important}.mt-216{margin-top:216px!important}.mr-216{margin-right:216px!important}.mb-216{margin-bottom:216px!important}.ml-216{margin-left:216px!important}.mt-220{margin-top:220px!important}.mr-220{margin-right:220px!important}.mb-220{margin-bottom:220px!important}.ml-220{margin-left:220px!important}.mt-224{margin-top:224px!important}.mr-224{margin-right:224px!important}.mb-224{margin-bottom:224px!important}.ml-224{margin-left:224px!important}.mt-228{margin-top:228px!important}.mr-228{margin-right:228px!important}.mb-228{margin-bottom:228px!important}.ml-228{margin-left:228px!important}.mt-232{margin-top:232px!important}.mr-232{margin-right:232px!important}.mb-232{margin-bottom:232px!important}.ml-232{margin-left:232px!important}.mt-236{margin-top:236px!important}.mr-236{margin-right:236px!important}.mb-236{margin-bottom:236px!important}.ml-236{margin-left:236px!important}.mt-240{margin-top:240px!important}.mr-240{margin-right:240px!important}.mb-240{margin-bottom:240px!important}.ml-240{margin-left:240px!important}.mt-244{margin-top:244px!important}.mr-244{margin-right:244px!important}.mb-244{margin-bottom:244px!important}.ml-244{margin-left:244px!important}.mt-248{margin-top:248px!important}.mr-248{margin-right:248px!important}.mb-248{margin-bottom:248px!important}.ml-248{margin-left:248px!important}.mt-252{margin-top:252px!important}.mr-252{margin-right:252px!important}.mb-252{margin-bottom:252px!important}.ml-252{margin-left:252px!important}.mt-256{margin-top:256px!important}.mr-256{margin-right:256px!important}.mb-256{margin-bottom:256px!important}.ml-256{margin-left:256px!important}.m-auto{margin:auto!important}.mt-auto{margin-top:auto!important}.mr-auto{margin-right:auto!important}.mb-auto{margin-bottom:auto!important}.ml-auto{margin-left:auto!important}.mx-auto{margin-right:auto!important;margin-left:auto!important}.my-auto{margin-top:auto!important;margin-bottom:auto!important}.p-0{padding:0!important}.p-4{padding:4px!important}.p-8{padding:8px!important}.p-12{padding:12px!important}.p-16{padding:16px!important}.p-20{padding:20px!important}.p-24{padding:24px!important}.p-28{padding:28px!important}.p-32{padding:32px!important}.p-36{padding:36px!important}.p-40{padding:40px!important}.p-44{padding:44px!important}.p-48{padding:48px!important}.p-52{padding:52px!important}.p-56{padding:56px!important}.p-60{padding:60px!important}.p-64{padding:64px!important}.p-68{padding:68px!important}.p-72{padding:72px!important}.p-76{padding:76px!important}.p-80{padding:80px!important}.p-84{padding:84px!important}.p-88{padding:88px!important}.p-92{padding:92px!important}.p-96{padding:96px!important}.p-100{padding:100px!important}.p-104{padding:104px!important}.p-108{padding:108px!important}.p-112{padding:112px!important}.p-116{padding:116px!important}.p-120{padding:120px!important}.p-124{padding:124px!important}.p-128{padding:128px!important}.p-132{padding:132px!important}.p-136{padding:136px!important}.p-140{padding:140px!important}.p-144{padding:144px!important}.p-148{padding:148px!important}.p-152{padding:152px!important}.p-156{padding:156px!important}.p-160{padding:160px!important}.p-164{padding:164px!important}.p-168{padding:168px!important}.p-172{padding:172px!important}.p-176{padding:176px!important}.p-180{padding:180px!important}.p-184{padding:184px!important}.p-188{padding:188px!important}.p-192{padding:192px!important}.p-196{padding:196px!important}.p-200{padding:200px!important}.p-204{padding:204px!important}.p-208{padding:208px!important}.p-212{padding:212px!important}.p-216{padding:216px!important}.p-220{padding:220px!important}.p-224{padding:224px!important}.p-228{padding:228px!important}.p-232{padding:232px!important}.p-236{padding:236px!important}.p-240{padding:240px!important}.p-244{padding:244px!important}.p-248{padding:248px!important}.p-252{padding:252px!important}.p-256{padding:256px!important}.px-0{padding-right:0!important;padding-left:0!important}.py-0{padding-top:0!important;padding-bottom:0!important}.px-4{padding-right:4px!important;padding-left:4px!important}.py-4{padding-top:4px!important;padding-bottom:4px!important}.px-8{padding-right:8px!important;padding-left:8px!important}.py-8{padding-top:8px!important;padding-bottom:8px!important}.px-12{padding-right:12px!important;padding-left:12px!important}.py-12{padding-top:12px!important;padding-bottom:12px!important}.px-16{padding-right:16px!important;padding-left:16px!important}.py-16{padding-top:16px!important;padding-bottom:16px!important}.px-20{padding-right:20px!important;padding-left:20px!important}.py-20{padding-top:20px!important;padding-bottom:20px!important}.px-24{padding-right:24px!important;padding-left:24px!important}.py-24{padding-top:24px!important;padding-bottom:24px!important}.px-28{padding-right:28px!important;padding-left:28px!important}.py-28{padding-top:28px!important;padding-bottom:28px!important}.px-32{padding-right:32px!important;padding-left:32px!important}.py-32{padding-top:32px!important;padding-bottom:32px!important}.px-36{padding-right:36px!important;padding-left:36px!important}.py-36{padding-top:36px!important;padding-bottom:36px!important}.px-40{padding-right:40px!important;padding-left:40px!important}.py-40{padding-top:40px!important;padding-bottom:40px!important}.px-44{padding-right:44px!important;padding-left:44px!important}.py-44{padding-top:44px!important;padding-bottom:44px!important}.px-48{padding-right:48px!important;padding-left:48px!important}.py-48{padding-top:48px!important;padding-bottom:48px!important}.px-52{padding-right:52px!important;padding-left:52px!important}.py-52{padding-top:52px!important;padding-bottom:52px!important}.px-56{padding-right:56px!important;padding-left:56px!important}.py-56{padding-top:56px!important;padding-bottom:56px!important}.px-60{padding-right:60px!important;padding-left:60px!important}.py-60{padding-top:60px!important;padding-bottom:60px!important}.px-64{padding-right:64px!important;padding-left:64px!important}.py-64{padding-top:64px!important;padding-bottom:64px!important}.px-68{padding-right:68px!important;padding-left:68px!important}.py-68{padding-top:68px!important;padding-bottom:68px!important}.px-72{padding-right:72px!important;padding-left:72px!important}.py-72{padding-top:72px!important;padding-bottom:72px!important}.px-76{padding-right:76px!important;padding-left:76px!important}.py-76{padding-top:76px!important;padding-bottom:76px!important}.px-80{padding-right:80px!important;padding-left:80px!important}.py-80{padding-top:80px!important;padding-bottom:80px!important}.px-84{padding-right:84px!important;padding-left:84px!important}.py-84{padding-top:84px!important;padding-bottom:84px!important}.px-88{padding-right:88px!important;padding-left:88px!important}.py-88{padding-top:88px!important;padding-bottom:88px!important}.px-92{padding-right:92px!important;padding-left:92px!important}.py-92{padding-top:92px!important;padding-bottom:92px!important}.px-96{padding-right:96px!important;padding-left:96px!important}.py-96{padding-top:96px!important;padding-bottom:96px!important}.px-100{padding-right:100px!important;padding-left:100px!important}.py-100{padding-top:100px!important;padding-bottom:100px!important}.px-104{padding-right:104px!important;padding-left:104px!important}.py-104{padding-top:104px!important;padding-bottom:104px!important}.px-108{padding-right:108px!important;padding-left:108px!important}.py-108{padding-top:108px!important;padding-bottom:108px!important}.px-112{padding-right:112px!important;padding-left:112px!important}.py-112{padding-top:112px!important;padding-bottom:112px!important}.px-116{padding-right:116px!important;padding-left:116px!important}.py-116{padding-top:116px!important;padding-bottom:116px!important}.px-120{padding-right:120px!important;padding-left:120px!important}.py-120{padding-top:120px!important;padding-bottom:120px!important}.px-124{padding-right:124px!important;padding-left:124px!important}.py-124{padding-top:124px!important;padding-bottom:124px!important}.px-128{padding-right:128px!important;padding-left:128px!important}.py-128{padding-top:128px!important;padding-bottom:128px!important}.px-132{padding-right:132px!important;padding-left:132px!important}.py-132{padding-top:132px!important;padding-bottom:132px!important}.px-136{padding-right:136px!important;padding-left:136px!important}.py-136{padding-top:136px!important;padding-bottom:136px!important}.px-140{padding-right:140px!important;padding-left:140px!important}.py-140{padding-top:140px!important;padding-bottom:140px!important}.px-144{padding-right:144px!important;padding-left:144px!important}.py-144{padding-top:144px!important;padding-bottom:144px!important}.px-148{padding-right:148px!important;padding-left:148px!important}.py-148{padding-top:148px!important;padding-bottom:148px!important}.px-152{padding-right:152px!important;padding-left:152px!important}.py-152{padding-top:152px!important;padding-bottom:152px!important}.px-156{padding-right:156px!important;padding-left:156px!important}.py-156{padding-top:156px!important;padding-bottom:156px!important}.px-160{padding-right:160px!important;padding-left:160px!important}.py-160{padding-top:160px!important;padding-bottom:160px!important}.px-164{padding-right:164px!important;padding-left:164px!important}.py-164{padding-top:164px!important;padding-bottom:164px!important}.px-168{padding-right:168px!important;padding-left:168px!important}.py-168{padding-top:168px!important;padding-bottom:168px!important}.px-172{padding-right:172px!important;padding-left:172px!important}.py-172{padding-top:172px!important;padding-bottom:172px!important}.px-176{padding-right:176px!important;padding-left:176px!important}.py-176{padding-top:176px!important;padding-bottom:176px!important}.px-180{padding-right:180px!important;padding-left:180px!important}.py-180{padding-top:180px!important;padding-bottom:180px!important}.px-184{padding-right:184px!important;padding-left:184px!important}.py-184{padding-top:184px!important;padding-bottom:184px!important}.px-188{padding-right:188px!important;padding-left:188px!important}.py-188{padding-top:188px!important;padding-bottom:188px!important}.px-192{padding-right:192px!important;padding-left:192px!important}.py-192{padding-top:192px!important;padding-bottom:192px!important}.px-196{padding-right:196px!important;padding-left:196px!important}.py-196{padding-top:196px!important;padding-bottom:196px!important}.px-200{padding-right:200px!important;padding-left:200px!important}.py-200{padding-top:200px!important;padding-bottom:200px!important}.px-204{padding-right:204px!important;padding-left:204px!important}.py-204{padding-top:204px!important;padding-bottom:204px!important}.px-208{padding-right:208px!important;padding-left:208px!important}.py-208{padding-top:208px!important;padding-bottom:208px!important}.px-212{padding-right:212px!important;padding-left:212px!important}.py-212{padding-top:212px!important;padding-bottom:212px!important}.px-216{padding-right:216px!important;padding-left:216px!important}.py-216{padding-top:216px!important;padding-bottom:216px!important}.px-220{padding-right:220px!important;padding-left:220px!important}.py-220{padding-top:220px!important;padding-bottom:220px!important}.px-224{padding-right:224px!important;padding-left:224px!important}.py-224{padding-top:224px!important;padding-bottom:224px!important}.px-228{padding-right:228px!important;padding-left:228px!important}.py-228{padding-top:228px!important;padding-bottom:228px!important}.px-232{padding-right:232px!important;padding-left:232px!important}.py-232{padding-top:232px!important;padding-bottom:232px!important}.px-236{padding-right:236px!important;padding-left:236px!important}.py-236{padding-top:236px!important;padding-bottom:236px!important}.px-240{padding-right:240px!important;padding-left:240px!important}.py-240{padding-top:240px!important;padding-bottom:240px!important}.px-244{padding-right:244px!important;padding-left:244px!important}.py-244{padding-top:244px!important;padding-bottom:244px!important}.px-248{padding-right:248px!important;padding-left:248px!important}.py-248{padding-top:248px!important;padding-bottom:248px!important}.px-252{padding-right:252px!important;padding-left:252px!important}.py-252{padding-top:252px!important;padding-bottom:252px!important}.px-256{padding-right:256px!important;padding-left:256px!important}.py-256{padding-top:256px!important;padding-bottom:256px!important}.pt-0{padding-top:0!important}.pr-0{padding-right:0!important}.pb-0{padding-bottom:0!important}.pl-0{padding-left:0!important}.pt-4{padding-top:4px!important}.pr-4{padding-right:4px!important}.pb-4{padding-bottom:4px!important}.pl-4{padding-left:4px!important}.pt-8{padding-top:8px!important}.pr-8{padding-right:8px!important}.pb-8{padding-bottom:8px!important}.pl-8{padding-left:8px!important}.pt-12{padding-top:12px!important}.pr-12{padding-right:12px!important}.pb-12{padding-bottom:12px!important}.pl-12{padding-left:12px!important}.pt-16{padding-top:16px!important}.pr-16{padding-right:16px!important}.pb-16{padding-bottom:16px!important}.pl-16{padding-left:16px!important}.pt-20{padding-top:20px!important}.pr-20{padding-right:20px!important}.pb-20{padding-bottom:20px!important}.pl-20{padding-left:20px!important}.pt-24{padding-top:24px!important}.pr-24{padding-right:24px!important}.pb-24{padding-bottom:24px!important}.pl-24{padding-left:24px!important}.pt-28{padding-top:28px!important}.pr-28{padding-right:28px!important}.pb-28{padding-bottom:28px!important}.pl-28{padding-left:28px!important}.pt-32{padding-top:32px!important}.pr-32{padding-right:32px!important}.pb-32{padding-bottom:32px!important}.pl-32{padding-left:32px!important}.pt-36{padding-top:36px!important}.pr-36{padding-right:36px!important}.pb-36{padding-bottom:36px!important}.pl-36{padding-left:36px!important}.pt-40{padding-top:40px!important}.pr-40{padding-right:40px!important}.pb-40{padding-bottom:40px!important}.pl-40{padding-left:40px!important}.pt-44{padding-top:44px!important}.pr-44{padding-right:44px!important}.pb-44{padding-bottom:44px!important}.pl-44{padding-left:44px!important}.pt-48{padding-top:48px!important}.pr-48{padding-right:48px!important}.pb-48{padding-bottom:48px!important}.pl-48{padding-left:48px!important}.pt-52{padding-top:52px!important}.pr-52{padding-right:52px!important}.pb-52{padding-bottom:52px!important}.pl-52{padding-left:52px!important}.pt-56{padding-top:56px!important}.pr-56{padding-right:56px!important}.pb-56{padding-bottom:56px!important}.pl-56{padding-left:56px!important}.pt-60{padding-top:60px!important}.pr-60{padding-right:60px!important}.pb-60{padding-bottom:60px!important}.pl-60{padding-left:60px!important}.pt-64{padding-top:64px!important}.pr-64{padding-right:64px!important}.pb-64{padding-bottom:64px!important}.pl-64{padding-left:64px!important}.pt-68{padding-top:68px!important}.pr-68{padding-right:68px!important}.pb-68{padding-bottom:68px!important}.pl-68{padding-left:68px!important}.pt-72{padding-top:72px!important}.pr-72{padding-right:72px!important}.pb-72{padding-bottom:72px!important}.pl-72{padding-left:72px!important}.pt-76{padding-top:76px!important}.pr-76{padding-right:76px!important}.pb-76{padding-bottom:76px!important}.pl-76{padding-left:76px!important}.pt-80{padding-top:80px!important}.pr-80{padding-right:80px!important}.pb-80{padding-bottom:80px!important}.pl-80{padding-left:80px!important}.pt-84{padding-top:84px!important}.pr-84{padding-right:84px!important}.pb-84{padding-bottom:84px!important}.pl-84{padding-left:84px!important}.pt-88{padding-top:88px!important}.pr-88{padding-right:88px!important}.pb-88{padding-bottom:88px!important}.pl-88{padding-left:88px!important}.pt-92{padding-top:92px!important}.pr-92{padding-right:92px!important}.pb-92{padding-bottom:92px!important}.pl-92{padding-left:92px!important}.pt-96{padding-top:96px!important}.pr-96{padding-right:96px!important}.pb-96{padding-bottom:96px!important}.pl-96{padding-left:96px!important}.pt-100{padding-top:100px!important}.pr-100{padding-right:100px!important}.pb-100{padding-bottom:100px!important}.pl-100{padding-left:100px!important}.pt-104{padding-top:104px!important}.pr-104{padding-right:104px!important}.pb-104{padding-bottom:104px!important}.pl-104{padding-left:104px!important}.pt-108{padding-top:108px!important}.pr-108{padding-right:108px!important}.pb-108{padding-bottom:108px!important}.pl-108{padding-left:108px!important}.pt-112{padding-top:112px!important}.pr-112{padding-right:112px!important}.pb-112{padding-bottom:112px!important}.pl-112{padding-left:112px!important}.pt-116{padding-top:116px!important}.pr-116{padding-right:116px!important}.pb-116{padding-bottom:116px!important}.pl-116{padding-left:116px!important}.pt-120{padding-top:120px!important}.pr-120{padding-right:120px!important}.pb-120{padding-bottom:120px!important}.pl-120{padding-left:120px!important}.pt-124{padding-top:124px!important}.pr-124{padding-right:124px!important}.pb-124{padding-bottom:124px!important}.pl-124{padding-left:124px!important}.pt-128{padding-top:128px!important}.pr-128{padding-right:128px!important}.pb-128{padding-bottom:128px!important}.pl-128{padding-left:128px!important}.pt-132{padding-top:132px!important}.pr-132{padding-right:132px!important}.pb-132{padding-bottom:132px!important}.pl-132{padding-left:132px!important}.pt-136{padding-top:136px!important}.pr-136{padding-right:136px!important}.pb-136{padding-bottom:136px!important}.pl-136{padding-left:136px!important}.pt-140{padding-top:140px!important}.pr-140{padding-right:140px!important}.pb-140{padding-bottom:140px!important}.pl-140{padding-left:140px!important}.pt-144{padding-top:144px!important}.pr-144{padding-right:144px!important}.pb-144{padding-bottom:144px!important}.pl-144{padding-left:144px!important}.pt-148{padding-top:148px!important}.pr-148{padding-right:148px!important}.pb-148{padding-bottom:148px!important}.pl-148{padding-left:148px!important}.pt-152{padding-top:152px!important}.pr-152{padding-right:152px!important}.pb-152{padding-bottom:152px!important}.pl-152{padding-left:152px!important}.pt-156{padding-top:156px!important}.pr-156{padding-right:156px!important}.pb-156{padding-bottom:156px!important}.pl-156{padding-left:156px!important}.pt-160{padding-top:160px!important}.pr-160{padding-right:160px!important}.pb-160{padding-bottom:160px!important}.pl-160{padding-left:160px!important}.pt-164{padding-top:164px!important}.pr-164{padding-right:164px!important}.pb-164{padding-bottom:164px!important}.pl-164{padding-left:164px!important}.pt-168{padding-top:168px!important}.pr-168{padding-right:168px!important}.pb-168{padding-bottom:168px!important}.pl-168{padding-left:168px!important}.pt-172{padding-top:172px!important}.pr-172{padding-right:172px!important}.pb-172{padding-bottom:172px!important}.pl-172{padding-left:172px!important}.pt-176{padding-top:176px!important}.pr-176{padding-right:176px!important}.pb-176{padding-bottom:176px!important}.pl-176{padding-left:176px!important}.pt-180{padding-top:180px!important}.pr-180{padding-right:180px!important}.pb-180{padding-bottom:180px!important}.pl-180{padding-left:180px!important}.pt-184{padding-top:184px!important}.pr-184{padding-right:184px!important}.pb-184{padding-bottom:184px!important}.pl-184{padding-left:184px!important}.pt-188{padding-top:188px!important}.pr-188{padding-right:188px!important}.pb-188{padding-bottom:188px!important}.pl-188{padding-left:188px!important}.pt-192{padding-top:192px!important}.pr-192{padding-right:192px!important}.pb-192{padding-bottom:192px!important}.pl-192{padding-left:192px!important}.pt-196{padding-top:196px!important}.pr-196{padding-right:196px!important}.pb-196{padding-bottom:196px!important}.pl-196{padding-left:196px!important}.pt-200{padding-top:200px!important}.pr-200{padding-right:200px!important}.pb-200{padding-bottom:200px!important}.pl-200{padding-left:200px!important}.pt-204{padding-top:204px!important}.pr-204{padding-right:204px!important}.pb-204{padding-bottom:204px!important}.pl-204{padding-left:204px!important}.pt-208{padding-top:208px!important}.pr-208{padding-right:208px!important}.pb-208{padding-bottom:208px!important}.pl-208{padding-left:208px!important}.pt-212{padding-top:212px!important}.pr-212{padding-right:212px!important}.pb-212{padding-bottom:212px!important}.pl-212{padding-left:212px!important}.pt-216{padding-top:216px!important}.pr-216{padding-right:216px!important}.pb-216{padding-bottom:216px!important}.pl-216{padding-left:216px!important}.pt-220{padding-top:220px!important}.pr-220{padding-right:220px!important}.pb-220{padding-bottom:220px!important}.pl-220{padding-left:220px!important}.pt-224{padding-top:224px!important}.pr-224{padding-right:224px!important}.pb-224{padding-bottom:224px!important}.pl-224{padding-left:224px!important}.pt-228{padding-top:228px!important}.pr-228{padding-right:228px!important}.pb-228{padding-bottom:228px!important}.pl-228{padding-left:228px!important}.pt-232{padding-top:232px!important}.pr-232{padding-right:232px!important}.pb-232{padding-bottom:232px!important}.pl-232{padding-left:232px!important}.pt-236{padding-top:236px!important}.pr-236{padding-right:236px!important}.pb-236{padding-bottom:236px!important}.pl-236{padding-left:236px!important}.pt-240{padding-top:240px!important}.pr-240{padding-right:240px!important}.pb-240{padding-bottom:240px!important}.pl-240{padding-left:240px!important}.pt-244{padding-top:244px!important}.pr-244{padding-right:244px!important}.pb-244{padding-bottom:244px!important}.pl-244{padding-left:244px!important}.pt-248{padding-top:248px!important}.pr-248{padding-right:248px!important}.pb-248{padding-bottom:248px!important}.pl-248{padding-left:248px!important}.pt-252{padding-top:252px!important}.pr-252{padding-right:252px!important}.pb-252{padding-bottom:252px!important}.pl-252{padding-left:252px!important}.pt-256{padding-top:256px!important}.pr-256{padding-right:256px!important}.pb-256{padding-bottom:256px!important}.pl-256{padding-left:256px!important}.bold{font-weight:700}.italic{font-weight:italic}.left{text-align:left}.right{text-align:right}.center{text-align:center}.pointer{cursor:pointer}.mid-width{width:50%}.full-width{width:100%}.hidden{display:none!important}::ng-deep .hopper-dialog-container{max-width:640px!important}@media screen and (min-width: 1280px){::ng-deep .hopper-dialog-container{min-height:600px!important}}@media screen and (max-width: 959px){::ng-deep .hopper-dialog-container{height:80%}}@media screen and (max-width: 599px){::ng-deep .hopper-dialog-container{max-width:100%!important;height:100%}}::ng-deep .hopper-dialog-container .mat-mdc-dialog-container{padding:0!important;border-radius:0}::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-content{max-height:calc(100% - 212px)}@media screen and (max-width: 599px){::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-content{max-height:calc(100% - 264px)}}::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-content,::ng-deep .hopper-dialog-container .mat-mdc-dialog-container .mat-mdc-dialog-actions{padding:0!important;margin:0!important}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.TranslateService }, { type: i0.ChangeDetectorRef }, { type: LoggerService }, { type: i3.MatDialogRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DIALOG_DATA]
                }] }, { type: HopperCfarService }, { type: HopperEventsService }, { type: i6.DecimalPipe }]; } });

class DialogUtils {
    static getDialogConfig(dialogData, theme) {
        const dialogConfig = new MatDialogConfig();
        dialogConfig.disableClose = false;
        dialogConfig.autoFocus = true;
        dialogConfig.panelClass = ['hopper-dialog-container', theme || ''];
        if (dialogData) {
            if (dialogData.isSidebar) {
                dialogConfig.position = { right: '0px', top: '0px', bottom: '0px' };
                dialogConfig.height = '100%';
            }
            dialogConfig.data = dialogData;
        }
        return dialogConfig;
    }
}

class CfarOfferBannerComponent extends GlobalComponent {
    constructor(_translateService, _cdRef, _loggerService, _hopperCfarService, _dialog) {
        super(_translateService, _cdRef, _loggerService);
        this._translateService = _translateService;
        this._cdRef = _cdRef;
        this._loggerService = _loggerService;
        this._hopperCfarService = _hopperCfarService;
        this._dialog = _dialog;
        this.offerAccepted = new EventEmitter();
        this.offersLoaded = new EventEmitter();
    }
    ngOnInit() {
        super.ngOnInit();
        if (this.isFakeBackend) {
            this._cfarOffers = this._buildFakePostCfarOffersResponse();
            this.selectedCfarOffer = this._getDefaultOffer(this._cfarOffers);
            this.offersLoaded.emit(this._cfarOffers);
        }
        else {
            this.isLoading = true;
            this._hopperCfarService
                .postCfarOffers(this.basePath, this.hCSessionId, this.currentLang, ApiTranslatorUtils.modelToSnakeCase(this._buildCreateCfarOfferRequest(this.itineraries)))
                .pipe(take(1))
                .subscribe({
                next: (cfarOffers) => {
                    let results = [];
                    if (cfarOffers) {
                        cfarOffers.forEach((cfarOffer) => {
                            results.push(ApiTranslatorUtils.modelToCamelCase(cfarOffer));
                        });
                    }
                    this._cfarOffers = results;
                    this.selectedCfarOffer = this._getDefaultOffer(this._cfarOffers);
                    this.offersLoaded.emit(this._cfarOffers);
                    this.isLoading = false;
                },
                error: (error) => {
                    this.handleApiError(error, 'offers');
                    this.offersLoaded.emit();
                    this.isLoading = false;
                },
            });
        }
    }
    ngAfterContentChecked() {
        this._cdRef.detectChanges();
    }
    onSubmit(cfarOffer) {
        const dialogData = {
            currentLang: this.currentLang,
            basePath: this.basePath,
            hCSessionId: this.hCSessionId,
            cfarOffers: this._cfarOffers,
        };
        const dialogConfig = DialogUtils.getDialogConfig(dialogData, this.currentTheme);
        const dialogRef = this._dialog.open(CfarOfferDialogComponent, dialogConfig);
        dialogRef
            .afterClosed()
            .pipe(take(1))
            .subscribe({
            next: (result) => {
                if (result) {
                    this.offerAccepted.emit(result);
                }
            },
            error: (error) => {
                this._loggerService.error('failed to close dialog', {}, error);
            },
        });
    }
}
CfarOfferBannerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CfarOfferBannerComponent, deps: [{ token: i1$1.TranslateService }, { token: i0.ChangeDetectorRef }, { token: LoggerService }, { token: HopperCfarService }, { token: i3.MatDialog }], target: i0.ɵɵFactoryTarget.Component });
CfarOfferBannerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.10", type: CfarOfferBannerComponent, selector: "hopper-cfar-offer-banner", inputs: { hCSessionId: "hCSessionId", itineraries: "itineraries", currentTheme: "currentTheme" }, outputs: { offerAccepted: "offerAccepted", offersLoaded: "offersLoaded" }, usesInheritance: true, ngImport: i0, template: "<div\n  class=\"px-32\"\n  ngClass.lt-md=\"px-16\"\n  fxLayout=\"row\"\n  fxLayoutAlign=\"center center\"\n>\n  <ng-container *ngIf=\"!isLoading\">\n    <mat-card\n      *ngIf=\"selectedCfarOffer\"\n      class=\"m-16 p-16 pointer\"\n      fxFlex\n      fxLayout=\"row wrap\"\n    >\n      <div\n        fxFlex=\"100\"\n        fxLayout=\"row wrap\"\n        fxLayoutAlign=\"start center\"\n        fxLayoutGap=\"16px\"\n      >\n        <div\n          fxFlex=\"calc(20% - 16px)\"\n          fxHide.lt-md\n          fxLayout=\"row\"\n          fxLayoutAlign=\"center center\"\n          class=\"p-16\"\n          ngClass.lt-sm=\"px-0\"\n        >\n          <img src=\"{{ imageBasePath || '' }}assets/offer-banner-icon.svg\" />\n        </div>\n\n        <div\n          fxFlex=\"60\"\n          fxFlex.lt-md=\"100\"\n          fxLayout=\"column\"\n          fxLayoutAlign=\"center start\"\n        >\n          <div fxLayout=\"row\" fxLayoutAlign=\"start center\">\n            <h2 class=\"offer-title\">\n              {{ 'CFAR_OFFER_BANNER.TITLE' | translate }}\n            </h2>\n          </div>\n\n          <ng-container\n            *ngFor=\"\n              let desc of getOfferDescription(selectedCfarOffer);\n              let i = index\n            \"\n          >\n            <div\n              class=\"py-16\"\n              fxLayout=\"row\"\n              fxLayoutAlign=\"start center\"\n              fxLayoutGap=\"8px\"\n            >\n              <mat-icon class=\"check-icon\">check</mat-icon>\n              <span innerHtml=\"{{ desc }}\"></span>\n            </div>\n          </ng-container>\n        </div>\n\n        <div\n          fxFlex=\"calc(20% - 16px)\"\n          fxFlex.lt-md=\"100\"\n          fxLayout=\"row\"\n          fxLayoutAlign=\"center center\"\n          fxLayoutAlign.lt-md=\"end center\"\n        >\n          <button\n            mat-raised-button\n            (click)=\"onSubmit(selectedCfarOffer)\"\n            attr.aria-label=\"{{\n              'CFAR_OFFER_BANNER.BUTTON.SELECT' | translate\n            }}\"\n          >\n            {{ 'CFAR_OFFER_BANNER.BUTTON.SELECT' | translate }}\n          </button>\n        </div>\n      </div>\n    </mat-card>\n  </ng-container>\n\n  <div\n    fxLayout=\"column\"\n    fxLayoutAlign=\"center center\"\n    fxLayoutGap=\"16px\"\n    *ngIf=\"isLoading\"\n  >\n    <mat-spinner></mat-spinner>\n    <p>{{ 'CFAR_OFFER_BANNER.LOADING' | translate }}</p>\n  </div>\n</div>\n", styles: [".m-0{margin:0!important}.m-4{margin:4px!important}.m-8{margin:8px!important}.m-12{margin:12px!important}.m-16{margin:16px!important}.m-20{margin:20px!important}.m-24{margin:24px!important}.m-28{margin:28px!important}.m-32{margin:32px!important}.m-36{margin:36px!important}.m-40{margin:40px!important}.m-44{margin:44px!important}.m-48{margin:48px!important}.m-52{margin:52px!important}.m-56{margin:56px!important}.m-60{margin:60px!important}.m-64{margin:64px!important}.m-68{margin:68px!important}.m-72{margin:72px!important}.m-76{margin:76px!important}.m-80{margin:80px!important}.m-84{margin:84px!important}.m-88{margin:88px!important}.m-92{margin:92px!important}.m-96{margin:96px!important}.m-100{margin:100px!important}.m-104{margin:104px!important}.m-108{margin:108px!important}.m-112{margin:112px!important}.m-116{margin:116px!important}.m-120{margin:120px!important}.m-124{margin:124px!important}.m-128{margin:128px!important}.m-132{margin:132px!important}.m-136{margin:136px!important}.m-140{margin:140px!important}.m-144{margin:144px!important}.m-148{margin:148px!important}.m-152{margin:152px!important}.m-156{margin:156px!important}.m-160{margin:160px!important}.m-164{margin:164px!important}.m-168{margin:168px!important}.m-172{margin:172px!important}.m-176{margin:176px!important}.m-180{margin:180px!important}.m-184{margin:184px!important}.m-188{margin:188px!important}.m-192{margin:192px!important}.m-196{margin:196px!important}.m-200{margin:200px!important}.m-204{margin:204px!important}.m-208{margin:208px!important}.m-212{margin:212px!important}.m-216{margin:216px!important}.m-220{margin:220px!important}.m-224{margin:224px!important}.m-228{margin:228px!important}.m-232{margin:232px!important}.m-236{margin:236px!important}.m-240{margin:240px!important}.m-244{margin:244px!important}.m-248{margin:248px!important}.m-252{margin:252px!important}.m-256{margin:256px!important}.mx-0{margin-right:0!important;margin-left:0!important}.my-0{margin-top:0!important;margin-bottom:0!important}.mx-4{margin-right:4px!important;margin-left:4px!important}.my-4{margin-top:4px!important;margin-bottom:4px!important}.mx-8{margin-right:8px!important;margin-left:8px!important}.my-8{margin-top:8px!important;margin-bottom:8px!important}.mx-12{margin-right:12px!important;margin-left:12px!important}.my-12{margin-top:12px!important;margin-bottom:12px!important}.mx-16{margin-right:16px!important;margin-left:16px!important}.my-16{margin-top:16px!important;margin-bottom:16px!important}.mx-20{margin-right:20px!important;margin-left:20px!important}.my-20{margin-top:20px!important;margin-bottom:20px!important}.mx-24{margin-right:24px!important;margin-left:24px!important}.my-24{margin-top:24px!important;margin-bottom:24px!important}.mx-28{margin-right:28px!important;margin-left:28px!important}.my-28{margin-top:28px!important;margin-bottom:28px!important}.mx-32{margin-right:32px!important;margin-left:32px!important}.my-32{margin-top:32px!important;margin-bottom:32px!important}.mx-36{margin-right:36px!important;margin-left:36px!important}.my-36{margin-top:36px!important;margin-bottom:36px!important}.mx-40{margin-right:40px!important;margin-left:40px!important}.my-40{margin-top:40px!important;margin-bottom:40px!important}.mx-44{margin-right:44px!important;margin-left:44px!important}.my-44{margin-top:44px!important;margin-bottom:44px!important}.mx-48{margin-right:48px!important;margin-left:48px!important}.my-48{margin-top:48px!important;margin-bottom:48px!important}.mx-52{margin-right:52px!important;margin-left:52px!important}.my-52{margin-top:52px!important;margin-bottom:52px!important}.mx-56{margin-right:56px!important;margin-left:56px!important}.my-56{margin-top:56px!important;margin-bottom:56px!important}.mx-60{margin-right:60px!important;margin-left:60px!important}.my-60{margin-top:60px!important;margin-bottom:60px!important}.mx-64{margin-right:64px!important;margin-left:64px!important}.my-64{margin-top:64px!important;margin-bottom:64px!important}.mx-68{margin-right:68px!important;margin-left:68px!important}.my-68{margin-top:68px!important;margin-bottom:68px!important}.mx-72{margin-right:72px!important;margin-left:72px!important}.my-72{margin-top:72px!important;margin-bottom:72px!important}.mx-76{margin-right:76px!important;margin-left:76px!important}.my-76{margin-top:76px!important;margin-bottom:76px!important}.mx-80{margin-right:80px!important;margin-left:80px!important}.my-80{margin-top:80px!important;margin-bottom:80px!important}.mx-84{margin-right:84px!important;margin-left:84px!important}.my-84{margin-top:84px!important;margin-bottom:84px!important}.mx-88{margin-right:88px!important;margin-left:88px!important}.my-88{margin-top:88px!important;margin-bottom:88px!important}.mx-92{margin-right:92px!important;margin-left:92px!important}.my-92{margin-top:92px!important;margin-bottom:92px!important}.mx-96{margin-right:96px!important;margin-left:96px!important}.my-96{margin-top:96px!important;margin-bottom:96px!important}.mx-100{margin-right:100px!important;margin-left:100px!important}.my-100{margin-top:100px!important;margin-bottom:100px!important}.mx-104{margin-right:104px!important;margin-left:104px!important}.my-104{margin-top:104px!important;margin-bottom:104px!important}.mx-108{margin-right:108px!important;margin-left:108px!important}.my-108{margin-top:108px!important;margin-bottom:108px!important}.mx-112{margin-right:112px!important;margin-left:112px!important}.my-112{margin-top:112px!important;margin-bottom:112px!important}.mx-116{margin-right:116px!important;margin-left:116px!important}.my-116{margin-top:116px!important;margin-bottom:116px!important}.mx-120{margin-right:120px!important;margin-left:120px!important}.my-120{margin-top:120px!important;margin-bottom:120px!important}.mx-124{margin-right:124px!important;margin-left:124px!important}.my-124{margin-top:124px!important;margin-bottom:124px!important}.mx-128{margin-right:128px!important;margin-left:128px!important}.my-128{margin-top:128px!important;margin-bottom:128px!important}.mx-132{margin-right:132px!important;margin-left:132px!important}.my-132{margin-top:132px!important;margin-bottom:132px!important}.mx-136{margin-right:136px!important;margin-left:136px!important}.my-136{margin-top:136px!important;margin-bottom:136px!important}.mx-140{margin-right:140px!important;margin-left:140px!important}.my-140{margin-top:140px!important;margin-bottom:140px!important}.mx-144{margin-right:144px!important;margin-left:144px!important}.my-144{margin-top:144px!important;margin-bottom:144px!important}.mx-148{margin-right:148px!important;margin-left:148px!important}.my-148{margin-top:148px!important;margin-bottom:148px!important}.mx-152{margin-right:152px!important;margin-left:152px!important}.my-152{margin-top:152px!important;margin-bottom:152px!important}.mx-156{margin-right:156px!important;margin-left:156px!important}.my-156{margin-top:156px!important;margin-bottom:156px!important}.mx-160{margin-right:160px!important;margin-left:160px!important}.my-160{margin-top:160px!important;margin-bottom:160px!important}.mx-164{margin-right:164px!important;margin-left:164px!important}.my-164{margin-top:164px!important;margin-bottom:164px!important}.mx-168{margin-right:168px!important;margin-left:168px!important}.my-168{margin-top:168px!important;margin-bottom:168px!important}.mx-172{margin-right:172px!important;margin-left:172px!important}.my-172{margin-top:172px!important;margin-bottom:172px!important}.mx-176{margin-right:176px!important;margin-left:176px!important}.my-176{margin-top:176px!important;margin-bottom:176px!important}.mx-180{margin-right:180px!important;margin-left:180px!important}.my-180{margin-top:180px!important;margin-bottom:180px!important}.mx-184{margin-right:184px!important;margin-left:184px!important}.my-184{margin-top:184px!important;margin-bottom:184px!important}.mx-188{margin-right:188px!important;margin-left:188px!important}.my-188{margin-top:188px!important;margin-bottom:188px!important}.mx-192{margin-right:192px!important;margin-left:192px!important}.my-192{margin-top:192px!important;margin-bottom:192px!important}.mx-196{margin-right:196px!important;margin-left:196px!important}.my-196{margin-top:196px!important;margin-bottom:196px!important}.mx-200{margin-right:200px!important;margin-left:200px!important}.my-200{margin-top:200px!important;margin-bottom:200px!important}.mx-204{margin-right:204px!important;margin-left:204px!important}.my-204{margin-top:204px!important;margin-bottom:204px!important}.mx-208{margin-right:208px!important;margin-left:208px!important}.my-208{margin-top:208px!important;margin-bottom:208px!important}.mx-212{margin-right:212px!important;margin-left:212px!important}.my-212{margin-top:212px!important;margin-bottom:212px!important}.mx-216{margin-right:216px!important;margin-left:216px!important}.my-216{margin-top:216px!important;margin-bottom:216px!important}.mx-220{margin-right:220px!important;margin-left:220px!important}.my-220{margin-top:220px!important;margin-bottom:220px!important}.mx-224{margin-right:224px!important;margin-left:224px!important}.my-224{margin-top:224px!important;margin-bottom:224px!important}.mx-228{margin-right:228px!important;margin-left:228px!important}.my-228{margin-top:228px!important;margin-bottom:228px!important}.mx-232{margin-right:232px!important;margin-left:232px!important}.my-232{margin-top:232px!important;margin-bottom:232px!important}.mx-236{margin-right:236px!important;margin-left:236px!important}.my-236{margin-top:236px!important;margin-bottom:236px!important}.mx-240{margin-right:240px!important;margin-left:240px!important}.my-240{margin-top:240px!important;margin-bottom:240px!important}.mx-244{margin-right:244px!important;margin-left:244px!important}.my-244{margin-top:244px!important;margin-bottom:244px!important}.mx-248{margin-right:248px!important;margin-left:248px!important}.my-248{margin-top:248px!important;margin-bottom:248px!important}.mx-252{margin-right:252px!important;margin-left:252px!important}.my-252{margin-top:252px!important;margin-bottom:252px!important}.mx-256{margin-right:256px!important;margin-left:256px!important}.my-256{margin-top:256px!important;margin-bottom:256px!important}.mt-0{margin-top:0!important}.mr-0{margin-right:0!important}.mb-0{margin-bottom:0!important}.ml-0{margin-left:0!important}.mt-4{margin-top:4px!important}.mr-4{margin-right:4px!important}.mb-4{margin-bottom:4px!important}.ml-4{margin-left:4px!important}.mt-8{margin-top:8px!important}.mr-8{margin-right:8px!important}.mb-8{margin-bottom:8px!important}.ml-8{margin-left:8px!important}.mt-12{margin-top:12px!important}.mr-12{margin-right:12px!important}.mb-12{margin-bottom:12px!important}.ml-12{margin-left:12px!important}.mt-16{margin-top:16px!important}.mr-16{margin-right:16px!important}.mb-16{margin-bottom:16px!important}.ml-16{margin-left:16px!important}.mt-20{margin-top:20px!important}.mr-20{margin-right:20px!important}.mb-20{margin-bottom:20px!important}.ml-20{margin-left:20px!important}.mt-24{margin-top:24px!important}.mr-24{margin-right:24px!important}.mb-24{margin-bottom:24px!important}.ml-24{margin-left:24px!important}.mt-28{margin-top:28px!important}.mr-28{margin-right:28px!important}.mb-28{margin-bottom:28px!important}.ml-28{margin-left:28px!important}.mt-32{margin-top:32px!important}.mr-32{margin-right:32px!important}.mb-32{margin-bottom:32px!important}.ml-32{margin-left:32px!important}.mt-36{margin-top:36px!important}.mr-36{margin-right:36px!important}.mb-36{margin-bottom:36px!important}.ml-36{margin-left:36px!important}.mt-40{margin-top:40px!important}.mr-40{margin-right:40px!important}.mb-40{margin-bottom:40px!important}.ml-40{margin-left:40px!important}.mt-44{margin-top:44px!important}.mr-44{margin-right:44px!important}.mb-44{margin-bottom:44px!important}.ml-44{margin-left:44px!important}.mt-48{margin-top:48px!important}.mr-48{margin-right:48px!important}.mb-48{margin-bottom:48px!important}.ml-48{margin-left:48px!important}.mt-52{margin-top:52px!important}.mr-52{margin-right:52px!important}.mb-52{margin-bottom:52px!important}.ml-52{margin-left:52px!important}.mt-56{margin-top:56px!important}.mr-56{margin-right:56px!important}.mb-56{margin-bottom:56px!important}.ml-56{margin-left:56px!important}.mt-60{margin-top:60px!important}.mr-60{margin-right:60px!important}.mb-60{margin-bottom:60px!important}.ml-60{margin-left:60px!important}.mt-64{margin-top:64px!important}.mr-64{margin-right:64px!important}.mb-64{margin-bottom:64px!important}.ml-64{margin-left:64px!important}.mt-68{margin-top:68px!important}.mr-68{margin-right:68px!important}.mb-68{margin-bottom:68px!important}.ml-68{margin-left:68px!important}.mt-72{margin-top:72px!important}.mr-72{margin-right:72px!important}.mb-72{margin-bottom:72px!important}.ml-72{margin-left:72px!important}.mt-76{margin-top:76px!important}.mr-76{margin-right:76px!important}.mb-76{margin-bottom:76px!important}.ml-76{margin-left:76px!important}.mt-80{margin-top:80px!important}.mr-80{margin-right:80px!important}.mb-80{margin-bottom:80px!important}.ml-80{margin-left:80px!important}.mt-84{margin-top:84px!important}.mr-84{margin-right:84px!important}.mb-84{margin-bottom:84px!important}.ml-84{margin-left:84px!important}.mt-88{margin-top:88px!important}.mr-88{margin-right:88px!important}.mb-88{margin-bottom:88px!important}.ml-88{margin-left:88px!important}.mt-92{margin-top:92px!important}.mr-92{margin-right:92px!important}.mb-92{margin-bottom:92px!important}.ml-92{margin-left:92px!important}.mt-96{margin-top:96px!important}.mr-96{margin-right:96px!important}.mb-96{margin-bottom:96px!important}.ml-96{margin-left:96px!important}.mt-100{margin-top:100px!important}.mr-100{margin-right:100px!important}.mb-100{margin-bottom:100px!important}.ml-100{margin-left:100px!important}.mt-104{margin-top:104px!important}.mr-104{margin-right:104px!important}.mb-104{margin-bottom:104px!important}.ml-104{margin-left:104px!important}.mt-108{margin-top:108px!important}.mr-108{margin-right:108px!important}.mb-108{margin-bottom:108px!important}.ml-108{margin-left:108px!important}.mt-112{margin-top:112px!important}.mr-112{margin-right:112px!important}.mb-112{margin-bottom:112px!important}.ml-112{margin-left:112px!important}.mt-116{margin-top:116px!important}.mr-116{margin-right:116px!important}.mb-116{margin-bottom:116px!important}.ml-116{margin-left:116px!important}.mt-120{margin-top:120px!important}.mr-120{margin-right:120px!important}.mb-120{margin-bottom:120px!important}.ml-120{margin-left:120px!important}.mt-124{margin-top:124px!important}.mr-124{margin-right:124px!important}.mb-124{margin-bottom:124px!important}.ml-124{margin-left:124px!important}.mt-128{margin-top:128px!important}.mr-128{margin-right:128px!important}.mb-128{margin-bottom:128px!important}.ml-128{margin-left:128px!important}.mt-132{margin-top:132px!important}.mr-132{margin-right:132px!important}.mb-132{margin-bottom:132px!important}.ml-132{margin-left:132px!important}.mt-136{margin-top:136px!important}.mr-136{margin-right:136px!important}.mb-136{margin-bottom:136px!important}.ml-136{margin-left:136px!important}.mt-140{margin-top:140px!important}.mr-140{margin-right:140px!important}.mb-140{margin-bottom:140px!important}.ml-140{margin-left:140px!important}.mt-144{margin-top:144px!important}.mr-144{margin-right:144px!important}.mb-144{margin-bottom:144px!important}.ml-144{margin-left:144px!important}.mt-148{margin-top:148px!important}.mr-148{margin-right:148px!important}.mb-148{margin-bottom:148px!important}.ml-148{margin-left:148px!important}.mt-152{margin-top:152px!important}.mr-152{margin-right:152px!important}.mb-152{margin-bottom:152px!important}.ml-152{margin-left:152px!important}.mt-156{margin-top:156px!important}.mr-156{margin-right:156px!important}.mb-156{margin-bottom:156px!important}.ml-156{margin-left:156px!important}.mt-160{margin-top:160px!important}.mr-160{margin-right:160px!important}.mb-160{margin-bottom:160px!important}.ml-160{margin-left:160px!important}.mt-164{margin-top:164px!important}.mr-164{margin-right:164px!important}.mb-164{margin-bottom:164px!important}.ml-164{margin-left:164px!important}.mt-168{margin-top:168px!important}.mr-168{margin-right:168px!important}.mb-168{margin-bottom:168px!important}.ml-168{margin-left:168px!important}.mt-172{margin-top:172px!important}.mr-172{margin-right:172px!important}.mb-172{margin-bottom:172px!important}.ml-172{margin-left:172px!important}.mt-176{margin-top:176px!important}.mr-176{margin-right:176px!important}.mb-176{margin-bottom:176px!important}.ml-176{margin-left:176px!important}.mt-180{margin-top:180px!important}.mr-180{margin-right:180px!important}.mb-180{margin-bottom:180px!important}.ml-180{margin-left:180px!important}.mt-184{margin-top:184px!important}.mr-184{margin-right:184px!important}.mb-184{margin-bottom:184px!important}.ml-184{margin-left:184px!important}.mt-188{margin-top:188px!important}.mr-188{margin-right:188px!important}.mb-188{margin-bottom:188px!important}.ml-188{margin-left:188px!important}.mt-192{margin-top:192px!important}.mr-192{margin-right:192px!important}.mb-192{margin-bottom:192px!important}.ml-192{margin-left:192px!important}.mt-196{margin-top:196px!important}.mr-196{margin-right:196px!important}.mb-196{margin-bottom:196px!important}.ml-196{margin-left:196px!important}.mt-200{margin-top:200px!important}.mr-200{margin-right:200px!important}.mb-200{margin-bottom:200px!important}.ml-200{margin-left:200px!important}.mt-204{margin-top:204px!important}.mr-204{margin-right:204px!important}.mb-204{margin-bottom:204px!important}.ml-204{margin-left:204px!important}.mt-208{margin-top:208px!important}.mr-208{margin-right:208px!important}.mb-208{margin-bottom:208px!important}.ml-208{margin-left:208px!important}.mt-212{margin-top:212px!important}.mr-212{margin-right:212px!important}.mb-212{margin-bottom:212px!important}.ml-212{margin-left:212px!important}.mt-216{margin-top:216px!important}.mr-216{margin-right:216px!important}.mb-216{margin-bottom:216px!important}.ml-216{margin-left:216px!important}.mt-220{margin-top:220px!important}.mr-220{margin-right:220px!important}.mb-220{margin-bottom:220px!important}.ml-220{margin-left:220px!important}.mt-224{margin-top:224px!important}.mr-224{margin-right:224px!important}.mb-224{margin-bottom:224px!important}.ml-224{margin-left:224px!important}.mt-228{margin-top:228px!important}.mr-228{margin-right:228px!important}.mb-228{margin-bottom:228px!important}.ml-228{margin-left:228px!important}.mt-232{margin-top:232px!important}.mr-232{margin-right:232px!important}.mb-232{margin-bottom:232px!important}.ml-232{margin-left:232px!important}.mt-236{margin-top:236px!important}.mr-236{margin-right:236px!important}.mb-236{margin-bottom:236px!important}.ml-236{margin-left:236px!important}.mt-240{margin-top:240px!important}.mr-240{margin-right:240px!important}.mb-240{margin-bottom:240px!important}.ml-240{margin-left:240px!important}.mt-244{margin-top:244px!important}.mr-244{margin-right:244px!important}.mb-244{margin-bottom:244px!important}.ml-244{margin-left:244px!important}.mt-248{margin-top:248px!important}.mr-248{margin-right:248px!important}.mb-248{margin-bottom:248px!important}.ml-248{margin-left:248px!important}.mt-252{margin-top:252px!important}.mr-252{margin-right:252px!important}.mb-252{margin-bottom:252px!important}.ml-252{margin-left:252px!important}.mt-256{margin-top:256px!important}.mr-256{margin-right:256px!important}.mb-256{margin-bottom:256px!important}.ml-256{margin-left:256px!important}.m-auto{margin:auto!important}.mt-auto{margin-top:auto!important}.mr-auto{margin-right:auto!important}.mb-auto{margin-bottom:auto!important}.ml-auto{margin-left:auto!important}.mx-auto{margin-right:auto!important;margin-left:auto!important}.my-auto{margin-top:auto!important;margin-bottom:auto!important}.p-0{padding:0!important}.p-4{padding:4px!important}.p-8{padding:8px!important}.p-12{padding:12px!important}.p-16{padding:16px!important}.p-20{padding:20px!important}.p-24{padding:24px!important}.p-28{padding:28px!important}.p-32{padding:32px!important}.p-36{padding:36px!important}.p-40{padding:40px!important}.p-44{padding:44px!important}.p-48{padding:48px!important}.p-52{padding:52px!important}.p-56{padding:56px!important}.p-60{padding:60px!important}.p-64{padding:64px!important}.p-68{padding:68px!important}.p-72{padding:72px!important}.p-76{padding:76px!important}.p-80{padding:80px!important}.p-84{padding:84px!important}.p-88{padding:88px!important}.p-92{padding:92px!important}.p-96{padding:96px!important}.p-100{padding:100px!important}.p-104{padding:104px!important}.p-108{padding:108px!important}.p-112{padding:112px!important}.p-116{padding:116px!important}.p-120{padding:120px!important}.p-124{padding:124px!important}.p-128{padding:128px!important}.p-132{padding:132px!important}.p-136{padding:136px!important}.p-140{padding:140px!important}.p-144{padding:144px!important}.p-148{padding:148px!important}.p-152{padding:152px!important}.p-156{padding:156px!important}.p-160{padding:160px!important}.p-164{padding:164px!important}.p-168{padding:168px!important}.p-172{padding:172px!important}.p-176{padding:176px!important}.p-180{padding:180px!important}.p-184{padding:184px!important}.p-188{padding:188px!important}.p-192{padding:192px!important}.p-196{padding:196px!important}.p-200{padding:200px!important}.p-204{padding:204px!important}.p-208{padding:208px!important}.p-212{padding:212px!important}.p-216{padding:216px!important}.p-220{padding:220px!important}.p-224{padding:224px!important}.p-228{padding:228px!important}.p-232{padding:232px!important}.p-236{padding:236px!important}.p-240{padding:240px!important}.p-244{padding:244px!important}.p-248{padding:248px!important}.p-252{padding:252px!important}.p-256{padding:256px!important}.px-0{padding-right:0!important;padding-left:0!important}.py-0{padding-top:0!important;padding-bottom:0!important}.px-4{padding-right:4px!important;padding-left:4px!important}.py-4{padding-top:4px!important;padding-bottom:4px!important}.px-8{padding-right:8px!important;padding-left:8px!important}.py-8{padding-top:8px!important;padding-bottom:8px!important}.px-12{padding-right:12px!important;padding-left:12px!important}.py-12{padding-top:12px!important;padding-bottom:12px!important}.px-16{padding-right:16px!important;padding-left:16px!important}.py-16{padding-top:16px!important;padding-bottom:16px!important}.px-20{padding-right:20px!important;padding-left:20px!important}.py-20{padding-top:20px!important;padding-bottom:20px!important}.px-24{padding-right:24px!important;padding-left:24px!important}.py-24{padding-top:24px!important;padding-bottom:24px!important}.px-28{padding-right:28px!important;padding-left:28px!important}.py-28{padding-top:28px!important;padding-bottom:28px!important}.px-32{padding-right:32px!important;padding-left:32px!important}.py-32{padding-top:32px!important;padding-bottom:32px!important}.px-36{padding-right:36px!important;padding-left:36px!important}.py-36{padding-top:36px!important;padding-bottom:36px!important}.px-40{padding-right:40px!important;padding-left:40px!important}.py-40{padding-top:40px!important;padding-bottom:40px!important}.px-44{padding-right:44px!important;padding-left:44px!important}.py-44{padding-top:44px!important;padding-bottom:44px!important}.px-48{padding-right:48px!important;padding-left:48px!important}.py-48{padding-top:48px!important;padding-bottom:48px!important}.px-52{padding-right:52px!important;padding-left:52px!important}.py-52{padding-top:52px!important;padding-bottom:52px!important}.px-56{padding-right:56px!important;padding-left:56px!important}.py-56{padding-top:56px!important;padding-bottom:56px!important}.px-60{padding-right:60px!important;padding-left:60px!important}.py-60{padding-top:60px!important;padding-bottom:60px!important}.px-64{padding-right:64px!important;padding-left:64px!important}.py-64{padding-top:64px!important;padding-bottom:64px!important}.px-68{padding-right:68px!important;padding-left:68px!important}.py-68{padding-top:68px!important;padding-bottom:68px!important}.px-72{padding-right:72px!important;padding-left:72px!important}.py-72{padding-top:72px!important;padding-bottom:72px!important}.px-76{padding-right:76px!important;padding-left:76px!important}.py-76{padding-top:76px!important;padding-bottom:76px!important}.px-80{padding-right:80px!important;padding-left:80px!important}.py-80{padding-top:80px!important;padding-bottom:80px!important}.px-84{padding-right:84px!important;padding-left:84px!important}.py-84{padding-top:84px!important;padding-bottom:84px!important}.px-88{padding-right:88px!important;padding-left:88px!important}.py-88{padding-top:88px!important;padding-bottom:88px!important}.px-92{padding-right:92px!important;padding-left:92px!important}.py-92{padding-top:92px!important;padding-bottom:92px!important}.px-96{padding-right:96px!important;padding-left:96px!important}.py-96{padding-top:96px!important;padding-bottom:96px!important}.px-100{padding-right:100px!important;padding-left:100px!important}.py-100{padding-top:100px!important;padding-bottom:100px!important}.px-104{padding-right:104px!important;padding-left:104px!important}.py-104{padding-top:104px!important;padding-bottom:104px!important}.px-108{padding-right:108px!important;padding-left:108px!important}.py-108{padding-top:108px!important;padding-bottom:108px!important}.px-112{padding-right:112px!important;padding-left:112px!important}.py-112{padding-top:112px!important;padding-bottom:112px!important}.px-116{padding-right:116px!important;padding-left:116px!important}.py-116{padding-top:116px!important;padding-bottom:116px!important}.px-120{padding-right:120px!important;padding-left:120px!important}.py-120{padding-top:120px!important;padding-bottom:120px!important}.px-124{padding-right:124px!important;padding-left:124px!important}.py-124{padding-top:124px!important;padding-bottom:124px!important}.px-128{padding-right:128px!important;padding-left:128px!important}.py-128{padding-top:128px!important;padding-bottom:128px!important}.px-132{padding-right:132px!important;padding-left:132px!important}.py-132{padding-top:132px!important;padding-bottom:132px!important}.px-136{padding-right:136px!important;padding-left:136px!important}.py-136{padding-top:136px!important;padding-bottom:136px!important}.px-140{padding-right:140px!important;padding-left:140px!important}.py-140{padding-top:140px!important;padding-bottom:140px!important}.px-144{padding-right:144px!important;padding-left:144px!important}.py-144{padding-top:144px!important;padding-bottom:144px!important}.px-148{padding-right:148px!important;padding-left:148px!important}.py-148{padding-top:148px!important;padding-bottom:148px!important}.px-152{padding-right:152px!important;padding-left:152px!important}.py-152{padding-top:152px!important;padding-bottom:152px!important}.px-156{padding-right:156px!important;padding-left:156px!important}.py-156{padding-top:156px!important;padding-bottom:156px!important}.px-160{padding-right:160px!important;padding-left:160px!important}.py-160{padding-top:160px!important;padding-bottom:160px!important}.px-164{padding-right:164px!important;padding-left:164px!important}.py-164{padding-top:164px!important;padding-bottom:164px!important}.px-168{padding-right:168px!important;padding-left:168px!important}.py-168{padding-top:168px!important;padding-bottom:168px!important}.px-172{padding-right:172px!important;padding-left:172px!important}.py-172{padding-top:172px!important;padding-bottom:172px!important}.px-176{padding-right:176px!important;padding-left:176px!important}.py-176{padding-top:176px!important;padding-bottom:176px!important}.px-180{padding-right:180px!important;padding-left:180px!important}.py-180{padding-top:180px!important;padding-bottom:180px!important}.px-184{padding-right:184px!important;padding-left:184px!important}.py-184{padding-top:184px!important;padding-bottom:184px!important}.px-188{padding-right:188px!important;padding-left:188px!important}.py-188{padding-top:188px!important;padding-bottom:188px!important}.px-192{padding-right:192px!important;padding-left:192px!important}.py-192{padding-top:192px!important;padding-bottom:192px!important}.px-196{padding-right:196px!important;padding-left:196px!important}.py-196{padding-top:196px!important;padding-bottom:196px!important}.px-200{padding-right:200px!important;padding-left:200px!important}.py-200{padding-top:200px!important;padding-bottom:200px!important}.px-204{padding-right:204px!important;padding-left:204px!important}.py-204{padding-top:204px!important;padding-bottom:204px!important}.px-208{padding-right:208px!important;padding-left:208px!important}.py-208{padding-top:208px!important;padding-bottom:208px!important}.px-212{padding-right:212px!important;padding-left:212px!important}.py-212{padding-top:212px!important;padding-bottom:212px!important}.px-216{padding-right:216px!important;padding-left:216px!important}.py-216{padding-top:216px!important;padding-bottom:216px!important}.px-220{padding-right:220px!important;padding-left:220px!important}.py-220{padding-top:220px!important;padding-bottom:220px!important}.px-224{padding-right:224px!important;padding-left:224px!important}.py-224{padding-top:224px!important;padding-bottom:224px!important}.px-228{padding-right:228px!important;padding-left:228px!important}.py-228{padding-top:228px!important;padding-bottom:228px!important}.px-232{padding-right:232px!important;padding-left:232px!important}.py-232{padding-top:232px!important;padding-bottom:232px!important}.px-236{padding-right:236px!important;padding-left:236px!important}.py-236{padding-top:236px!important;padding-bottom:236px!important}.px-240{padding-right:240px!important;padding-left:240px!important}.py-240{padding-top:240px!important;padding-bottom:240px!important}.px-244{padding-right:244px!important;padding-left:244px!important}.py-244{padding-top:244px!important;padding-bottom:244px!important}.px-248{padding-right:248px!important;padding-left:248px!important}.py-248{padding-top:248px!important;padding-bottom:248px!important}.px-252{padding-right:252px!important;padding-left:252px!important}.py-252{padding-top:252px!important;padding-bottom:252px!important}.px-256{padding-right:256px!important;padding-left:256px!important}.py-256{padding-top:256px!important;padding-bottom:256px!important}.pt-0{padding-top:0!important}.pr-0{padding-right:0!important}.pb-0{padding-bottom:0!important}.pl-0{padding-left:0!important}.pt-4{padding-top:4px!important}.pr-4{padding-right:4px!important}.pb-4{padding-bottom:4px!important}.pl-4{padding-left:4px!important}.pt-8{padding-top:8px!important}.pr-8{padding-right:8px!important}.pb-8{padding-bottom:8px!important}.pl-8{padding-left:8px!important}.pt-12{padding-top:12px!important}.pr-12{padding-right:12px!important}.pb-12{padding-bottom:12px!important}.pl-12{padding-left:12px!important}.pt-16{padding-top:16px!important}.pr-16{padding-right:16px!important}.pb-16{padding-bottom:16px!important}.pl-16{padding-left:16px!important}.pt-20{padding-top:20px!important}.pr-20{padding-right:20px!important}.pb-20{padding-bottom:20px!important}.pl-20{padding-left:20px!important}.pt-24{padding-top:24px!important}.pr-24{padding-right:24px!important}.pb-24{padding-bottom:24px!important}.pl-24{padding-left:24px!important}.pt-28{padding-top:28px!important}.pr-28{padding-right:28px!important}.pb-28{padding-bottom:28px!important}.pl-28{padding-left:28px!important}.pt-32{padding-top:32px!important}.pr-32{padding-right:32px!important}.pb-32{padding-bottom:32px!important}.pl-32{padding-left:32px!important}.pt-36{padding-top:36px!important}.pr-36{padding-right:36px!important}.pb-36{padding-bottom:36px!important}.pl-36{padding-left:36px!important}.pt-40{padding-top:40px!important}.pr-40{padding-right:40px!important}.pb-40{padding-bottom:40px!important}.pl-40{padding-left:40px!important}.pt-44{padding-top:44px!important}.pr-44{padding-right:44px!important}.pb-44{padding-bottom:44px!important}.pl-44{padding-left:44px!important}.pt-48{padding-top:48px!important}.pr-48{padding-right:48px!important}.pb-48{padding-bottom:48px!important}.pl-48{padding-left:48px!important}.pt-52{padding-top:52px!important}.pr-52{padding-right:52px!important}.pb-52{padding-bottom:52px!important}.pl-52{padding-left:52px!important}.pt-56{padding-top:56px!important}.pr-56{padding-right:56px!important}.pb-56{padding-bottom:56px!important}.pl-56{padding-left:56px!important}.pt-60{padding-top:60px!important}.pr-60{padding-right:60px!important}.pb-60{padding-bottom:60px!important}.pl-60{padding-left:60px!important}.pt-64{padding-top:64px!important}.pr-64{padding-right:64px!important}.pb-64{padding-bottom:64px!important}.pl-64{padding-left:64px!important}.pt-68{padding-top:68px!important}.pr-68{padding-right:68px!important}.pb-68{padding-bottom:68px!important}.pl-68{padding-left:68px!important}.pt-72{padding-top:72px!important}.pr-72{padding-right:72px!important}.pb-72{padding-bottom:72px!important}.pl-72{padding-left:72px!important}.pt-76{padding-top:76px!important}.pr-76{padding-right:76px!important}.pb-76{padding-bottom:76px!important}.pl-76{padding-left:76px!important}.pt-80{padding-top:80px!important}.pr-80{padding-right:80px!important}.pb-80{padding-bottom:80px!important}.pl-80{padding-left:80px!important}.pt-84{padding-top:84px!important}.pr-84{padding-right:84px!important}.pb-84{padding-bottom:84px!important}.pl-84{padding-left:84px!important}.pt-88{padding-top:88px!important}.pr-88{padding-right:88px!important}.pb-88{padding-bottom:88px!important}.pl-88{padding-left:88px!important}.pt-92{padding-top:92px!important}.pr-92{padding-right:92px!important}.pb-92{padding-bottom:92px!important}.pl-92{padding-left:92px!important}.pt-96{padding-top:96px!important}.pr-96{padding-right:96px!important}.pb-96{padding-bottom:96px!important}.pl-96{padding-left:96px!important}.pt-100{padding-top:100px!important}.pr-100{padding-right:100px!important}.pb-100{padding-bottom:100px!important}.pl-100{padding-left:100px!important}.pt-104{padding-top:104px!important}.pr-104{padding-right:104px!important}.pb-104{padding-bottom:104px!important}.pl-104{padding-left:104px!important}.pt-108{padding-top:108px!important}.pr-108{padding-right:108px!important}.pb-108{padding-bottom:108px!important}.pl-108{padding-left:108px!important}.pt-112{padding-top:112px!important}.pr-112{padding-right:112px!important}.pb-112{padding-bottom:112px!important}.pl-112{padding-left:112px!important}.pt-116{padding-top:116px!important}.pr-116{padding-right:116px!important}.pb-116{padding-bottom:116px!important}.pl-116{padding-left:116px!important}.pt-120{padding-top:120px!important}.pr-120{padding-right:120px!important}.pb-120{padding-bottom:120px!important}.pl-120{padding-left:120px!important}.pt-124{padding-top:124px!important}.pr-124{padding-right:124px!important}.pb-124{padding-bottom:124px!important}.pl-124{padding-left:124px!important}.pt-128{padding-top:128px!important}.pr-128{padding-right:128px!important}.pb-128{padding-bottom:128px!important}.pl-128{padding-left:128px!important}.pt-132{padding-top:132px!important}.pr-132{padding-right:132px!important}.pb-132{padding-bottom:132px!important}.pl-132{padding-left:132px!important}.pt-136{padding-top:136px!important}.pr-136{padding-right:136px!important}.pb-136{padding-bottom:136px!important}.pl-136{padding-left:136px!important}.pt-140{padding-top:140px!important}.pr-140{padding-right:140px!important}.pb-140{padding-bottom:140px!important}.pl-140{padding-left:140px!important}.pt-144{padding-top:144px!important}.pr-144{padding-right:144px!important}.pb-144{padding-bottom:144px!important}.pl-144{padding-left:144px!important}.pt-148{padding-top:148px!important}.pr-148{padding-right:148px!important}.pb-148{padding-bottom:148px!important}.pl-148{padding-left:148px!important}.pt-152{padding-top:152px!important}.pr-152{padding-right:152px!important}.pb-152{padding-bottom:152px!important}.pl-152{padding-left:152px!important}.pt-156{padding-top:156px!important}.pr-156{padding-right:156px!important}.pb-156{padding-bottom:156px!important}.pl-156{padding-left:156px!important}.pt-160{padding-top:160px!important}.pr-160{padding-right:160px!important}.pb-160{padding-bottom:160px!important}.pl-160{padding-left:160px!important}.pt-164{padding-top:164px!important}.pr-164{padding-right:164px!important}.pb-164{padding-bottom:164px!important}.pl-164{padding-left:164px!important}.pt-168{padding-top:168px!important}.pr-168{padding-right:168px!important}.pb-168{padding-bottom:168px!important}.pl-168{padding-left:168px!important}.pt-172{padding-top:172px!important}.pr-172{padding-right:172px!important}.pb-172{padding-bottom:172px!important}.pl-172{padding-left:172px!important}.pt-176{padding-top:176px!important}.pr-176{padding-right:176px!important}.pb-176{padding-bottom:176px!important}.pl-176{padding-left:176px!important}.pt-180{padding-top:180px!important}.pr-180{padding-right:180px!important}.pb-180{padding-bottom:180px!important}.pl-180{padding-left:180px!important}.pt-184{padding-top:184px!important}.pr-184{padding-right:184px!important}.pb-184{padding-bottom:184px!important}.pl-184{padding-left:184px!important}.pt-188{padding-top:188px!important}.pr-188{padding-right:188px!important}.pb-188{padding-bottom:188px!important}.pl-188{padding-left:188px!important}.pt-192{padding-top:192px!important}.pr-192{padding-right:192px!important}.pb-192{padding-bottom:192px!important}.pl-192{padding-left:192px!important}.pt-196{padding-top:196px!important}.pr-196{padding-right:196px!important}.pb-196{padding-bottom:196px!important}.pl-196{padding-left:196px!important}.pt-200{padding-top:200px!important}.pr-200{padding-right:200px!important}.pb-200{padding-bottom:200px!important}.pl-200{padding-left:200px!important}.pt-204{padding-top:204px!important}.pr-204{padding-right:204px!important}.pb-204{padding-bottom:204px!important}.pl-204{padding-left:204px!important}.pt-208{padding-top:208px!important}.pr-208{padding-right:208px!important}.pb-208{padding-bottom:208px!important}.pl-208{padding-left:208px!important}.pt-212{padding-top:212px!important}.pr-212{padding-right:212px!important}.pb-212{padding-bottom:212px!important}.pl-212{padding-left:212px!important}.pt-216{padding-top:216px!important}.pr-216{padding-right:216px!important}.pb-216{padding-bottom:216px!important}.pl-216{padding-left:216px!important}.pt-220{padding-top:220px!important}.pr-220{padding-right:220px!important}.pb-220{padding-bottom:220px!important}.pl-220{padding-left:220px!important}.pt-224{padding-top:224px!important}.pr-224{padding-right:224px!important}.pb-224{padding-bottom:224px!important}.pl-224{padding-left:224px!important}.pt-228{padding-top:228px!important}.pr-228{padding-right:228px!important}.pb-228{padding-bottom:228px!important}.pl-228{padding-left:228px!important}.pt-232{padding-top:232px!important}.pr-232{padding-right:232px!important}.pb-232{padding-bottom:232px!important}.pl-232{padding-left:232px!important}.pt-236{padding-top:236px!important}.pr-236{padding-right:236px!important}.pb-236{padding-bottom:236px!important}.pl-236{padding-left:236px!important}.pt-240{padding-top:240px!important}.pr-240{padding-right:240px!important}.pb-240{padding-bottom:240px!important}.pl-240{padding-left:240px!important}.pt-244{padding-top:244px!important}.pr-244{padding-right:244px!important}.pb-244{padding-bottom:244px!important}.pl-244{padding-left:244px!important}.pt-248{padding-top:248px!important}.pr-248{padding-right:248px!important}.pb-248{padding-bottom:248px!important}.pl-248{padding-left:248px!important}.pt-252{padding-top:252px!important}.pr-252{padding-right:252px!important}.pb-252{padding-bottom:252px!important}.pl-252{padding-left:252px!important}.pt-256{padding-top:256px!important}.pr-256{padding-right:256px!important}.pb-256{padding-bottom:256px!important}.pl-256{padding-left:256px!important}.bold{font-weight:700}.italic{font-weight:italic}.left{text-align:left}.right{text-align:right}.center{text-align:center}.pointer{cursor:pointer}.mid-width{width:50%}.full-width{width:100%}.hidden{display:none!important}\n"], dependencies: [{ kind: "directive", type: i6.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i6.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i7.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i7.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i7.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i7.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "directive", type: i8.DefaultShowHideDirective, selector: "  [fxShow], [fxShow.print],  [fxShow.xs], [fxShow.sm], [fxShow.md], [fxShow.lg], [fxShow.xl],  [fxShow.lt-sm], [fxShow.lt-md], [fxShow.lt-lg], [fxShow.lt-xl],  [fxShow.gt-xs], [fxShow.gt-sm], [fxShow.gt-md], [fxShow.gt-lg],  [fxHide], [fxHide.print],  [fxHide.xs], [fxHide.sm], [fxHide.md], [fxHide.lg], [fxHide.xl],  [fxHide.lt-sm], [fxHide.lt-md], [fxHide.lt-lg], [fxHide.lt-xl],  [fxHide.gt-xs], [fxHide.gt-sm], [fxHide.gt-md], [fxHide.gt-lg]", inputs: ["fxShow", "fxShow.print", "fxShow.xs", "fxShow.sm", "fxShow.md", "fxShow.lg", "fxShow.xl", "fxShow.lt-sm", "fxShow.lt-md", "fxShow.lt-lg", "fxShow.lt-xl", "fxShow.gt-xs", "fxShow.gt-sm", "fxShow.gt-md", "fxShow.gt-lg", "fxHide", "fxHide.print", "fxHide.xs", "fxHide.sm", "fxHide.md", "fxHide.lg", "fxHide.xl", "fxHide.lt-sm", "fxHide.lt-md", "fxHide.lt-lg", "fxHide.lt-xl", "fxHide.gt-xs", "fxHide.gt-sm", "fxHide.gt-md", "fxHide.gt-lg"] }, { kind: "directive", type: i8.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: i9.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i9$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i10.MatCard, selector: "mat-card", inputs: ["appearance"], exportAs: ["matCard"] }, { kind: "component", type: i12.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "mode", "value", "diameter", "strokeWidth"], exportAs: ["matProgressSpinner"] }, { kind: "pipe", type: i1$1.TranslatePipe, name: "translate" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CfarOfferBannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'hopper-cfar-offer-banner', template: "<div\n  class=\"px-32\"\n  ngClass.lt-md=\"px-16\"\n  fxLayout=\"row\"\n  fxLayoutAlign=\"center center\"\n>\n  <ng-container *ngIf=\"!isLoading\">\n    <mat-card\n      *ngIf=\"selectedCfarOffer\"\n      class=\"m-16 p-16 pointer\"\n      fxFlex\n      fxLayout=\"row wrap\"\n    >\n      <div\n        fxFlex=\"100\"\n        fxLayout=\"row wrap\"\n        fxLayoutAlign=\"start center\"\n        fxLayoutGap=\"16px\"\n      >\n        <div\n          fxFlex=\"calc(20% - 16px)\"\n          fxHide.lt-md\n          fxLayout=\"row\"\n          fxLayoutAlign=\"center center\"\n          class=\"p-16\"\n          ngClass.lt-sm=\"px-0\"\n        >\n          <img src=\"{{ imageBasePath || '' }}assets/offer-banner-icon.svg\" />\n        </div>\n\n        <div\n          fxFlex=\"60\"\n          fxFlex.lt-md=\"100\"\n          fxLayout=\"column\"\n          fxLayoutAlign=\"center start\"\n        >\n          <div fxLayout=\"row\" fxLayoutAlign=\"start center\">\n            <h2 class=\"offer-title\">\n              {{ 'CFAR_OFFER_BANNER.TITLE' | translate }}\n            </h2>\n          </div>\n\n          <ng-container\n            *ngFor=\"\n              let desc of getOfferDescription(selectedCfarOffer);\n              let i = index\n            \"\n          >\n            <div\n              class=\"py-16\"\n              fxLayout=\"row\"\n              fxLayoutAlign=\"start center\"\n              fxLayoutGap=\"8px\"\n            >\n              <mat-icon class=\"check-icon\">check</mat-icon>\n              <span innerHtml=\"{{ desc }}\"></span>\n            </div>\n          </ng-container>\n        </div>\n\n        <div\n          fxFlex=\"calc(20% - 16px)\"\n          fxFlex.lt-md=\"100\"\n          fxLayout=\"row\"\n          fxLayoutAlign=\"center center\"\n          fxLayoutAlign.lt-md=\"end center\"\n        >\n          <button\n            mat-raised-button\n            (click)=\"onSubmit(selectedCfarOffer)\"\n            attr.aria-label=\"{{\n              'CFAR_OFFER_BANNER.BUTTON.SELECT' | translate\n            }}\"\n          >\n            {{ 'CFAR_OFFER_BANNER.BUTTON.SELECT' | translate }}\n          </button>\n        </div>\n      </div>\n    </mat-card>\n  </ng-container>\n\n  <div\n    fxLayout=\"column\"\n    fxLayoutAlign=\"center center\"\n    fxLayoutGap=\"16px\"\n    *ngIf=\"isLoading\"\n  >\n    <mat-spinner></mat-spinner>\n    <p>{{ 'CFAR_OFFER_BANNER.LOADING' | translate }}</p>\n  </div>\n</div>\n", styles: [".m-0{margin:0!important}.m-4{margin:4px!important}.m-8{margin:8px!important}.m-12{margin:12px!important}.m-16{margin:16px!important}.m-20{margin:20px!important}.m-24{margin:24px!important}.m-28{margin:28px!important}.m-32{margin:32px!important}.m-36{margin:36px!important}.m-40{margin:40px!important}.m-44{margin:44px!important}.m-48{margin:48px!important}.m-52{margin:52px!important}.m-56{margin:56px!important}.m-60{margin:60px!important}.m-64{margin:64px!important}.m-68{margin:68px!important}.m-72{margin:72px!important}.m-76{margin:76px!important}.m-80{margin:80px!important}.m-84{margin:84px!important}.m-88{margin:88px!important}.m-92{margin:92px!important}.m-96{margin:96px!important}.m-100{margin:100px!important}.m-104{margin:104px!important}.m-108{margin:108px!important}.m-112{margin:112px!important}.m-116{margin:116px!important}.m-120{margin:120px!important}.m-124{margin:124px!important}.m-128{margin:128px!important}.m-132{margin:132px!important}.m-136{margin:136px!important}.m-140{margin:140px!important}.m-144{margin:144px!important}.m-148{margin:148px!important}.m-152{margin:152px!important}.m-156{margin:156px!important}.m-160{margin:160px!important}.m-164{margin:164px!important}.m-168{margin:168px!important}.m-172{margin:172px!important}.m-176{margin:176px!important}.m-180{margin:180px!important}.m-184{margin:184px!important}.m-188{margin:188px!important}.m-192{margin:192px!important}.m-196{margin:196px!important}.m-200{margin:200px!important}.m-204{margin:204px!important}.m-208{margin:208px!important}.m-212{margin:212px!important}.m-216{margin:216px!important}.m-220{margin:220px!important}.m-224{margin:224px!important}.m-228{margin:228px!important}.m-232{margin:232px!important}.m-236{margin:236px!important}.m-240{margin:240px!important}.m-244{margin:244px!important}.m-248{margin:248px!important}.m-252{margin:252px!important}.m-256{margin:256px!important}.mx-0{margin-right:0!important;margin-left:0!important}.my-0{margin-top:0!important;margin-bottom:0!important}.mx-4{margin-right:4px!important;margin-left:4px!important}.my-4{margin-top:4px!important;margin-bottom:4px!important}.mx-8{margin-right:8px!important;margin-left:8px!important}.my-8{margin-top:8px!important;margin-bottom:8px!important}.mx-12{margin-right:12px!important;margin-left:12px!important}.my-12{margin-top:12px!important;margin-bottom:12px!important}.mx-16{margin-right:16px!important;margin-left:16px!important}.my-16{margin-top:16px!important;margin-bottom:16px!important}.mx-20{margin-right:20px!important;margin-left:20px!important}.my-20{margin-top:20px!important;margin-bottom:20px!important}.mx-24{margin-right:24px!important;margin-left:24px!important}.my-24{margin-top:24px!important;margin-bottom:24px!important}.mx-28{margin-right:28px!important;margin-left:28px!important}.my-28{margin-top:28px!important;margin-bottom:28px!important}.mx-32{margin-right:32px!important;margin-left:32px!important}.my-32{margin-top:32px!important;margin-bottom:32px!important}.mx-36{margin-right:36px!important;margin-left:36px!important}.my-36{margin-top:36px!important;margin-bottom:36px!important}.mx-40{margin-right:40px!important;margin-left:40px!important}.my-40{margin-top:40px!important;margin-bottom:40px!important}.mx-44{margin-right:44px!important;margin-left:44px!important}.my-44{margin-top:44px!important;margin-bottom:44px!important}.mx-48{margin-right:48px!important;margin-left:48px!important}.my-48{margin-top:48px!important;margin-bottom:48px!important}.mx-52{margin-right:52px!important;margin-left:52px!important}.my-52{margin-top:52px!important;margin-bottom:52px!important}.mx-56{margin-right:56px!important;margin-left:56px!important}.my-56{margin-top:56px!important;margin-bottom:56px!important}.mx-60{margin-right:60px!important;margin-left:60px!important}.my-60{margin-top:60px!important;margin-bottom:60px!important}.mx-64{margin-right:64px!important;margin-left:64px!important}.my-64{margin-top:64px!important;margin-bottom:64px!important}.mx-68{margin-right:68px!important;margin-left:68px!important}.my-68{margin-top:68px!important;margin-bottom:68px!important}.mx-72{margin-right:72px!important;margin-left:72px!important}.my-72{margin-top:72px!important;margin-bottom:72px!important}.mx-76{margin-right:76px!important;margin-left:76px!important}.my-76{margin-top:76px!important;margin-bottom:76px!important}.mx-80{margin-right:80px!important;margin-left:80px!important}.my-80{margin-top:80px!important;margin-bottom:80px!important}.mx-84{margin-right:84px!important;margin-left:84px!important}.my-84{margin-top:84px!important;margin-bottom:84px!important}.mx-88{margin-right:88px!important;margin-left:88px!important}.my-88{margin-top:88px!important;margin-bottom:88px!important}.mx-92{margin-right:92px!important;margin-left:92px!important}.my-92{margin-top:92px!important;margin-bottom:92px!important}.mx-96{margin-right:96px!important;margin-left:96px!important}.my-96{margin-top:96px!important;margin-bottom:96px!important}.mx-100{margin-right:100px!important;margin-left:100px!important}.my-100{margin-top:100px!important;margin-bottom:100px!important}.mx-104{margin-right:104px!important;margin-left:104px!important}.my-104{margin-top:104px!important;margin-bottom:104px!important}.mx-108{margin-right:108px!important;margin-left:108px!important}.my-108{margin-top:108px!important;margin-bottom:108px!important}.mx-112{margin-right:112px!important;margin-left:112px!important}.my-112{margin-top:112px!important;margin-bottom:112px!important}.mx-116{margin-right:116px!important;margin-left:116px!important}.my-116{margin-top:116px!important;margin-bottom:116px!important}.mx-120{margin-right:120px!important;margin-left:120px!important}.my-120{margin-top:120px!important;margin-bottom:120px!important}.mx-124{margin-right:124px!important;margin-left:124px!important}.my-124{margin-top:124px!important;margin-bottom:124px!important}.mx-128{margin-right:128px!important;margin-left:128px!important}.my-128{margin-top:128px!important;margin-bottom:128px!important}.mx-132{margin-right:132px!important;margin-left:132px!important}.my-132{margin-top:132px!important;margin-bottom:132px!important}.mx-136{margin-right:136px!important;margin-left:136px!important}.my-136{margin-top:136px!important;margin-bottom:136px!important}.mx-140{margin-right:140px!important;margin-left:140px!important}.my-140{margin-top:140px!important;margin-bottom:140px!important}.mx-144{margin-right:144px!important;margin-left:144px!important}.my-144{margin-top:144px!important;margin-bottom:144px!important}.mx-148{margin-right:148px!important;margin-left:148px!important}.my-148{margin-top:148px!important;margin-bottom:148px!important}.mx-152{margin-right:152px!important;margin-left:152px!important}.my-152{margin-top:152px!important;margin-bottom:152px!important}.mx-156{margin-right:156px!important;margin-left:156px!important}.my-156{margin-top:156px!important;margin-bottom:156px!important}.mx-160{margin-right:160px!important;margin-left:160px!important}.my-160{margin-top:160px!important;margin-bottom:160px!important}.mx-164{margin-right:164px!important;margin-left:164px!important}.my-164{margin-top:164px!important;margin-bottom:164px!important}.mx-168{margin-right:168px!important;margin-left:168px!important}.my-168{margin-top:168px!important;margin-bottom:168px!important}.mx-172{margin-right:172px!important;margin-left:172px!important}.my-172{margin-top:172px!important;margin-bottom:172px!important}.mx-176{margin-right:176px!important;margin-left:176px!important}.my-176{margin-top:176px!important;margin-bottom:176px!important}.mx-180{margin-right:180px!important;margin-left:180px!important}.my-180{margin-top:180px!important;margin-bottom:180px!important}.mx-184{margin-right:184px!important;margin-left:184px!important}.my-184{margin-top:184px!important;margin-bottom:184px!important}.mx-188{margin-right:188px!important;margin-left:188px!important}.my-188{margin-top:188px!important;margin-bottom:188px!important}.mx-192{margin-right:192px!important;margin-left:192px!important}.my-192{margin-top:192px!important;margin-bottom:192px!important}.mx-196{margin-right:196px!important;margin-left:196px!important}.my-196{margin-top:196px!important;margin-bottom:196px!important}.mx-200{margin-right:200px!important;margin-left:200px!important}.my-200{margin-top:200px!important;margin-bottom:200px!important}.mx-204{margin-right:204px!important;margin-left:204px!important}.my-204{margin-top:204px!important;margin-bottom:204px!important}.mx-208{margin-right:208px!important;margin-left:208px!important}.my-208{margin-top:208px!important;margin-bottom:208px!important}.mx-212{margin-right:212px!important;margin-left:212px!important}.my-212{margin-top:212px!important;margin-bottom:212px!important}.mx-216{margin-right:216px!important;margin-left:216px!important}.my-216{margin-top:216px!important;margin-bottom:216px!important}.mx-220{margin-right:220px!important;margin-left:220px!important}.my-220{margin-top:220px!important;margin-bottom:220px!important}.mx-224{margin-right:224px!important;margin-left:224px!important}.my-224{margin-top:224px!important;margin-bottom:224px!important}.mx-228{margin-right:228px!important;margin-left:228px!important}.my-228{margin-top:228px!important;margin-bottom:228px!important}.mx-232{margin-right:232px!important;margin-left:232px!important}.my-232{margin-top:232px!important;margin-bottom:232px!important}.mx-236{margin-right:236px!important;margin-left:236px!important}.my-236{margin-top:236px!important;margin-bottom:236px!important}.mx-240{margin-right:240px!important;margin-left:240px!important}.my-240{margin-top:240px!important;margin-bottom:240px!important}.mx-244{margin-right:244px!important;margin-left:244px!important}.my-244{margin-top:244px!important;margin-bottom:244px!important}.mx-248{margin-right:248px!important;margin-left:248px!important}.my-248{margin-top:248px!important;margin-bottom:248px!important}.mx-252{margin-right:252px!important;margin-left:252px!important}.my-252{margin-top:252px!important;margin-bottom:252px!important}.mx-256{margin-right:256px!important;margin-left:256px!important}.my-256{margin-top:256px!important;margin-bottom:256px!important}.mt-0{margin-top:0!important}.mr-0{margin-right:0!important}.mb-0{margin-bottom:0!important}.ml-0{margin-left:0!important}.mt-4{margin-top:4px!important}.mr-4{margin-right:4px!important}.mb-4{margin-bottom:4px!important}.ml-4{margin-left:4px!important}.mt-8{margin-top:8px!important}.mr-8{margin-right:8px!important}.mb-8{margin-bottom:8px!important}.ml-8{margin-left:8px!important}.mt-12{margin-top:12px!important}.mr-12{margin-right:12px!important}.mb-12{margin-bottom:12px!important}.ml-12{margin-left:12px!important}.mt-16{margin-top:16px!important}.mr-16{margin-right:16px!important}.mb-16{margin-bottom:16px!important}.ml-16{margin-left:16px!important}.mt-20{margin-top:20px!important}.mr-20{margin-right:20px!important}.mb-20{margin-bottom:20px!important}.ml-20{margin-left:20px!important}.mt-24{margin-top:24px!important}.mr-24{margin-right:24px!important}.mb-24{margin-bottom:24px!important}.ml-24{margin-left:24px!important}.mt-28{margin-top:28px!important}.mr-28{margin-right:28px!important}.mb-28{margin-bottom:28px!important}.ml-28{margin-left:28px!important}.mt-32{margin-top:32px!important}.mr-32{margin-right:32px!important}.mb-32{margin-bottom:32px!important}.ml-32{margin-left:32px!important}.mt-36{margin-top:36px!important}.mr-36{margin-right:36px!important}.mb-36{margin-bottom:36px!important}.ml-36{margin-left:36px!important}.mt-40{margin-top:40px!important}.mr-40{margin-right:40px!important}.mb-40{margin-bottom:40px!important}.ml-40{margin-left:40px!important}.mt-44{margin-top:44px!important}.mr-44{margin-right:44px!important}.mb-44{margin-bottom:44px!important}.ml-44{margin-left:44px!important}.mt-48{margin-top:48px!important}.mr-48{margin-right:48px!important}.mb-48{margin-bottom:48px!important}.ml-48{margin-left:48px!important}.mt-52{margin-top:52px!important}.mr-52{margin-right:52px!important}.mb-52{margin-bottom:52px!important}.ml-52{margin-left:52px!important}.mt-56{margin-top:56px!important}.mr-56{margin-right:56px!important}.mb-56{margin-bottom:56px!important}.ml-56{margin-left:56px!important}.mt-60{margin-top:60px!important}.mr-60{margin-right:60px!important}.mb-60{margin-bottom:60px!important}.ml-60{margin-left:60px!important}.mt-64{margin-top:64px!important}.mr-64{margin-right:64px!important}.mb-64{margin-bottom:64px!important}.ml-64{margin-left:64px!important}.mt-68{margin-top:68px!important}.mr-68{margin-right:68px!important}.mb-68{margin-bottom:68px!important}.ml-68{margin-left:68px!important}.mt-72{margin-top:72px!important}.mr-72{margin-right:72px!important}.mb-72{margin-bottom:72px!important}.ml-72{margin-left:72px!important}.mt-76{margin-top:76px!important}.mr-76{margin-right:76px!important}.mb-76{margin-bottom:76px!important}.ml-76{margin-left:76px!important}.mt-80{margin-top:80px!important}.mr-80{margin-right:80px!important}.mb-80{margin-bottom:80px!important}.ml-80{margin-left:80px!important}.mt-84{margin-top:84px!important}.mr-84{margin-right:84px!important}.mb-84{margin-bottom:84px!important}.ml-84{margin-left:84px!important}.mt-88{margin-top:88px!important}.mr-88{margin-right:88px!important}.mb-88{margin-bottom:88px!important}.ml-88{margin-left:88px!important}.mt-92{margin-top:92px!important}.mr-92{margin-right:92px!important}.mb-92{margin-bottom:92px!important}.ml-92{margin-left:92px!important}.mt-96{margin-top:96px!important}.mr-96{margin-right:96px!important}.mb-96{margin-bottom:96px!important}.ml-96{margin-left:96px!important}.mt-100{margin-top:100px!important}.mr-100{margin-right:100px!important}.mb-100{margin-bottom:100px!important}.ml-100{margin-left:100px!important}.mt-104{margin-top:104px!important}.mr-104{margin-right:104px!important}.mb-104{margin-bottom:104px!important}.ml-104{margin-left:104px!important}.mt-108{margin-top:108px!important}.mr-108{margin-right:108px!important}.mb-108{margin-bottom:108px!important}.ml-108{margin-left:108px!important}.mt-112{margin-top:112px!important}.mr-112{margin-right:112px!important}.mb-112{margin-bottom:112px!important}.ml-112{margin-left:112px!important}.mt-116{margin-top:116px!important}.mr-116{margin-right:116px!important}.mb-116{margin-bottom:116px!important}.ml-116{margin-left:116px!important}.mt-120{margin-top:120px!important}.mr-120{margin-right:120px!important}.mb-120{margin-bottom:120px!important}.ml-120{margin-left:120px!important}.mt-124{margin-top:124px!important}.mr-124{margin-right:124px!important}.mb-124{margin-bottom:124px!important}.ml-124{margin-left:124px!important}.mt-128{margin-top:128px!important}.mr-128{margin-right:128px!important}.mb-128{margin-bottom:128px!important}.ml-128{margin-left:128px!important}.mt-132{margin-top:132px!important}.mr-132{margin-right:132px!important}.mb-132{margin-bottom:132px!important}.ml-132{margin-left:132px!important}.mt-136{margin-top:136px!important}.mr-136{margin-right:136px!important}.mb-136{margin-bottom:136px!important}.ml-136{margin-left:136px!important}.mt-140{margin-top:140px!important}.mr-140{margin-right:140px!important}.mb-140{margin-bottom:140px!important}.ml-140{margin-left:140px!important}.mt-144{margin-top:144px!important}.mr-144{margin-right:144px!important}.mb-144{margin-bottom:144px!important}.ml-144{margin-left:144px!important}.mt-148{margin-top:148px!important}.mr-148{margin-right:148px!important}.mb-148{margin-bottom:148px!important}.ml-148{margin-left:148px!important}.mt-152{margin-top:152px!important}.mr-152{margin-right:152px!important}.mb-152{margin-bottom:152px!important}.ml-152{margin-left:152px!important}.mt-156{margin-top:156px!important}.mr-156{margin-right:156px!important}.mb-156{margin-bottom:156px!important}.ml-156{margin-left:156px!important}.mt-160{margin-top:160px!important}.mr-160{margin-right:160px!important}.mb-160{margin-bottom:160px!important}.ml-160{margin-left:160px!important}.mt-164{margin-top:164px!important}.mr-164{margin-right:164px!important}.mb-164{margin-bottom:164px!important}.ml-164{margin-left:164px!important}.mt-168{margin-top:168px!important}.mr-168{margin-right:168px!important}.mb-168{margin-bottom:168px!important}.ml-168{margin-left:168px!important}.mt-172{margin-top:172px!important}.mr-172{margin-right:172px!important}.mb-172{margin-bottom:172px!important}.ml-172{margin-left:172px!important}.mt-176{margin-top:176px!important}.mr-176{margin-right:176px!important}.mb-176{margin-bottom:176px!important}.ml-176{margin-left:176px!important}.mt-180{margin-top:180px!important}.mr-180{margin-right:180px!important}.mb-180{margin-bottom:180px!important}.ml-180{margin-left:180px!important}.mt-184{margin-top:184px!important}.mr-184{margin-right:184px!important}.mb-184{margin-bottom:184px!important}.ml-184{margin-left:184px!important}.mt-188{margin-top:188px!important}.mr-188{margin-right:188px!important}.mb-188{margin-bottom:188px!important}.ml-188{margin-left:188px!important}.mt-192{margin-top:192px!important}.mr-192{margin-right:192px!important}.mb-192{margin-bottom:192px!important}.ml-192{margin-left:192px!important}.mt-196{margin-top:196px!important}.mr-196{margin-right:196px!important}.mb-196{margin-bottom:196px!important}.ml-196{margin-left:196px!important}.mt-200{margin-top:200px!important}.mr-200{margin-right:200px!important}.mb-200{margin-bottom:200px!important}.ml-200{margin-left:200px!important}.mt-204{margin-top:204px!important}.mr-204{margin-right:204px!important}.mb-204{margin-bottom:204px!important}.ml-204{margin-left:204px!important}.mt-208{margin-top:208px!important}.mr-208{margin-right:208px!important}.mb-208{margin-bottom:208px!important}.ml-208{margin-left:208px!important}.mt-212{margin-top:212px!important}.mr-212{margin-right:212px!important}.mb-212{margin-bottom:212px!important}.ml-212{margin-left:212px!important}.mt-216{margin-top:216px!important}.mr-216{margin-right:216px!important}.mb-216{margin-bottom:216px!important}.ml-216{margin-left:216px!important}.mt-220{margin-top:220px!important}.mr-220{margin-right:220px!important}.mb-220{margin-bottom:220px!important}.ml-220{margin-left:220px!important}.mt-224{margin-top:224px!important}.mr-224{margin-right:224px!important}.mb-224{margin-bottom:224px!important}.ml-224{margin-left:224px!important}.mt-228{margin-top:228px!important}.mr-228{margin-right:228px!important}.mb-228{margin-bottom:228px!important}.ml-228{margin-left:228px!important}.mt-232{margin-top:232px!important}.mr-232{margin-right:232px!important}.mb-232{margin-bottom:232px!important}.ml-232{margin-left:232px!important}.mt-236{margin-top:236px!important}.mr-236{margin-right:236px!important}.mb-236{margin-bottom:236px!important}.ml-236{margin-left:236px!important}.mt-240{margin-top:240px!important}.mr-240{margin-right:240px!important}.mb-240{margin-bottom:240px!important}.ml-240{margin-left:240px!important}.mt-244{margin-top:244px!important}.mr-244{margin-right:244px!important}.mb-244{margin-bottom:244px!important}.ml-244{margin-left:244px!important}.mt-248{margin-top:248px!important}.mr-248{margin-right:248px!important}.mb-248{margin-bottom:248px!important}.ml-248{margin-left:248px!important}.mt-252{margin-top:252px!important}.mr-252{margin-right:252px!important}.mb-252{margin-bottom:252px!important}.ml-252{margin-left:252px!important}.mt-256{margin-top:256px!important}.mr-256{margin-right:256px!important}.mb-256{margin-bottom:256px!important}.ml-256{margin-left:256px!important}.m-auto{margin:auto!important}.mt-auto{margin-top:auto!important}.mr-auto{margin-right:auto!important}.mb-auto{margin-bottom:auto!important}.ml-auto{margin-left:auto!important}.mx-auto{margin-right:auto!important;margin-left:auto!important}.my-auto{margin-top:auto!important;margin-bottom:auto!important}.p-0{padding:0!important}.p-4{padding:4px!important}.p-8{padding:8px!important}.p-12{padding:12px!important}.p-16{padding:16px!important}.p-20{padding:20px!important}.p-24{padding:24px!important}.p-28{padding:28px!important}.p-32{padding:32px!important}.p-36{padding:36px!important}.p-40{padding:40px!important}.p-44{padding:44px!important}.p-48{padding:48px!important}.p-52{padding:52px!important}.p-56{padding:56px!important}.p-60{padding:60px!important}.p-64{padding:64px!important}.p-68{padding:68px!important}.p-72{padding:72px!important}.p-76{padding:76px!important}.p-80{padding:80px!important}.p-84{padding:84px!important}.p-88{padding:88px!important}.p-92{padding:92px!important}.p-96{padding:96px!important}.p-100{padding:100px!important}.p-104{padding:104px!important}.p-108{padding:108px!important}.p-112{padding:112px!important}.p-116{padding:116px!important}.p-120{padding:120px!important}.p-124{padding:124px!important}.p-128{padding:128px!important}.p-132{padding:132px!important}.p-136{padding:136px!important}.p-140{padding:140px!important}.p-144{padding:144px!important}.p-148{padding:148px!important}.p-152{padding:152px!important}.p-156{padding:156px!important}.p-160{padding:160px!important}.p-164{padding:164px!important}.p-168{padding:168px!important}.p-172{padding:172px!important}.p-176{padding:176px!important}.p-180{padding:180px!important}.p-184{padding:184px!important}.p-188{padding:188px!important}.p-192{padding:192px!important}.p-196{padding:196px!important}.p-200{padding:200px!important}.p-204{padding:204px!important}.p-208{padding:208px!important}.p-212{padding:212px!important}.p-216{padding:216px!important}.p-220{padding:220px!important}.p-224{padding:224px!important}.p-228{padding:228px!important}.p-232{padding:232px!important}.p-236{padding:236px!important}.p-240{padding:240px!important}.p-244{padding:244px!important}.p-248{padding:248px!important}.p-252{padding:252px!important}.p-256{padding:256px!important}.px-0{padding-right:0!important;padding-left:0!important}.py-0{padding-top:0!important;padding-bottom:0!important}.px-4{padding-right:4px!important;padding-left:4px!important}.py-4{padding-top:4px!important;padding-bottom:4px!important}.px-8{padding-right:8px!important;padding-left:8px!important}.py-8{padding-top:8px!important;padding-bottom:8px!important}.px-12{padding-right:12px!important;padding-left:12px!important}.py-12{padding-top:12px!important;padding-bottom:12px!important}.px-16{padding-right:16px!important;padding-left:16px!important}.py-16{padding-top:16px!important;padding-bottom:16px!important}.px-20{padding-right:20px!important;padding-left:20px!important}.py-20{padding-top:20px!important;padding-bottom:20px!important}.px-24{padding-right:24px!important;padding-left:24px!important}.py-24{padding-top:24px!important;padding-bottom:24px!important}.px-28{padding-right:28px!important;padding-left:28px!important}.py-28{padding-top:28px!important;padding-bottom:28px!important}.px-32{padding-right:32px!important;padding-left:32px!important}.py-32{padding-top:32px!important;padding-bottom:32px!important}.px-36{padding-right:36px!important;padding-left:36px!important}.py-36{padding-top:36px!important;padding-bottom:36px!important}.px-40{padding-right:40px!important;padding-left:40px!important}.py-40{padding-top:40px!important;padding-bottom:40px!important}.px-44{padding-right:44px!important;padding-left:44px!important}.py-44{padding-top:44px!important;padding-bottom:44px!important}.px-48{padding-right:48px!important;padding-left:48px!important}.py-48{padding-top:48px!important;padding-bottom:48px!important}.px-52{padding-right:52px!important;padding-left:52px!important}.py-52{padding-top:52px!important;padding-bottom:52px!important}.px-56{padding-right:56px!important;padding-left:56px!important}.py-56{padding-top:56px!important;padding-bottom:56px!important}.px-60{padding-right:60px!important;padding-left:60px!important}.py-60{padding-top:60px!important;padding-bottom:60px!important}.px-64{padding-right:64px!important;padding-left:64px!important}.py-64{padding-top:64px!important;padding-bottom:64px!important}.px-68{padding-right:68px!important;padding-left:68px!important}.py-68{padding-top:68px!important;padding-bottom:68px!important}.px-72{padding-right:72px!important;padding-left:72px!important}.py-72{padding-top:72px!important;padding-bottom:72px!important}.px-76{padding-right:76px!important;padding-left:76px!important}.py-76{padding-top:76px!important;padding-bottom:76px!important}.px-80{padding-right:80px!important;padding-left:80px!important}.py-80{padding-top:80px!important;padding-bottom:80px!important}.px-84{padding-right:84px!important;padding-left:84px!important}.py-84{padding-top:84px!important;padding-bottom:84px!important}.px-88{padding-right:88px!important;padding-left:88px!important}.py-88{padding-top:88px!important;padding-bottom:88px!important}.px-92{padding-right:92px!important;padding-left:92px!important}.py-92{padding-top:92px!important;padding-bottom:92px!important}.px-96{padding-right:96px!important;padding-left:96px!important}.py-96{padding-top:96px!important;padding-bottom:96px!important}.px-100{padding-right:100px!important;padding-left:100px!important}.py-100{padding-top:100px!important;padding-bottom:100px!important}.px-104{padding-right:104px!important;padding-left:104px!important}.py-104{padding-top:104px!important;padding-bottom:104px!important}.px-108{padding-right:108px!important;padding-left:108px!important}.py-108{padding-top:108px!important;padding-bottom:108px!important}.px-112{padding-right:112px!important;padding-left:112px!important}.py-112{padding-top:112px!important;padding-bottom:112px!important}.px-116{padding-right:116px!important;padding-left:116px!important}.py-116{padding-top:116px!important;padding-bottom:116px!important}.px-120{padding-right:120px!important;padding-left:120px!important}.py-120{padding-top:120px!important;padding-bottom:120px!important}.px-124{padding-right:124px!important;padding-left:124px!important}.py-124{padding-top:124px!important;padding-bottom:124px!important}.px-128{padding-right:128px!important;padding-left:128px!important}.py-128{padding-top:128px!important;padding-bottom:128px!important}.px-132{padding-right:132px!important;padding-left:132px!important}.py-132{padding-top:132px!important;padding-bottom:132px!important}.px-136{padding-right:136px!important;padding-left:136px!important}.py-136{padding-top:136px!important;padding-bottom:136px!important}.px-140{padding-right:140px!important;padding-left:140px!important}.py-140{padding-top:140px!important;padding-bottom:140px!important}.px-144{padding-right:144px!important;padding-left:144px!important}.py-144{padding-top:144px!important;padding-bottom:144px!important}.px-148{padding-right:148px!important;padding-left:148px!important}.py-148{padding-top:148px!important;padding-bottom:148px!important}.px-152{padding-right:152px!important;padding-left:152px!important}.py-152{padding-top:152px!important;padding-bottom:152px!important}.px-156{padding-right:156px!important;padding-left:156px!important}.py-156{padding-top:156px!important;padding-bottom:156px!important}.px-160{padding-right:160px!important;padding-left:160px!important}.py-160{padding-top:160px!important;padding-bottom:160px!important}.px-164{padding-right:164px!important;padding-left:164px!important}.py-164{padding-top:164px!important;padding-bottom:164px!important}.px-168{padding-right:168px!important;padding-left:168px!important}.py-168{padding-top:168px!important;padding-bottom:168px!important}.px-172{padding-right:172px!important;padding-left:172px!important}.py-172{padding-top:172px!important;padding-bottom:172px!important}.px-176{padding-right:176px!important;padding-left:176px!important}.py-176{padding-top:176px!important;padding-bottom:176px!important}.px-180{padding-right:180px!important;padding-left:180px!important}.py-180{padding-top:180px!important;padding-bottom:180px!important}.px-184{padding-right:184px!important;padding-left:184px!important}.py-184{padding-top:184px!important;padding-bottom:184px!important}.px-188{padding-right:188px!important;padding-left:188px!important}.py-188{padding-top:188px!important;padding-bottom:188px!important}.px-192{padding-right:192px!important;padding-left:192px!important}.py-192{padding-top:192px!important;padding-bottom:192px!important}.px-196{padding-right:196px!important;padding-left:196px!important}.py-196{padding-top:196px!important;padding-bottom:196px!important}.px-200{padding-right:200px!important;padding-left:200px!important}.py-200{padding-top:200px!important;padding-bottom:200px!important}.px-204{padding-right:204px!important;padding-left:204px!important}.py-204{padding-top:204px!important;padding-bottom:204px!important}.px-208{padding-right:208px!important;padding-left:208px!important}.py-208{padding-top:208px!important;padding-bottom:208px!important}.px-212{padding-right:212px!important;padding-left:212px!important}.py-212{padding-top:212px!important;padding-bottom:212px!important}.px-216{padding-right:216px!important;padding-left:216px!important}.py-216{padding-top:216px!important;padding-bottom:216px!important}.px-220{padding-right:220px!important;padding-left:220px!important}.py-220{padding-top:220px!important;padding-bottom:220px!important}.px-224{padding-right:224px!important;padding-left:224px!important}.py-224{padding-top:224px!important;padding-bottom:224px!important}.px-228{padding-right:228px!important;padding-left:228px!important}.py-228{padding-top:228px!important;padding-bottom:228px!important}.px-232{padding-right:232px!important;padding-left:232px!important}.py-232{padding-top:232px!important;padding-bottom:232px!important}.px-236{padding-right:236px!important;padding-left:236px!important}.py-236{padding-top:236px!important;padding-bottom:236px!important}.px-240{padding-right:240px!important;padding-left:240px!important}.py-240{padding-top:240px!important;padding-bottom:240px!important}.px-244{padding-right:244px!important;padding-left:244px!important}.py-244{padding-top:244px!important;padding-bottom:244px!important}.px-248{padding-right:248px!important;padding-left:248px!important}.py-248{padding-top:248px!important;padding-bottom:248px!important}.px-252{padding-right:252px!important;padding-left:252px!important}.py-252{padding-top:252px!important;padding-bottom:252px!important}.px-256{padding-right:256px!important;padding-left:256px!important}.py-256{padding-top:256px!important;padding-bottom:256px!important}.pt-0{padding-top:0!important}.pr-0{padding-right:0!important}.pb-0{padding-bottom:0!important}.pl-0{padding-left:0!important}.pt-4{padding-top:4px!important}.pr-4{padding-right:4px!important}.pb-4{padding-bottom:4px!important}.pl-4{padding-left:4px!important}.pt-8{padding-top:8px!important}.pr-8{padding-right:8px!important}.pb-8{padding-bottom:8px!important}.pl-8{padding-left:8px!important}.pt-12{padding-top:12px!important}.pr-12{padding-right:12px!important}.pb-12{padding-bottom:12px!important}.pl-12{padding-left:12px!important}.pt-16{padding-top:16px!important}.pr-16{padding-right:16px!important}.pb-16{padding-bottom:16px!important}.pl-16{padding-left:16px!important}.pt-20{padding-top:20px!important}.pr-20{padding-right:20px!important}.pb-20{padding-bottom:20px!important}.pl-20{padding-left:20px!important}.pt-24{padding-top:24px!important}.pr-24{padding-right:24px!important}.pb-24{padding-bottom:24px!important}.pl-24{padding-left:24px!important}.pt-28{padding-top:28px!important}.pr-28{padding-right:28px!important}.pb-28{padding-bottom:28px!important}.pl-28{padding-left:28px!important}.pt-32{padding-top:32px!important}.pr-32{padding-right:32px!important}.pb-32{padding-bottom:32px!important}.pl-32{padding-left:32px!important}.pt-36{padding-top:36px!important}.pr-36{padding-right:36px!important}.pb-36{padding-bottom:36px!important}.pl-36{padding-left:36px!important}.pt-40{padding-top:40px!important}.pr-40{padding-right:40px!important}.pb-40{padding-bottom:40px!important}.pl-40{padding-left:40px!important}.pt-44{padding-top:44px!important}.pr-44{padding-right:44px!important}.pb-44{padding-bottom:44px!important}.pl-44{padding-left:44px!important}.pt-48{padding-top:48px!important}.pr-48{padding-right:48px!important}.pb-48{padding-bottom:48px!important}.pl-48{padding-left:48px!important}.pt-52{padding-top:52px!important}.pr-52{padding-right:52px!important}.pb-52{padding-bottom:52px!important}.pl-52{padding-left:52px!important}.pt-56{padding-top:56px!important}.pr-56{padding-right:56px!important}.pb-56{padding-bottom:56px!important}.pl-56{padding-left:56px!important}.pt-60{padding-top:60px!important}.pr-60{padding-right:60px!important}.pb-60{padding-bottom:60px!important}.pl-60{padding-left:60px!important}.pt-64{padding-top:64px!important}.pr-64{padding-right:64px!important}.pb-64{padding-bottom:64px!important}.pl-64{padding-left:64px!important}.pt-68{padding-top:68px!important}.pr-68{padding-right:68px!important}.pb-68{padding-bottom:68px!important}.pl-68{padding-left:68px!important}.pt-72{padding-top:72px!important}.pr-72{padding-right:72px!important}.pb-72{padding-bottom:72px!important}.pl-72{padding-left:72px!important}.pt-76{padding-top:76px!important}.pr-76{padding-right:76px!important}.pb-76{padding-bottom:76px!important}.pl-76{padding-left:76px!important}.pt-80{padding-top:80px!important}.pr-80{padding-right:80px!important}.pb-80{padding-bottom:80px!important}.pl-80{padding-left:80px!important}.pt-84{padding-top:84px!important}.pr-84{padding-right:84px!important}.pb-84{padding-bottom:84px!important}.pl-84{padding-left:84px!important}.pt-88{padding-top:88px!important}.pr-88{padding-right:88px!important}.pb-88{padding-bottom:88px!important}.pl-88{padding-left:88px!important}.pt-92{padding-top:92px!important}.pr-92{padding-right:92px!important}.pb-92{padding-bottom:92px!important}.pl-92{padding-left:92px!important}.pt-96{padding-top:96px!important}.pr-96{padding-right:96px!important}.pb-96{padding-bottom:96px!important}.pl-96{padding-left:96px!important}.pt-100{padding-top:100px!important}.pr-100{padding-right:100px!important}.pb-100{padding-bottom:100px!important}.pl-100{padding-left:100px!important}.pt-104{padding-top:104px!important}.pr-104{padding-right:104px!important}.pb-104{padding-bottom:104px!important}.pl-104{padding-left:104px!important}.pt-108{padding-top:108px!important}.pr-108{padding-right:108px!important}.pb-108{padding-bottom:108px!important}.pl-108{padding-left:108px!important}.pt-112{padding-top:112px!important}.pr-112{padding-right:112px!important}.pb-112{padding-bottom:112px!important}.pl-112{padding-left:112px!important}.pt-116{padding-top:116px!important}.pr-116{padding-right:116px!important}.pb-116{padding-bottom:116px!important}.pl-116{padding-left:116px!important}.pt-120{padding-top:120px!important}.pr-120{padding-right:120px!important}.pb-120{padding-bottom:120px!important}.pl-120{padding-left:120px!important}.pt-124{padding-top:124px!important}.pr-124{padding-right:124px!important}.pb-124{padding-bottom:124px!important}.pl-124{padding-left:124px!important}.pt-128{padding-top:128px!important}.pr-128{padding-right:128px!important}.pb-128{padding-bottom:128px!important}.pl-128{padding-left:128px!important}.pt-132{padding-top:132px!important}.pr-132{padding-right:132px!important}.pb-132{padding-bottom:132px!important}.pl-132{padding-left:132px!important}.pt-136{padding-top:136px!important}.pr-136{padding-right:136px!important}.pb-136{padding-bottom:136px!important}.pl-136{padding-left:136px!important}.pt-140{padding-top:140px!important}.pr-140{padding-right:140px!important}.pb-140{padding-bottom:140px!important}.pl-140{padding-left:140px!important}.pt-144{padding-top:144px!important}.pr-144{padding-right:144px!important}.pb-144{padding-bottom:144px!important}.pl-144{padding-left:144px!important}.pt-148{padding-top:148px!important}.pr-148{padding-right:148px!important}.pb-148{padding-bottom:148px!important}.pl-148{padding-left:148px!important}.pt-152{padding-top:152px!important}.pr-152{padding-right:152px!important}.pb-152{padding-bottom:152px!important}.pl-152{padding-left:152px!important}.pt-156{padding-top:156px!important}.pr-156{padding-right:156px!important}.pb-156{padding-bottom:156px!important}.pl-156{padding-left:156px!important}.pt-160{padding-top:160px!important}.pr-160{padding-right:160px!important}.pb-160{padding-bottom:160px!important}.pl-160{padding-left:160px!important}.pt-164{padding-top:164px!important}.pr-164{padding-right:164px!important}.pb-164{padding-bottom:164px!important}.pl-164{padding-left:164px!important}.pt-168{padding-top:168px!important}.pr-168{padding-right:168px!important}.pb-168{padding-bottom:168px!important}.pl-168{padding-left:168px!important}.pt-172{padding-top:172px!important}.pr-172{padding-right:172px!important}.pb-172{padding-bottom:172px!important}.pl-172{padding-left:172px!important}.pt-176{padding-top:176px!important}.pr-176{padding-right:176px!important}.pb-176{padding-bottom:176px!important}.pl-176{padding-left:176px!important}.pt-180{padding-top:180px!important}.pr-180{padding-right:180px!important}.pb-180{padding-bottom:180px!important}.pl-180{padding-left:180px!important}.pt-184{padding-top:184px!important}.pr-184{padding-right:184px!important}.pb-184{padding-bottom:184px!important}.pl-184{padding-left:184px!important}.pt-188{padding-top:188px!important}.pr-188{padding-right:188px!important}.pb-188{padding-bottom:188px!important}.pl-188{padding-left:188px!important}.pt-192{padding-top:192px!important}.pr-192{padding-right:192px!important}.pb-192{padding-bottom:192px!important}.pl-192{padding-left:192px!important}.pt-196{padding-top:196px!important}.pr-196{padding-right:196px!important}.pb-196{padding-bottom:196px!important}.pl-196{padding-left:196px!important}.pt-200{padding-top:200px!important}.pr-200{padding-right:200px!important}.pb-200{padding-bottom:200px!important}.pl-200{padding-left:200px!important}.pt-204{padding-top:204px!important}.pr-204{padding-right:204px!important}.pb-204{padding-bottom:204px!important}.pl-204{padding-left:204px!important}.pt-208{padding-top:208px!important}.pr-208{padding-right:208px!important}.pb-208{padding-bottom:208px!important}.pl-208{padding-left:208px!important}.pt-212{padding-top:212px!important}.pr-212{padding-right:212px!important}.pb-212{padding-bottom:212px!important}.pl-212{padding-left:212px!important}.pt-216{padding-top:216px!important}.pr-216{padding-right:216px!important}.pb-216{padding-bottom:216px!important}.pl-216{padding-left:216px!important}.pt-220{padding-top:220px!important}.pr-220{padding-right:220px!important}.pb-220{padding-bottom:220px!important}.pl-220{padding-left:220px!important}.pt-224{padding-top:224px!important}.pr-224{padding-right:224px!important}.pb-224{padding-bottom:224px!important}.pl-224{padding-left:224px!important}.pt-228{padding-top:228px!important}.pr-228{padding-right:228px!important}.pb-228{padding-bottom:228px!important}.pl-228{padding-left:228px!important}.pt-232{padding-top:232px!important}.pr-232{padding-right:232px!important}.pb-232{padding-bottom:232px!important}.pl-232{padding-left:232px!important}.pt-236{padding-top:236px!important}.pr-236{padding-right:236px!important}.pb-236{padding-bottom:236px!important}.pl-236{padding-left:236px!important}.pt-240{padding-top:240px!important}.pr-240{padding-right:240px!important}.pb-240{padding-bottom:240px!important}.pl-240{padding-left:240px!important}.pt-244{padding-top:244px!important}.pr-244{padding-right:244px!important}.pb-244{padding-bottom:244px!important}.pl-244{padding-left:244px!important}.pt-248{padding-top:248px!important}.pr-248{padding-right:248px!important}.pb-248{padding-bottom:248px!important}.pl-248{padding-left:248px!important}.pt-252{padding-top:252px!important}.pr-252{padding-right:252px!important}.pb-252{padding-bottom:252px!important}.pl-252{padding-left:252px!important}.pt-256{padding-top:256px!important}.pr-256{padding-right:256px!important}.pb-256{padding-bottom:256px!important}.pl-256{padding-left:256px!important}.bold{font-weight:700}.italic{font-weight:italic}.left{text-align:left}.right{text-align:right}.center{text-align:center}.pointer{cursor:pointer}.mid-width{width:50%}.full-width{width:100%}.hidden{display:none!important}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.TranslateService }, { type: i0.ChangeDetectorRef }, { type: LoggerService }, { type: HopperCfarService }, { type: i3.MatDialog }]; }, propDecorators: { hCSessionId: [{
                type: Input
            }], itineraries: [{
                type: Input
            }], currentTheme: [{
                type: Input
            }], offerAccepted: [{
                type: Output
            }], offersLoaded: [{
                type: Output
            }] } });

class GlobalEventComponent extends GlobalComponent {
    constructor(_translateService, _hopperEventService, _cdRef, _loggerService) {
        super(_translateService, _cdRef, _loggerService);
        this._translateService = _translateService;
        this._hopperEventService = _hopperEventService;
        this._cdRef = _cdRef;
        this._loggerService = _loggerService;
    }
    initCfarPurchaseEventParameters(hCSessionId, cfarOffersIds, uiVariant) {
        if (this.isFakeBackend) {
            return;
        }
        this.eventHcSessionId = hCSessionId;
        this.cfarOffersIds = cfarOffersIds;
        this.uiVariant = uiVariant;
    }
    isPurchaseEventPossible() {
        if (!this.isFakeBackend &&
            this.eventHcSessionId !== undefined &&
            this.eventHcSessionId !== null &&
            this.cfarOffersIds !== undefined &&
            this.cfarOffersIds !== null &&
            this.cfarOffersIds.length > 0) {
            return true;
        }
        return false;
    }
    createPurchaseEventsAfterInit(hasWarningCoverageMessage) {
        if (!this.isPurchaseEventPossible()) {
            return;
        }
        this._hopperEventService
            .postCreateCfarOffersBannerDisplay(this.basePath, this.eventHcSessionId, this.cfarOffersIds, this.uiVariant)
            .pipe(take(1))
            .subscribe({
            next: () => {
                if (hasWarningCoverageMessage) {
                    this.createWarningMessageEvent();
                }
            },
            error: (error) => {
                this._loggerService.error('failed to send banner display event', {}, error);
            },
        });
    }
    createWarningMessageEvent() {
        if (!this.isPurchaseEventPossible()) {
            return;
        }
        this._hopperEventService
            .postCreateCfarForcedChoiceWarning(this.basePath, this.eventHcSessionId, this.cfarOffersIds)
            .pipe(take(1))
            .subscribe({
            next: () => { },
            error: (error) => {
                this._loggerService.error('failed to send warning message event', {}, error);
            },
        });
    }
    createTermsAndConditionsEvent() {
        if (!this.isPurchaseEventPossible()) {
            return;
        }
        this._hopperEventService
            .postCreateCfarViewInfo(this.basePath, this.eventHcSessionId, this.cfarOffersIds, this.uiSource)
            .pipe(take(1))
            .subscribe({
            next: () => { },
            error: (error) => {
                this._loggerService.error('failed to send t&c event', {}, error);
            },
        });
    }
    createDenyPurchaseEvent() {
        if (!this.isPurchaseEventPossible()) {
            return;
        }
        this._hopperEventService
            .postCreateCfarDenyPurchase(this.basePath, this.eventHcSessionId, this.cfarOffersIds, this.uiSource)
            .pipe(take(1))
            .subscribe({
            next: () => { },
            error: (error) => {
                this._loggerService.error('failed to send deny purchase event', {}, error);
            },
        });
    }
}
GlobalEventComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: GlobalEventComponent, deps: [{ token: i1$1.TranslateService }, { token: HopperEventsService }, { token: i0.ChangeDetectorRef }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Directive });
GlobalEventComponent.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.10", type: GlobalEventComponent, selector: "[HopperGlobalEventComponent]", usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: GlobalEventComponent, decorators: [{
            type: Directive,
            args: [{
                    selector: '[HopperGlobalEventComponent]',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.TranslateService }, { type: HopperEventsService }, { type: i0.ChangeDetectorRef }, { type: LoggerService }]; } });

class CfarOfferBannerLargeComponent extends GlobalEventComponent {
    constructor(_translateService, _hopperEventService, _cdRef, _loggerService, _hopperCfarService) {
        super(_translateService, _hopperEventService, _cdRef, _loggerService);
        this._translateService = _translateService;
        this._hopperEventService = _hopperEventService;
        this._cdRef = _cdRef;
        this._loggerService = _loggerService;
        this._hopperCfarService = _hopperCfarService;
        this.hasNoCoverageOption = true;
        this.hasWarningCoverageMessage = false;
        this.chooseCoverage = new EventEmitter();
        this.offersLoaded = new EventEmitter();
        this._contractsByChoiceIndex = new Map();
    }
    ngOnInit() {
        console.log('HTS > Widget initializing...');
        super.ngOnInit();
        if (this.isFakeBackend) {
            this.cfarOffers = this._buildFakePostCfarOffersResponse();
            this.selectedCfarOffer = this._getDefaultOffer(this.cfarOffers);
            this.offersLoaded.emit(this.cfarOffers);
            console.log('HTS > Widget initialized');
        }
        else {
            this._initUiParameters();
            this.initCfarOffers();
        }
    }
    onChooseCoverage() {
        console.log('HTS > choosing a coverage contract...');
        this.hasNoCoverageOption = true;
        this.selectedCfarOffer =
            this.selectedChoice > -1
                ? this.cfarOffers[this.selectedChoice]
                : this._getDefaultOffer(this.cfarOffers);
        if (this.selectedChoice != -1) {
            if (this.isFakeBackend) {
                this.chooseCoverage.emit(this._buildFakePostCfarContractsResponse());
                console.log('HTS > the chose coverage contract: ');
                console.log(this._buildFakePostCfarContractsResponse());
            }
            else {
                if (this._contractsByChoiceIndex.has(this.selectedChoice)) {
                    console.log('HTS > retrieving coverage contract from cache...');
                    this.chooseCoverage.emit(this._contractsByChoiceIndex.get(this.selectedChoice));
                    console.log('HTS > the chose coverage contract: ');
                    console.log(this._contractsByChoiceIndex.get(this.selectedChoice));
                }
                else {
                    console.log('HTS > creating coverage contract...');
                    this.isLoadingContract = true;
                    this._hopperCfarService
                        .postCfarContracts(this.basePath, this.hCSessionId, this.currentLang, ApiTranslatorUtils.modelToSnakeCase(this._buildCreateCfarContractRequest(this.selectedCfarOffer, this.uiSource)))
                        .pipe(take(1))
                        .subscribe({
                        next: (cfarContract) => {
                            this._contractsByChoiceIndex.set(this.selectedChoice, cfarContract);
                            this.chooseCoverage.emit(cfarContract);
                            console.log('HTS > the chose coverage contract: ');
                            console.log(cfarContract);
                            this.isLoadingContract = false;
                        },
                        error: (error) => {
                            this.handleApiError(error, 'contracts');
                            this.isLoadingContract = false;
                            console.error('HTS > An error occurred while creating the coverage contract: ');
                            console.error(error);
                        },
                    });
                }
            }
        }
        else {
            this.chooseCoverage.emit(null);
            this.createDenyPurchaseEvent();
        }
    }
    onOpenTermsAndConditions() {
        this.createTermsAndConditionsEvent();
    }
    getPricePerTraveler(offer) {
        var nbTravelers = 0;
        offer.itinerary.passengerPricing.forEach((pp) => {
            nbTravelers += pp.passengerCount.count;
        });
        return +offer.premium / (nbTravelers || 1);
    }
    initCfarOffers() {
        console.log('HTS > fetching offers...');
        this._hopperCfarService
            .postCfarOffers(this.basePath, this.hCSessionId, this.currentLang, ApiTranslatorUtils.modelToSnakeCase(this._buildCreateCfarOfferRequest(this.itineraries, this.uiVariant)))
            .pipe(take(1))
            .subscribe({
            next: (cfarOffers) => {
                let results = [];
                if (cfarOffers) {
                    cfarOffers.forEach((cfarOffer) => {
                        results.push(ApiTranslatorUtils.modelToCamelCase(cfarOffer));
                    });
                }
                this.cfarOffers = results;
                this.selectedCfarOffer = this._getDefaultOffer(this.cfarOffers);
                this.offersLoaded.emit(this.cfarOffers);
                this.initCfarPurchaseEventParameters(this.hCSessionId, this.toCfarOffersIds(), this.uiVariant);
                this.createPurchaseEventsAfterInit(this.hasWarningCoverageMessage);
                console.log('HTS > offers fetched');
                console.log(this.cfarOffers);
            },
            error: (error) => {
                this.handleApiError(error, 'offers');
                this.offersLoaded.emit();
                console.error('HTS > An error occurred while retrieving offers: ');
                console.error(error);
            },
        });
    }
    toCfarOffersIds() {
        return this.cfarOffers.map((cfarOffer) => cfarOffer.id);
    }
    _initUiParameters() {
        if (this.uiVariant === UiVariant.A) {
            this.uiSource = UiSource.BannerVariantA;
        }
        else if (this.uiVariant === UiVariant.B) {
            this.uiSource = UiSource.BannerVariantB;
        }
        else if (this.uiVariant === UiVariant.C) {
            this.uiSource = UiSource.BannerVariantC;
        }
        else {
            this.uiSource = UiSource.BannerVariantA;
        }
        console.log('current variant: ' + this.uiSource);
    }
}
CfarOfferBannerLargeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CfarOfferBannerLargeComponent, deps: [{ token: i1$1.TranslateService }, { token: HopperEventsService }, { token: i0.ChangeDetectorRef }, { token: LoggerService }, { token: HopperCfarService }], target: i0.ɵɵFactoryTarget.Component });
CfarOfferBannerLargeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.10", type: CfarOfferBannerLargeComponent, selector: "hopper-cfar-offer-banner-large", inputs: { hCSessionId: "hCSessionId", itineraries: "itineraries", uiVariant: "uiVariant", hasNoCoverageOption: "hasNoCoverageOption", hasWarningCoverageMessage: "hasWarningCoverageMessage" }, outputs: { chooseCoverage: "chooseCoverage", offersLoaded: "offersLoaded" }, usesInheritance: true, ngImport: i0, template: "<div\n  ngClass.gt-sm=\"px-32\"\n  ngClass.lt-md=\"px-16\"\n  ngClass.lt-sm=\"px-8\"\n  fxLayout=\"row wrap\"\n  fxLayoutAlign=\"center center\"\n>\n  <div\n    fxFlex=\"100\"\n    *ngIf=\"cfarOffers && hasWarningCoverageMessage && !selectedChoice\"\n    class=\"warning-message mx-16 mt-16\"\n    fxLayout=\"row\"\n    fxLayoutAlign=\"start center\"\n  >\n    <mat-icon>error</mat-icon>\n    <span class=\"p-16\">{{\n      'CFAR_OFFER_BANNER_LARGE.WARNING_MESSAGE' | translate\n    }}</span>\n  </div>\n\n  <mat-card\n    fxFlex=\"100\"\n    *ngIf=\"cfarOffers\"\n    class=\"offers-container m-16 pointer\"\n    fxLayout=\"row wrap\"\n  >\n    <div fxFlex=\"100\" fxLayout=\"row wrap\">\n      <div fxFlex=\"100\" fxLayout=\"row\" fxLayoutAlign=\"start center\">\n        <h4 class=\"offer-title m-0\">\n          {{ 'CFAR_OFFER_BANNER_LARGE.TITLE' | translate }}\n        </h4>\n      </div>\n\n      <div\n        class=\"my-8\"\n        fxFlex=\"100\"\n        fxLayout=\"row\"\n        fxLayoutAlign=\"start center\"\n        fxLayoutGap=\"16px\"\n      >\n        <div\n          fxFlex=\"70\"\n          fxFlex.lt-md=\"60\"\n          fxFlex.lt-sm=\"100\"\n          fxLayout=\"column\"\n          fxLayoutGap=\"16px\"\n          fxLayoutAlign=\"center start\"\n        >\n          <ng-container\n            *ngFor=\"\n              let desc of getOfferDescription(selectedCfarOffer);\n              let i = index\n            \"\n          >\n            <div fxLayout=\"row\" fxLayoutAlign=\"start center\" fxLayoutGap=\"8px\">\n              <mat-icon class=\"check-icon\">check</mat-icon>\n              <span innerHtml=\"{{ desc }}\"></span>\n            </div>\n          </ng-container>\n\n          <div\n            fxLayout=\"row\"\n            fxLayoutAlign=\"start center\"\n            fxLayoutGap=\"8px\"\n            (click)=\"onOpenTermsAndConditions()\"\n          >\n            <a\n              href=\"{{ getTCsUrl(selectedCfarOffer) }}\"\n              attr.aria-describedby=\"{{ 'COMMON.TERMS_LINK_TEXT' | translate }}\"\n              target=\"_blank\"\n            >\n              {{ 'COMMON.TERMS_LINK_TEXT' | translate }}\n            </a>\n          </div>\n      </div>\n\n        <div\n          fxFlex=\"calc(30% - 16px)\"\n          fxFlex.lt-md=\"calc(40% - 16px)\"\n          fxHide.lt-sm\n          fxLayout=\"row\"\n          fxLayoutAlign=\"center center\"\n          class=\"py-16\"\n          ngClass.lt-sm=\"py-0\"\n        >\n          <img\n            class=\"responsive-image\"\n            alt=\"Offer banner image\"\n            aria-label=\"Offer banner image\"\n            src=\"{{ imageBasePath || '' }}assets/offer-banner-image.jpg\"\n          />\n        </div>\n        \n      </div>\n\n      <div\n        fxFlex=\"100\"\n        fxLayout=\"row wrap\"\n        class=\"mb-16\"\n        fxLayoutAlign=\"start center\"\n        fxLayoutGap=\"16px\"\n      >\n        <mat-radio-group\n          fxFlex=\"100\"\n          fxLayout=\"row wrap\"\n          fxLayoutAlign=\"start center\"\n          color=\"primary\"\n          [(ngModel)]=\"selectedChoice\"\n          (ngModelChange)=\"onChooseCoverage()\"\n        >\n          <div\n            fxFlex=\"100\"\n            fxLayout=\"row\"\n            fxLayoutGap=\"16px\"\n            fxLayout.lt-sm=\"column\"\n            fxLayoutAlign=\"start center\"\n            fxLayoutAlign.lt-sm=\"center start\"\n          >\n            <div\n              fxFlex\n              class=\"offer-choice\"\n              fxLayout=\"row wrap\"\n              fxLayoutAlign=\"start start\"\n              *ngFor=\"let offer of cfarOffers; let i = index\"\n            >\n              <mat-radio-button\n                color=\"accent\"\n                fxFlex=\"100\"\n                value=\"{{ i }}\"\n                class=\"important-text bold\"\n                attr.aria-label=\"\n                                {{\n                  'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n                    | translate\n                      : {\n                          coverage:\n                            (offer.coveragePercentage | number: '1.0-0'),\n                          price:\n                            (getPricePerTraveler(offer)\n                            | currency\n                              : offer?.currency\n                              : 'symbol'\n                              : undefined\n                              : currentLang)\n                        }\n                }}\n                                \"\n                [disabled]=\"isLoadingContract\"\n              >\n                {{\n                  'COMMON.COVERAGE_PERCENTAGE'\n                    | translate\n                      : {\n                          coverage: (offer.coveragePercentage | number: '1.0-0')\n                        }\n                }}\n              </mat-radio-button>\n\n              <div\n                class=\"mt-8 mr-16\"\n                fxFlex=\"100\"\n                fxLayoutAlign=\"start center\"\n                fxLayoutGap=\"8px\"\n                attr.aria-label=\"{{\n                  'COMMON.PRICE_PER_TRAVELER'\n                    | translate\n                      : {\n                          price:\n                            (getPricePerTraveler(offer)\n                            | currency\n                              : offer?.currency\n                              : 'symbol'\n                              : undefined\n                              : currentLang)\n                        }\n                }}\"\n                innerHtml=\"{{\n                  'COMMON.PRICE_PER_TRAVELER'\n                    | translate\n                      : {\n                          price:\n                            (getPricePerTraveler(offer)\n                            | currency\n                              : offer?.currency\n                              : 'symbol'\n                              : undefined\n                              : currentLang)\n                        }\n                }}\"\n              ></div>\n\n              <div\n                class=\"mt-8 mr-16 incl-taxes\"\n                fxFlex=\"100\"\n                fxLayoutAlign=\"start center\"\n                attr.aria-label=\"{{ 'COMMON.INCL_TAXES' | translate }}\"\n              >\n                {{ 'COMMON.INCL_TAXES' | translate }}\n              </div>\n            </div>\n          </div>\n\n          <mat-radio-button\n            color=\"accent\"\n            *ngIf=\"hasNoCoverageOption\"\n            class=\"default-choice mt-16 p-16\"\n            fxFlex=\"100\"\n            value=\"-1\"\n          >\n            {{ 'CFAR_OFFER_BANNER_LARGE.NO_COVERAGE_OPTION' | translate }}\n          </mat-radio-button>\n        </mat-radio-group>\n      </div>\n\n      <div fxFlex=\"100\" fxLayout=\"row\" fxLayoutAlign=\"end center\">\n        <a href=\"https://hts.hopper.com/\" target=\"_blank\">\n          <img\n            class=\"provided-by-image\"\n            src=\"{{ imageBasePath || '' }}assets/provided-by-hopper/{{\n              currentLang || 'en'\n            }}.svg\"\n          />\n        </a>\n      </div>\n    </div>\n  </mat-card>\n</div>\n", styles: [".m-0{margin:0!important}.m-4{margin:4px!important}.m-8{margin:8px!important}.m-12{margin:12px!important}.m-16{margin:16px!important}.m-20{margin:20px!important}.m-24{margin:24px!important}.m-28{margin:28px!important}.m-32{margin:32px!important}.m-36{margin:36px!important}.m-40{margin:40px!important}.m-44{margin:44px!important}.m-48{margin:48px!important}.m-52{margin:52px!important}.m-56{margin:56px!important}.m-60{margin:60px!important}.m-64{margin:64px!important}.m-68{margin:68px!important}.m-72{margin:72px!important}.m-76{margin:76px!important}.m-80{margin:80px!important}.m-84{margin:84px!important}.m-88{margin:88px!important}.m-92{margin:92px!important}.m-96{margin:96px!important}.m-100{margin:100px!important}.m-104{margin:104px!important}.m-108{margin:108px!important}.m-112{margin:112px!important}.m-116{margin:116px!important}.m-120{margin:120px!important}.m-124{margin:124px!important}.m-128{margin:128px!important}.m-132{margin:132px!important}.m-136{margin:136px!important}.m-140{margin:140px!important}.m-144{margin:144px!important}.m-148{margin:148px!important}.m-152{margin:152px!important}.m-156{margin:156px!important}.m-160{margin:160px!important}.m-164{margin:164px!important}.m-168{margin:168px!important}.m-172{margin:172px!important}.m-176{margin:176px!important}.m-180{margin:180px!important}.m-184{margin:184px!important}.m-188{margin:188px!important}.m-192{margin:192px!important}.m-196{margin:196px!important}.m-200{margin:200px!important}.m-204{margin:204px!important}.m-208{margin:208px!important}.m-212{margin:212px!important}.m-216{margin:216px!important}.m-220{margin:220px!important}.m-224{margin:224px!important}.m-228{margin:228px!important}.m-232{margin:232px!important}.m-236{margin:236px!important}.m-240{margin:240px!important}.m-244{margin:244px!important}.m-248{margin:248px!important}.m-252{margin:252px!important}.m-256{margin:256px!important}.mx-0{margin-right:0!important;margin-left:0!important}.my-0{margin-top:0!important;margin-bottom:0!important}.mx-4{margin-right:4px!important;margin-left:4px!important}.my-4{margin-top:4px!important;margin-bottom:4px!important}.mx-8{margin-right:8px!important;margin-left:8px!important}.my-8{margin-top:8px!important;margin-bottom:8px!important}.mx-12{margin-right:12px!important;margin-left:12px!important}.my-12{margin-top:12px!important;margin-bottom:12px!important}.mx-16{margin-right:16px!important;margin-left:16px!important}.my-16{margin-top:16px!important;margin-bottom:16px!important}.mx-20{margin-right:20px!important;margin-left:20px!important}.my-20{margin-top:20px!important;margin-bottom:20px!important}.mx-24{margin-right:24px!important;margin-left:24px!important}.my-24{margin-top:24px!important;margin-bottom:24px!important}.mx-28{margin-right:28px!important;margin-left:28px!important}.my-28{margin-top:28px!important;margin-bottom:28px!important}.mx-32{margin-right:32px!important;margin-left:32px!important}.my-32{margin-top:32px!important;margin-bottom:32px!important}.mx-36{margin-right:36px!important;margin-left:36px!important}.my-36{margin-top:36px!important;margin-bottom:36px!important}.mx-40{margin-right:40px!important;margin-left:40px!important}.my-40{margin-top:40px!important;margin-bottom:40px!important}.mx-44{margin-right:44px!important;margin-left:44px!important}.my-44{margin-top:44px!important;margin-bottom:44px!important}.mx-48{margin-right:48px!important;margin-left:48px!important}.my-48{margin-top:48px!important;margin-bottom:48px!important}.mx-52{margin-right:52px!important;margin-left:52px!important}.my-52{margin-top:52px!important;margin-bottom:52px!important}.mx-56{margin-right:56px!important;margin-left:56px!important}.my-56{margin-top:56px!important;margin-bottom:56px!important}.mx-60{margin-right:60px!important;margin-left:60px!important}.my-60{margin-top:60px!important;margin-bottom:60px!important}.mx-64{margin-right:64px!important;margin-left:64px!important}.my-64{margin-top:64px!important;margin-bottom:64px!important}.mx-68{margin-right:68px!important;margin-left:68px!important}.my-68{margin-top:68px!important;margin-bottom:68px!important}.mx-72{margin-right:72px!important;margin-left:72px!important}.my-72{margin-top:72px!important;margin-bottom:72px!important}.mx-76{margin-right:76px!important;margin-left:76px!important}.my-76{margin-top:76px!important;margin-bottom:76px!important}.mx-80{margin-right:80px!important;margin-left:80px!important}.my-80{margin-top:80px!important;margin-bottom:80px!important}.mx-84{margin-right:84px!important;margin-left:84px!important}.my-84{margin-top:84px!important;margin-bottom:84px!important}.mx-88{margin-right:88px!important;margin-left:88px!important}.my-88{margin-top:88px!important;margin-bottom:88px!important}.mx-92{margin-right:92px!important;margin-left:92px!important}.my-92{margin-top:92px!important;margin-bottom:92px!important}.mx-96{margin-right:96px!important;margin-left:96px!important}.my-96{margin-top:96px!important;margin-bottom:96px!important}.mx-100{margin-right:100px!important;margin-left:100px!important}.my-100{margin-top:100px!important;margin-bottom:100px!important}.mx-104{margin-right:104px!important;margin-left:104px!important}.my-104{margin-top:104px!important;margin-bottom:104px!important}.mx-108{margin-right:108px!important;margin-left:108px!important}.my-108{margin-top:108px!important;margin-bottom:108px!important}.mx-112{margin-right:112px!important;margin-left:112px!important}.my-112{margin-top:112px!important;margin-bottom:112px!important}.mx-116{margin-right:116px!important;margin-left:116px!important}.my-116{margin-top:116px!important;margin-bottom:116px!important}.mx-120{margin-right:120px!important;margin-left:120px!important}.my-120{margin-top:120px!important;margin-bottom:120px!important}.mx-124{margin-right:124px!important;margin-left:124px!important}.my-124{margin-top:124px!important;margin-bottom:124px!important}.mx-128{margin-right:128px!important;margin-left:128px!important}.my-128{margin-top:128px!important;margin-bottom:128px!important}.mx-132{margin-right:132px!important;margin-left:132px!important}.my-132{margin-top:132px!important;margin-bottom:132px!important}.mx-136{margin-right:136px!important;margin-left:136px!important}.my-136{margin-top:136px!important;margin-bottom:136px!important}.mx-140{margin-right:140px!important;margin-left:140px!important}.my-140{margin-top:140px!important;margin-bottom:140px!important}.mx-144{margin-right:144px!important;margin-left:144px!important}.my-144{margin-top:144px!important;margin-bottom:144px!important}.mx-148{margin-right:148px!important;margin-left:148px!important}.my-148{margin-top:148px!important;margin-bottom:148px!important}.mx-152{margin-right:152px!important;margin-left:152px!important}.my-152{margin-top:152px!important;margin-bottom:152px!important}.mx-156{margin-right:156px!important;margin-left:156px!important}.my-156{margin-top:156px!important;margin-bottom:156px!important}.mx-160{margin-right:160px!important;margin-left:160px!important}.my-160{margin-top:160px!important;margin-bottom:160px!important}.mx-164{margin-right:164px!important;margin-left:164px!important}.my-164{margin-top:164px!important;margin-bottom:164px!important}.mx-168{margin-right:168px!important;margin-left:168px!important}.my-168{margin-top:168px!important;margin-bottom:168px!important}.mx-172{margin-right:172px!important;margin-left:172px!important}.my-172{margin-top:172px!important;margin-bottom:172px!important}.mx-176{margin-right:176px!important;margin-left:176px!important}.my-176{margin-top:176px!important;margin-bottom:176px!important}.mx-180{margin-right:180px!important;margin-left:180px!important}.my-180{margin-top:180px!important;margin-bottom:180px!important}.mx-184{margin-right:184px!important;margin-left:184px!important}.my-184{margin-top:184px!important;margin-bottom:184px!important}.mx-188{margin-right:188px!important;margin-left:188px!important}.my-188{margin-top:188px!important;margin-bottom:188px!important}.mx-192{margin-right:192px!important;margin-left:192px!important}.my-192{margin-top:192px!important;margin-bottom:192px!important}.mx-196{margin-right:196px!important;margin-left:196px!important}.my-196{margin-top:196px!important;margin-bottom:196px!important}.mx-200{margin-right:200px!important;margin-left:200px!important}.my-200{margin-top:200px!important;margin-bottom:200px!important}.mx-204{margin-right:204px!important;margin-left:204px!important}.my-204{margin-top:204px!important;margin-bottom:204px!important}.mx-208{margin-right:208px!important;margin-left:208px!important}.my-208{margin-top:208px!important;margin-bottom:208px!important}.mx-212{margin-right:212px!important;margin-left:212px!important}.my-212{margin-top:212px!important;margin-bottom:212px!important}.mx-216{margin-right:216px!important;margin-left:216px!important}.my-216{margin-top:216px!important;margin-bottom:216px!important}.mx-220{margin-right:220px!important;margin-left:220px!important}.my-220{margin-top:220px!important;margin-bottom:220px!important}.mx-224{margin-right:224px!important;margin-left:224px!important}.my-224{margin-top:224px!important;margin-bottom:224px!important}.mx-228{margin-right:228px!important;margin-left:228px!important}.my-228{margin-top:228px!important;margin-bottom:228px!important}.mx-232{margin-right:232px!important;margin-left:232px!important}.my-232{margin-top:232px!important;margin-bottom:232px!important}.mx-236{margin-right:236px!important;margin-left:236px!important}.my-236{margin-top:236px!important;margin-bottom:236px!important}.mx-240{margin-right:240px!important;margin-left:240px!important}.my-240{margin-top:240px!important;margin-bottom:240px!important}.mx-244{margin-right:244px!important;margin-left:244px!important}.my-244{margin-top:244px!important;margin-bottom:244px!important}.mx-248{margin-right:248px!important;margin-left:248px!important}.my-248{margin-top:248px!important;margin-bottom:248px!important}.mx-252{margin-right:252px!important;margin-left:252px!important}.my-252{margin-top:252px!important;margin-bottom:252px!important}.mx-256{margin-right:256px!important;margin-left:256px!important}.my-256{margin-top:256px!important;margin-bottom:256px!important}.mt-0{margin-top:0!important}.mr-0{margin-right:0!important}.mb-0{margin-bottom:0!important}.ml-0{margin-left:0!important}.mt-4{margin-top:4px!important}.mr-4{margin-right:4px!important}.mb-4{margin-bottom:4px!important}.ml-4{margin-left:4px!important}.mt-8{margin-top:8px!important}.mr-8{margin-right:8px!important}.mb-8{margin-bottom:8px!important}.ml-8{margin-left:8px!important}.mt-12{margin-top:12px!important}.mr-12{margin-right:12px!important}.mb-12{margin-bottom:12px!important}.ml-12{margin-left:12px!important}.mt-16{margin-top:16px!important}.mr-16{margin-right:16px!important}.mb-16{margin-bottom:16px!important}.ml-16{margin-left:16px!important}.mt-20{margin-top:20px!important}.mr-20{margin-right:20px!important}.mb-20{margin-bottom:20px!important}.ml-20{margin-left:20px!important}.mt-24{margin-top:24px!important}.mr-24{margin-right:24px!important}.mb-24{margin-bottom:24px!important}.ml-24{margin-left:24px!important}.mt-28{margin-top:28px!important}.mr-28{margin-right:28px!important}.mb-28{margin-bottom:28px!important}.ml-28{margin-left:28px!important}.mt-32{margin-top:32px!important}.mr-32{margin-right:32px!important}.mb-32{margin-bottom:32px!important}.ml-32{margin-left:32px!important}.mt-36{margin-top:36px!important}.mr-36{margin-right:36px!important}.mb-36{margin-bottom:36px!important}.ml-36{margin-left:36px!important}.mt-40{margin-top:40px!important}.mr-40{margin-right:40px!important}.mb-40{margin-bottom:40px!important}.ml-40{margin-left:40px!important}.mt-44{margin-top:44px!important}.mr-44{margin-right:44px!important}.mb-44{margin-bottom:44px!important}.ml-44{margin-left:44px!important}.mt-48{margin-top:48px!important}.mr-48{margin-right:48px!important}.mb-48{margin-bottom:48px!important}.ml-48{margin-left:48px!important}.mt-52{margin-top:52px!important}.mr-52{margin-right:52px!important}.mb-52{margin-bottom:52px!important}.ml-52{margin-left:52px!important}.mt-56{margin-top:56px!important}.mr-56{margin-right:56px!important}.mb-56{margin-bottom:56px!important}.ml-56{margin-left:56px!important}.mt-60{margin-top:60px!important}.mr-60{margin-right:60px!important}.mb-60{margin-bottom:60px!important}.ml-60{margin-left:60px!important}.mt-64{margin-top:64px!important}.mr-64{margin-right:64px!important}.mb-64{margin-bottom:64px!important}.ml-64{margin-left:64px!important}.mt-68{margin-top:68px!important}.mr-68{margin-right:68px!important}.mb-68{margin-bottom:68px!important}.ml-68{margin-left:68px!important}.mt-72{margin-top:72px!important}.mr-72{margin-right:72px!important}.mb-72{margin-bottom:72px!important}.ml-72{margin-left:72px!important}.mt-76{margin-top:76px!important}.mr-76{margin-right:76px!important}.mb-76{margin-bottom:76px!important}.ml-76{margin-left:76px!important}.mt-80{margin-top:80px!important}.mr-80{margin-right:80px!important}.mb-80{margin-bottom:80px!important}.ml-80{margin-left:80px!important}.mt-84{margin-top:84px!important}.mr-84{margin-right:84px!important}.mb-84{margin-bottom:84px!important}.ml-84{margin-left:84px!important}.mt-88{margin-top:88px!important}.mr-88{margin-right:88px!important}.mb-88{margin-bottom:88px!important}.ml-88{margin-left:88px!important}.mt-92{margin-top:92px!important}.mr-92{margin-right:92px!important}.mb-92{margin-bottom:92px!important}.ml-92{margin-left:92px!important}.mt-96{margin-top:96px!important}.mr-96{margin-right:96px!important}.mb-96{margin-bottom:96px!important}.ml-96{margin-left:96px!important}.mt-100{margin-top:100px!important}.mr-100{margin-right:100px!important}.mb-100{margin-bottom:100px!important}.ml-100{margin-left:100px!important}.mt-104{margin-top:104px!important}.mr-104{margin-right:104px!important}.mb-104{margin-bottom:104px!important}.ml-104{margin-left:104px!important}.mt-108{margin-top:108px!important}.mr-108{margin-right:108px!important}.mb-108{margin-bottom:108px!important}.ml-108{margin-left:108px!important}.mt-112{margin-top:112px!important}.mr-112{margin-right:112px!important}.mb-112{margin-bottom:112px!important}.ml-112{margin-left:112px!important}.mt-116{margin-top:116px!important}.mr-116{margin-right:116px!important}.mb-116{margin-bottom:116px!important}.ml-116{margin-left:116px!important}.mt-120{margin-top:120px!important}.mr-120{margin-right:120px!important}.mb-120{margin-bottom:120px!important}.ml-120{margin-left:120px!important}.mt-124{margin-top:124px!important}.mr-124{margin-right:124px!important}.mb-124{margin-bottom:124px!important}.ml-124{margin-left:124px!important}.mt-128{margin-top:128px!important}.mr-128{margin-right:128px!important}.mb-128{margin-bottom:128px!important}.ml-128{margin-left:128px!important}.mt-132{margin-top:132px!important}.mr-132{margin-right:132px!important}.mb-132{margin-bottom:132px!important}.ml-132{margin-left:132px!important}.mt-136{margin-top:136px!important}.mr-136{margin-right:136px!important}.mb-136{margin-bottom:136px!important}.ml-136{margin-left:136px!important}.mt-140{margin-top:140px!important}.mr-140{margin-right:140px!important}.mb-140{margin-bottom:140px!important}.ml-140{margin-left:140px!important}.mt-144{margin-top:144px!important}.mr-144{margin-right:144px!important}.mb-144{margin-bottom:144px!important}.ml-144{margin-left:144px!important}.mt-148{margin-top:148px!important}.mr-148{margin-right:148px!important}.mb-148{margin-bottom:148px!important}.ml-148{margin-left:148px!important}.mt-152{margin-top:152px!important}.mr-152{margin-right:152px!important}.mb-152{margin-bottom:152px!important}.ml-152{margin-left:152px!important}.mt-156{margin-top:156px!important}.mr-156{margin-right:156px!important}.mb-156{margin-bottom:156px!important}.ml-156{margin-left:156px!important}.mt-160{margin-top:160px!important}.mr-160{margin-right:160px!important}.mb-160{margin-bottom:160px!important}.ml-160{margin-left:160px!important}.mt-164{margin-top:164px!important}.mr-164{margin-right:164px!important}.mb-164{margin-bottom:164px!important}.ml-164{margin-left:164px!important}.mt-168{margin-top:168px!important}.mr-168{margin-right:168px!important}.mb-168{margin-bottom:168px!important}.ml-168{margin-left:168px!important}.mt-172{margin-top:172px!important}.mr-172{margin-right:172px!important}.mb-172{margin-bottom:172px!important}.ml-172{margin-left:172px!important}.mt-176{margin-top:176px!important}.mr-176{margin-right:176px!important}.mb-176{margin-bottom:176px!important}.ml-176{margin-left:176px!important}.mt-180{margin-top:180px!important}.mr-180{margin-right:180px!important}.mb-180{margin-bottom:180px!important}.ml-180{margin-left:180px!important}.mt-184{margin-top:184px!important}.mr-184{margin-right:184px!important}.mb-184{margin-bottom:184px!important}.ml-184{margin-left:184px!important}.mt-188{margin-top:188px!important}.mr-188{margin-right:188px!important}.mb-188{margin-bottom:188px!important}.ml-188{margin-left:188px!important}.mt-192{margin-top:192px!important}.mr-192{margin-right:192px!important}.mb-192{margin-bottom:192px!important}.ml-192{margin-left:192px!important}.mt-196{margin-top:196px!important}.mr-196{margin-right:196px!important}.mb-196{margin-bottom:196px!important}.ml-196{margin-left:196px!important}.mt-200{margin-top:200px!important}.mr-200{margin-right:200px!important}.mb-200{margin-bottom:200px!important}.ml-200{margin-left:200px!important}.mt-204{margin-top:204px!important}.mr-204{margin-right:204px!important}.mb-204{margin-bottom:204px!important}.ml-204{margin-left:204px!important}.mt-208{margin-top:208px!important}.mr-208{margin-right:208px!important}.mb-208{margin-bottom:208px!important}.ml-208{margin-left:208px!important}.mt-212{margin-top:212px!important}.mr-212{margin-right:212px!important}.mb-212{margin-bottom:212px!important}.ml-212{margin-left:212px!important}.mt-216{margin-top:216px!important}.mr-216{margin-right:216px!important}.mb-216{margin-bottom:216px!important}.ml-216{margin-left:216px!important}.mt-220{margin-top:220px!important}.mr-220{margin-right:220px!important}.mb-220{margin-bottom:220px!important}.ml-220{margin-left:220px!important}.mt-224{margin-top:224px!important}.mr-224{margin-right:224px!important}.mb-224{margin-bottom:224px!important}.ml-224{margin-left:224px!important}.mt-228{margin-top:228px!important}.mr-228{margin-right:228px!important}.mb-228{margin-bottom:228px!important}.ml-228{margin-left:228px!important}.mt-232{margin-top:232px!important}.mr-232{margin-right:232px!important}.mb-232{margin-bottom:232px!important}.ml-232{margin-left:232px!important}.mt-236{margin-top:236px!important}.mr-236{margin-right:236px!important}.mb-236{margin-bottom:236px!important}.ml-236{margin-left:236px!important}.mt-240{margin-top:240px!important}.mr-240{margin-right:240px!important}.mb-240{margin-bottom:240px!important}.ml-240{margin-left:240px!important}.mt-244{margin-top:244px!important}.mr-244{margin-right:244px!important}.mb-244{margin-bottom:244px!important}.ml-244{margin-left:244px!important}.mt-248{margin-top:248px!important}.mr-248{margin-right:248px!important}.mb-248{margin-bottom:248px!important}.ml-248{margin-left:248px!important}.mt-252{margin-top:252px!important}.mr-252{margin-right:252px!important}.mb-252{margin-bottom:252px!important}.ml-252{margin-left:252px!important}.mt-256{margin-top:256px!important}.mr-256{margin-right:256px!important}.mb-256{margin-bottom:256px!important}.ml-256{margin-left:256px!important}.m-auto{margin:auto!important}.mt-auto{margin-top:auto!important}.mr-auto{margin-right:auto!important}.mb-auto{margin-bottom:auto!important}.ml-auto{margin-left:auto!important}.mx-auto{margin-right:auto!important;margin-left:auto!important}.my-auto{margin-top:auto!important;margin-bottom:auto!important}.p-0{padding:0!important}.p-4{padding:4px!important}.p-8{padding:8px!important}.p-12{padding:12px!important}.p-16{padding:16px!important}.p-20{padding:20px!important}.p-24{padding:24px!important}.p-28{padding:28px!important}.p-32{padding:32px!important}.p-36{padding:36px!important}.p-40{padding:40px!important}.p-44{padding:44px!important}.p-48{padding:48px!important}.p-52{padding:52px!important}.p-56{padding:56px!important}.p-60{padding:60px!important}.p-64{padding:64px!important}.p-68{padding:68px!important}.p-72{padding:72px!important}.p-76{padding:76px!important}.p-80{padding:80px!important}.p-84{padding:84px!important}.p-88{padding:88px!important}.p-92{padding:92px!important}.p-96{padding:96px!important}.p-100{padding:100px!important}.p-104{padding:104px!important}.p-108{padding:108px!important}.p-112{padding:112px!important}.p-116{padding:116px!important}.p-120{padding:120px!important}.p-124{padding:124px!important}.p-128{padding:128px!important}.p-132{padding:132px!important}.p-136{padding:136px!important}.p-140{padding:140px!important}.p-144{padding:144px!important}.p-148{padding:148px!important}.p-152{padding:152px!important}.p-156{padding:156px!important}.p-160{padding:160px!important}.p-164{padding:164px!important}.p-168{padding:168px!important}.p-172{padding:172px!important}.p-176{padding:176px!important}.p-180{padding:180px!important}.p-184{padding:184px!important}.p-188{padding:188px!important}.p-192{padding:192px!important}.p-196{padding:196px!important}.p-200{padding:200px!important}.p-204{padding:204px!important}.p-208{padding:208px!important}.p-212{padding:212px!important}.p-216{padding:216px!important}.p-220{padding:220px!important}.p-224{padding:224px!important}.p-228{padding:228px!important}.p-232{padding:232px!important}.p-236{padding:236px!important}.p-240{padding:240px!important}.p-244{padding:244px!important}.p-248{padding:248px!important}.p-252{padding:252px!important}.p-256{padding:256px!important}.px-0{padding-right:0!important;padding-left:0!important}.py-0{padding-top:0!important;padding-bottom:0!important}.px-4{padding-right:4px!important;padding-left:4px!important}.py-4{padding-top:4px!important;padding-bottom:4px!important}.px-8{padding-right:8px!important;padding-left:8px!important}.py-8{padding-top:8px!important;padding-bottom:8px!important}.px-12{padding-right:12px!important;padding-left:12px!important}.py-12{padding-top:12px!important;padding-bottom:12px!important}.px-16{padding-right:16px!important;padding-left:16px!important}.py-16{padding-top:16px!important;padding-bottom:16px!important}.px-20{padding-right:20px!important;padding-left:20px!important}.py-20{padding-top:20px!important;padding-bottom:20px!important}.px-24{padding-right:24px!important;padding-left:24px!important}.py-24{padding-top:24px!important;padding-bottom:24px!important}.px-28{padding-right:28px!important;padding-left:28px!important}.py-28{padding-top:28px!important;padding-bottom:28px!important}.px-32{padding-right:32px!important;padding-left:32px!important}.py-32{padding-top:32px!important;padding-bottom:32px!important}.px-36{padding-right:36px!important;padding-left:36px!important}.py-36{padding-top:36px!important;padding-bottom:36px!important}.px-40{padding-right:40px!important;padding-left:40px!important}.py-40{padding-top:40px!important;padding-bottom:40px!important}.px-44{padding-right:44px!important;padding-left:44px!important}.py-44{padding-top:44px!important;padding-bottom:44px!important}.px-48{padding-right:48px!important;padding-left:48px!important}.py-48{padding-top:48px!important;padding-bottom:48px!important}.px-52{padding-right:52px!important;padding-left:52px!important}.py-52{padding-top:52px!important;padding-bottom:52px!important}.px-56{padding-right:56px!important;padding-left:56px!important}.py-56{padding-top:56px!important;padding-bottom:56px!important}.px-60{padding-right:60px!important;padding-left:60px!important}.py-60{padding-top:60px!important;padding-bottom:60px!important}.px-64{padding-right:64px!important;padding-left:64px!important}.py-64{padding-top:64px!important;padding-bottom:64px!important}.px-68{padding-right:68px!important;padding-left:68px!important}.py-68{padding-top:68px!important;padding-bottom:68px!important}.px-72{padding-right:72px!important;padding-left:72px!important}.py-72{padding-top:72px!important;padding-bottom:72px!important}.px-76{padding-right:76px!important;padding-left:76px!important}.py-76{padding-top:76px!important;padding-bottom:76px!important}.px-80{padding-right:80px!important;padding-left:80px!important}.py-80{padding-top:80px!important;padding-bottom:80px!important}.px-84{padding-right:84px!important;padding-left:84px!important}.py-84{padding-top:84px!important;padding-bottom:84px!important}.px-88{padding-right:88px!important;padding-left:88px!important}.py-88{padding-top:88px!important;padding-bottom:88px!important}.px-92{padding-right:92px!important;padding-left:92px!important}.py-92{padding-top:92px!important;padding-bottom:92px!important}.px-96{padding-right:96px!important;padding-left:96px!important}.py-96{padding-top:96px!important;padding-bottom:96px!important}.px-100{padding-right:100px!important;padding-left:100px!important}.py-100{padding-top:100px!important;padding-bottom:100px!important}.px-104{padding-right:104px!important;padding-left:104px!important}.py-104{padding-top:104px!important;padding-bottom:104px!important}.px-108{padding-right:108px!important;padding-left:108px!important}.py-108{padding-top:108px!important;padding-bottom:108px!important}.px-112{padding-right:112px!important;padding-left:112px!important}.py-112{padding-top:112px!important;padding-bottom:112px!important}.px-116{padding-right:116px!important;padding-left:116px!important}.py-116{padding-top:116px!important;padding-bottom:116px!important}.px-120{padding-right:120px!important;padding-left:120px!important}.py-120{padding-top:120px!important;padding-bottom:120px!important}.px-124{padding-right:124px!important;padding-left:124px!important}.py-124{padding-top:124px!important;padding-bottom:124px!important}.px-128{padding-right:128px!important;padding-left:128px!important}.py-128{padding-top:128px!important;padding-bottom:128px!important}.px-132{padding-right:132px!important;padding-left:132px!important}.py-132{padding-top:132px!important;padding-bottom:132px!important}.px-136{padding-right:136px!important;padding-left:136px!important}.py-136{padding-top:136px!important;padding-bottom:136px!important}.px-140{padding-right:140px!important;padding-left:140px!important}.py-140{padding-top:140px!important;padding-bottom:140px!important}.px-144{padding-right:144px!important;padding-left:144px!important}.py-144{padding-top:144px!important;padding-bottom:144px!important}.px-148{padding-right:148px!important;padding-left:148px!important}.py-148{padding-top:148px!important;padding-bottom:148px!important}.px-152{padding-right:152px!important;padding-left:152px!important}.py-152{padding-top:152px!important;padding-bottom:152px!important}.px-156{padding-right:156px!important;padding-left:156px!important}.py-156{padding-top:156px!important;padding-bottom:156px!important}.px-160{padding-right:160px!important;padding-left:160px!important}.py-160{padding-top:160px!important;padding-bottom:160px!important}.px-164{padding-right:164px!important;padding-left:164px!important}.py-164{padding-top:164px!important;padding-bottom:164px!important}.px-168{padding-right:168px!important;padding-left:168px!important}.py-168{padding-top:168px!important;padding-bottom:168px!important}.px-172{padding-right:172px!important;padding-left:172px!important}.py-172{padding-top:172px!important;padding-bottom:172px!important}.px-176{padding-right:176px!important;padding-left:176px!important}.py-176{padding-top:176px!important;padding-bottom:176px!important}.px-180{padding-right:180px!important;padding-left:180px!important}.py-180{padding-top:180px!important;padding-bottom:180px!important}.px-184{padding-right:184px!important;padding-left:184px!important}.py-184{padding-top:184px!important;padding-bottom:184px!important}.px-188{padding-right:188px!important;padding-left:188px!important}.py-188{padding-top:188px!important;padding-bottom:188px!important}.px-192{padding-right:192px!important;padding-left:192px!important}.py-192{padding-top:192px!important;padding-bottom:192px!important}.px-196{padding-right:196px!important;padding-left:196px!important}.py-196{padding-top:196px!important;padding-bottom:196px!important}.px-200{padding-right:200px!important;padding-left:200px!important}.py-200{padding-top:200px!important;padding-bottom:200px!important}.px-204{padding-right:204px!important;padding-left:204px!important}.py-204{padding-top:204px!important;padding-bottom:204px!important}.px-208{padding-right:208px!important;padding-left:208px!important}.py-208{padding-top:208px!important;padding-bottom:208px!important}.px-212{padding-right:212px!important;padding-left:212px!important}.py-212{padding-top:212px!important;padding-bottom:212px!important}.px-216{padding-right:216px!important;padding-left:216px!important}.py-216{padding-top:216px!important;padding-bottom:216px!important}.px-220{padding-right:220px!important;padding-left:220px!important}.py-220{padding-top:220px!important;padding-bottom:220px!important}.px-224{padding-right:224px!important;padding-left:224px!important}.py-224{padding-top:224px!important;padding-bottom:224px!important}.px-228{padding-right:228px!important;padding-left:228px!important}.py-228{padding-top:228px!important;padding-bottom:228px!important}.px-232{padding-right:232px!important;padding-left:232px!important}.py-232{padding-top:232px!important;padding-bottom:232px!important}.px-236{padding-right:236px!important;padding-left:236px!important}.py-236{padding-top:236px!important;padding-bottom:236px!important}.px-240{padding-right:240px!important;padding-left:240px!important}.py-240{padding-top:240px!important;padding-bottom:240px!important}.px-244{padding-right:244px!important;padding-left:244px!important}.py-244{padding-top:244px!important;padding-bottom:244px!important}.px-248{padding-right:248px!important;padding-left:248px!important}.py-248{padding-top:248px!important;padding-bottom:248px!important}.px-252{padding-right:252px!important;padding-left:252px!important}.py-252{padding-top:252px!important;padding-bottom:252px!important}.px-256{padding-right:256px!important;padding-left:256px!important}.py-256{padding-top:256px!important;padding-bottom:256px!important}.pt-0{padding-top:0!important}.pr-0{padding-right:0!important}.pb-0{padding-bottom:0!important}.pl-0{padding-left:0!important}.pt-4{padding-top:4px!important}.pr-4{padding-right:4px!important}.pb-4{padding-bottom:4px!important}.pl-4{padding-left:4px!important}.pt-8{padding-top:8px!important}.pr-8{padding-right:8px!important}.pb-8{padding-bottom:8px!important}.pl-8{padding-left:8px!important}.pt-12{padding-top:12px!important}.pr-12{padding-right:12px!important}.pb-12{padding-bottom:12px!important}.pl-12{padding-left:12px!important}.pt-16{padding-top:16px!important}.pr-16{padding-right:16px!important}.pb-16{padding-bottom:16px!important}.pl-16{padding-left:16px!important}.pt-20{padding-top:20px!important}.pr-20{padding-right:20px!important}.pb-20{padding-bottom:20px!important}.pl-20{padding-left:20px!important}.pt-24{padding-top:24px!important}.pr-24{padding-right:24px!important}.pb-24{padding-bottom:24px!important}.pl-24{padding-left:24px!important}.pt-28{padding-top:28px!important}.pr-28{padding-right:28px!important}.pb-28{padding-bottom:28px!important}.pl-28{padding-left:28px!important}.pt-32{padding-top:32px!important}.pr-32{padding-right:32px!important}.pb-32{padding-bottom:32px!important}.pl-32{padding-left:32px!important}.pt-36{padding-top:36px!important}.pr-36{padding-right:36px!important}.pb-36{padding-bottom:36px!important}.pl-36{padding-left:36px!important}.pt-40{padding-top:40px!important}.pr-40{padding-right:40px!important}.pb-40{padding-bottom:40px!important}.pl-40{padding-left:40px!important}.pt-44{padding-top:44px!important}.pr-44{padding-right:44px!important}.pb-44{padding-bottom:44px!important}.pl-44{padding-left:44px!important}.pt-48{padding-top:48px!important}.pr-48{padding-right:48px!important}.pb-48{padding-bottom:48px!important}.pl-48{padding-left:48px!important}.pt-52{padding-top:52px!important}.pr-52{padding-right:52px!important}.pb-52{padding-bottom:52px!important}.pl-52{padding-left:52px!important}.pt-56{padding-top:56px!important}.pr-56{padding-right:56px!important}.pb-56{padding-bottom:56px!important}.pl-56{padding-left:56px!important}.pt-60{padding-top:60px!important}.pr-60{padding-right:60px!important}.pb-60{padding-bottom:60px!important}.pl-60{padding-left:60px!important}.pt-64{padding-top:64px!important}.pr-64{padding-right:64px!important}.pb-64{padding-bottom:64px!important}.pl-64{padding-left:64px!important}.pt-68{padding-top:68px!important}.pr-68{padding-right:68px!important}.pb-68{padding-bottom:68px!important}.pl-68{padding-left:68px!important}.pt-72{padding-top:72px!important}.pr-72{padding-right:72px!important}.pb-72{padding-bottom:72px!important}.pl-72{padding-left:72px!important}.pt-76{padding-top:76px!important}.pr-76{padding-right:76px!important}.pb-76{padding-bottom:76px!important}.pl-76{padding-left:76px!important}.pt-80{padding-top:80px!important}.pr-80{padding-right:80px!important}.pb-80{padding-bottom:80px!important}.pl-80{padding-left:80px!important}.pt-84{padding-top:84px!important}.pr-84{padding-right:84px!important}.pb-84{padding-bottom:84px!important}.pl-84{padding-left:84px!important}.pt-88{padding-top:88px!important}.pr-88{padding-right:88px!important}.pb-88{padding-bottom:88px!important}.pl-88{padding-left:88px!important}.pt-92{padding-top:92px!important}.pr-92{padding-right:92px!important}.pb-92{padding-bottom:92px!important}.pl-92{padding-left:92px!important}.pt-96{padding-top:96px!important}.pr-96{padding-right:96px!important}.pb-96{padding-bottom:96px!important}.pl-96{padding-left:96px!important}.pt-100{padding-top:100px!important}.pr-100{padding-right:100px!important}.pb-100{padding-bottom:100px!important}.pl-100{padding-left:100px!important}.pt-104{padding-top:104px!important}.pr-104{padding-right:104px!important}.pb-104{padding-bottom:104px!important}.pl-104{padding-left:104px!important}.pt-108{padding-top:108px!important}.pr-108{padding-right:108px!important}.pb-108{padding-bottom:108px!important}.pl-108{padding-left:108px!important}.pt-112{padding-top:112px!important}.pr-112{padding-right:112px!important}.pb-112{padding-bottom:112px!important}.pl-112{padding-left:112px!important}.pt-116{padding-top:116px!important}.pr-116{padding-right:116px!important}.pb-116{padding-bottom:116px!important}.pl-116{padding-left:116px!important}.pt-120{padding-top:120px!important}.pr-120{padding-right:120px!important}.pb-120{padding-bottom:120px!important}.pl-120{padding-left:120px!important}.pt-124{padding-top:124px!important}.pr-124{padding-right:124px!important}.pb-124{padding-bottom:124px!important}.pl-124{padding-left:124px!important}.pt-128{padding-top:128px!important}.pr-128{padding-right:128px!important}.pb-128{padding-bottom:128px!important}.pl-128{padding-left:128px!important}.pt-132{padding-top:132px!important}.pr-132{padding-right:132px!important}.pb-132{padding-bottom:132px!important}.pl-132{padding-left:132px!important}.pt-136{padding-top:136px!important}.pr-136{padding-right:136px!important}.pb-136{padding-bottom:136px!important}.pl-136{padding-left:136px!important}.pt-140{padding-top:140px!important}.pr-140{padding-right:140px!important}.pb-140{padding-bottom:140px!important}.pl-140{padding-left:140px!important}.pt-144{padding-top:144px!important}.pr-144{padding-right:144px!important}.pb-144{padding-bottom:144px!important}.pl-144{padding-left:144px!important}.pt-148{padding-top:148px!important}.pr-148{padding-right:148px!important}.pb-148{padding-bottom:148px!important}.pl-148{padding-left:148px!important}.pt-152{padding-top:152px!important}.pr-152{padding-right:152px!important}.pb-152{padding-bottom:152px!important}.pl-152{padding-left:152px!important}.pt-156{padding-top:156px!important}.pr-156{padding-right:156px!important}.pb-156{padding-bottom:156px!important}.pl-156{padding-left:156px!important}.pt-160{padding-top:160px!important}.pr-160{padding-right:160px!important}.pb-160{padding-bottom:160px!important}.pl-160{padding-left:160px!important}.pt-164{padding-top:164px!important}.pr-164{padding-right:164px!important}.pb-164{padding-bottom:164px!important}.pl-164{padding-left:164px!important}.pt-168{padding-top:168px!important}.pr-168{padding-right:168px!important}.pb-168{padding-bottom:168px!important}.pl-168{padding-left:168px!important}.pt-172{padding-top:172px!important}.pr-172{padding-right:172px!important}.pb-172{padding-bottom:172px!important}.pl-172{padding-left:172px!important}.pt-176{padding-top:176px!important}.pr-176{padding-right:176px!important}.pb-176{padding-bottom:176px!important}.pl-176{padding-left:176px!important}.pt-180{padding-top:180px!important}.pr-180{padding-right:180px!important}.pb-180{padding-bottom:180px!important}.pl-180{padding-left:180px!important}.pt-184{padding-top:184px!important}.pr-184{padding-right:184px!important}.pb-184{padding-bottom:184px!important}.pl-184{padding-left:184px!important}.pt-188{padding-top:188px!important}.pr-188{padding-right:188px!important}.pb-188{padding-bottom:188px!important}.pl-188{padding-left:188px!important}.pt-192{padding-top:192px!important}.pr-192{padding-right:192px!important}.pb-192{padding-bottom:192px!important}.pl-192{padding-left:192px!important}.pt-196{padding-top:196px!important}.pr-196{padding-right:196px!important}.pb-196{padding-bottom:196px!important}.pl-196{padding-left:196px!important}.pt-200{padding-top:200px!important}.pr-200{padding-right:200px!important}.pb-200{padding-bottom:200px!important}.pl-200{padding-left:200px!important}.pt-204{padding-top:204px!important}.pr-204{padding-right:204px!important}.pb-204{padding-bottom:204px!important}.pl-204{padding-left:204px!important}.pt-208{padding-top:208px!important}.pr-208{padding-right:208px!important}.pb-208{padding-bottom:208px!important}.pl-208{padding-left:208px!important}.pt-212{padding-top:212px!important}.pr-212{padding-right:212px!important}.pb-212{padding-bottom:212px!important}.pl-212{padding-left:212px!important}.pt-216{padding-top:216px!important}.pr-216{padding-right:216px!important}.pb-216{padding-bottom:216px!important}.pl-216{padding-left:216px!important}.pt-220{padding-top:220px!important}.pr-220{padding-right:220px!important}.pb-220{padding-bottom:220px!important}.pl-220{padding-left:220px!important}.pt-224{padding-top:224px!important}.pr-224{padding-right:224px!important}.pb-224{padding-bottom:224px!important}.pl-224{padding-left:224px!important}.pt-228{padding-top:228px!important}.pr-228{padding-right:228px!important}.pb-228{padding-bottom:228px!important}.pl-228{padding-left:228px!important}.pt-232{padding-top:232px!important}.pr-232{padding-right:232px!important}.pb-232{padding-bottom:232px!important}.pl-232{padding-left:232px!important}.pt-236{padding-top:236px!important}.pr-236{padding-right:236px!important}.pb-236{padding-bottom:236px!important}.pl-236{padding-left:236px!important}.pt-240{padding-top:240px!important}.pr-240{padding-right:240px!important}.pb-240{padding-bottom:240px!important}.pl-240{padding-left:240px!important}.pt-244{padding-top:244px!important}.pr-244{padding-right:244px!important}.pb-244{padding-bottom:244px!important}.pl-244{padding-left:244px!important}.pt-248{padding-top:248px!important}.pr-248{padding-right:248px!important}.pb-248{padding-bottom:248px!important}.pl-248{padding-left:248px!important}.pt-252{padding-top:252px!important}.pr-252{padding-right:252px!important}.pb-252{padding-bottom:252px!important}.pl-252{padding-left:252px!important}.pt-256{padding-top:256px!important}.pr-256{padding-right:256px!important}.pb-256{padding-bottom:256px!important}.pl-256{padding-left:256px!important}.bold{font-weight:700}.italic{font-weight:italic}.left{text-align:left}.right{text-align:right}.center{text-align:center}.pointer{cursor:pointer}.mid-width{width:50%}.full-width{width:100%}.hidden{display:none!important}\n"], dependencies: [{ kind: "directive", type: i6.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i6.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i6$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i6$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i7.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i7.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i7.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i7.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "directive", type: i8.DefaultShowHideDirective, selector: "  [fxShow], [fxShow.print],  [fxShow.xs], [fxShow.sm], [fxShow.md], [fxShow.lg], [fxShow.xl],  [fxShow.lt-sm], [fxShow.lt-md], [fxShow.lt-lg], [fxShow.lt-xl],  [fxShow.gt-xs], [fxShow.gt-sm], [fxShow.gt-md], [fxShow.gt-lg],  [fxHide], [fxHide.print],  [fxHide.xs], [fxHide.sm], [fxHide.md], [fxHide.lg], [fxHide.xl],  [fxHide.lt-sm], [fxHide.lt-md], [fxHide.lt-lg], [fxHide.lt-xl],  [fxHide.gt-xs], [fxHide.gt-sm], [fxHide.gt-md], [fxHide.gt-lg]", inputs: ["fxShow", "fxShow.print", "fxShow.xs", "fxShow.sm", "fxShow.md", "fxShow.lg", "fxShow.xl", "fxShow.lt-sm", "fxShow.lt-md", "fxShow.lt-lg", "fxShow.lt-xl", "fxShow.gt-xs", "fxShow.gt-sm", "fxShow.gt-md", "fxShow.gt-lg", "fxHide", "fxHide.print", "fxHide.xs", "fxHide.sm", "fxHide.md", "fxHide.lg", "fxHide.xl", "fxHide.lt-sm", "fxHide.lt-md", "fxHide.lt-lg", "fxHide.lt-xl", "fxHide.gt-xs", "fxHide.gt-sm", "fxHide.gt-md", "fxHide.gt-lg"] }, { kind: "directive", type: i8.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: i9$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i10.MatCard, selector: "mat-card", inputs: ["appearance"], exportAs: ["matCard"] }, { kind: "directive", type: i11.MatRadioGroup, selector: "mat-radio-group", exportAs: ["matRadioGroup"] }, { kind: "component", type: i11.MatRadioButton, selector: "mat-radio-button", inputs: ["disableRipple", "tabIndex"], exportAs: ["matRadioButton"] }, { kind: "pipe", type: i6.DecimalPipe, name: "number" }, { kind: "pipe", type: i6.CurrencyPipe, name: "currency" }, { kind: "pipe", type: i1$1.TranslatePipe, name: "translate" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: CfarOfferBannerLargeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'hopper-cfar-offer-banner-large', template: "<div\n  ngClass.gt-sm=\"px-32\"\n  ngClass.lt-md=\"px-16\"\n  ngClass.lt-sm=\"px-8\"\n  fxLayout=\"row wrap\"\n  fxLayoutAlign=\"center center\"\n>\n  <div\n    fxFlex=\"100\"\n    *ngIf=\"cfarOffers && hasWarningCoverageMessage && !selectedChoice\"\n    class=\"warning-message mx-16 mt-16\"\n    fxLayout=\"row\"\n    fxLayoutAlign=\"start center\"\n  >\n    <mat-icon>error</mat-icon>\n    <span class=\"p-16\">{{\n      'CFAR_OFFER_BANNER_LARGE.WARNING_MESSAGE' | translate\n    }}</span>\n  </div>\n\n  <mat-card\n    fxFlex=\"100\"\n    *ngIf=\"cfarOffers\"\n    class=\"offers-container m-16 pointer\"\n    fxLayout=\"row wrap\"\n  >\n    <div fxFlex=\"100\" fxLayout=\"row wrap\">\n      <div fxFlex=\"100\" fxLayout=\"row\" fxLayoutAlign=\"start center\">\n        <h4 class=\"offer-title m-0\">\n          {{ 'CFAR_OFFER_BANNER_LARGE.TITLE' | translate }}\n        </h4>\n      </div>\n\n      <div\n        class=\"my-8\"\n        fxFlex=\"100\"\n        fxLayout=\"row\"\n        fxLayoutAlign=\"start center\"\n        fxLayoutGap=\"16px\"\n      >\n        <div\n          fxFlex=\"70\"\n          fxFlex.lt-md=\"60\"\n          fxFlex.lt-sm=\"100\"\n          fxLayout=\"column\"\n          fxLayoutGap=\"16px\"\n          fxLayoutAlign=\"center start\"\n        >\n          <ng-container\n            *ngFor=\"\n              let desc of getOfferDescription(selectedCfarOffer);\n              let i = index\n            \"\n          >\n            <div fxLayout=\"row\" fxLayoutAlign=\"start center\" fxLayoutGap=\"8px\">\n              <mat-icon class=\"check-icon\">check</mat-icon>\n              <span innerHtml=\"{{ desc }}\"></span>\n            </div>\n          </ng-container>\n\n          <div\n            fxLayout=\"row\"\n            fxLayoutAlign=\"start center\"\n            fxLayoutGap=\"8px\"\n            (click)=\"onOpenTermsAndConditions()\"\n          >\n            <a\n              href=\"{{ getTCsUrl(selectedCfarOffer) }}\"\n              attr.aria-describedby=\"{{ 'COMMON.TERMS_LINK_TEXT' | translate }}\"\n              target=\"_blank\"\n            >\n              {{ 'COMMON.TERMS_LINK_TEXT' | translate }}\n            </a>\n          </div>\n      </div>\n\n        <div\n          fxFlex=\"calc(30% - 16px)\"\n          fxFlex.lt-md=\"calc(40% - 16px)\"\n          fxHide.lt-sm\n          fxLayout=\"row\"\n          fxLayoutAlign=\"center center\"\n          class=\"py-16\"\n          ngClass.lt-sm=\"py-0\"\n        >\n          <img\n            class=\"responsive-image\"\n            alt=\"Offer banner image\"\n            aria-label=\"Offer banner image\"\n            src=\"{{ imageBasePath || '' }}assets/offer-banner-image.jpg\"\n          />\n        </div>\n        \n      </div>\n\n      <div\n        fxFlex=\"100\"\n        fxLayout=\"row wrap\"\n        class=\"mb-16\"\n        fxLayoutAlign=\"start center\"\n        fxLayoutGap=\"16px\"\n      >\n        <mat-radio-group\n          fxFlex=\"100\"\n          fxLayout=\"row wrap\"\n          fxLayoutAlign=\"start center\"\n          color=\"primary\"\n          [(ngModel)]=\"selectedChoice\"\n          (ngModelChange)=\"onChooseCoverage()\"\n        >\n          <div\n            fxFlex=\"100\"\n            fxLayout=\"row\"\n            fxLayoutGap=\"16px\"\n            fxLayout.lt-sm=\"column\"\n            fxLayoutAlign=\"start center\"\n            fxLayoutAlign.lt-sm=\"center start\"\n          >\n            <div\n              fxFlex\n              class=\"offer-choice\"\n              fxLayout=\"row wrap\"\n              fxLayoutAlign=\"start start\"\n              *ngFor=\"let offer of cfarOffers; let i = index\"\n            >\n              <mat-radio-button\n                color=\"accent\"\n                fxFlex=\"100\"\n                value=\"{{ i }}\"\n                class=\"important-text bold\"\n                attr.aria-label=\"\n                                {{\n                  'COMMON.COVERAGE_PERCENTAGE_ACCESSIBILITY'\n                    | translate\n                      : {\n                          coverage:\n                            (offer.coveragePercentage | number: '1.0-0'),\n                          price:\n                            (getPricePerTraveler(offer)\n                            | currency\n                              : offer?.currency\n                              : 'symbol'\n                              : undefined\n                              : currentLang)\n                        }\n                }}\n                                \"\n                [disabled]=\"isLoadingContract\"\n              >\n                {{\n                  'COMMON.COVERAGE_PERCENTAGE'\n                    | translate\n                      : {\n                          coverage: (offer.coveragePercentage | number: '1.0-0')\n                        }\n                }}\n              </mat-radio-button>\n\n              <div\n                class=\"mt-8 mr-16\"\n                fxFlex=\"100\"\n                fxLayoutAlign=\"start center\"\n                fxLayoutGap=\"8px\"\n                attr.aria-label=\"{{\n                  'COMMON.PRICE_PER_TRAVELER'\n                    | translate\n                      : {\n                          price:\n                            (getPricePerTraveler(offer)\n                            | currency\n                              : offer?.currency\n                              : 'symbol'\n                              : undefined\n                              : currentLang)\n                        }\n                }}\"\n                innerHtml=\"{{\n                  'COMMON.PRICE_PER_TRAVELER'\n                    | translate\n                      : {\n                          price:\n                            (getPricePerTraveler(offer)\n                            | currency\n                              : offer?.currency\n                              : 'symbol'\n                              : undefined\n                              : currentLang)\n                        }\n                }}\"\n              ></div>\n\n              <div\n                class=\"mt-8 mr-16 incl-taxes\"\n                fxFlex=\"100\"\n                fxLayoutAlign=\"start center\"\n                attr.aria-label=\"{{ 'COMMON.INCL_TAXES' | translate }}\"\n              >\n                {{ 'COMMON.INCL_TAXES' | translate }}\n              </div>\n            </div>\n          </div>\n\n          <mat-radio-button\n            color=\"accent\"\n            *ngIf=\"hasNoCoverageOption\"\n            class=\"default-choice mt-16 p-16\"\n            fxFlex=\"100\"\n            value=\"-1\"\n          >\n            {{ 'CFAR_OFFER_BANNER_LARGE.NO_COVERAGE_OPTION' | translate }}\n          </mat-radio-button>\n        </mat-radio-group>\n      </div>\n\n      <div fxFlex=\"100\" fxLayout=\"row\" fxLayoutAlign=\"end center\">\n        <a href=\"https://hts.hopper.com/\" target=\"_blank\">\n          <img\n            class=\"provided-by-image\"\n            src=\"{{ imageBasePath || '' }}assets/provided-by-hopper/{{\n              currentLang || 'en'\n            }}.svg\"\n          />\n        </a>\n      </div>\n    </div>\n  </mat-card>\n</div>\n", styles: [".m-0{margin:0!important}.m-4{margin:4px!important}.m-8{margin:8px!important}.m-12{margin:12px!important}.m-16{margin:16px!important}.m-20{margin:20px!important}.m-24{margin:24px!important}.m-28{margin:28px!important}.m-32{margin:32px!important}.m-36{margin:36px!important}.m-40{margin:40px!important}.m-44{margin:44px!important}.m-48{margin:48px!important}.m-52{margin:52px!important}.m-56{margin:56px!important}.m-60{margin:60px!important}.m-64{margin:64px!important}.m-68{margin:68px!important}.m-72{margin:72px!important}.m-76{margin:76px!important}.m-80{margin:80px!important}.m-84{margin:84px!important}.m-88{margin:88px!important}.m-92{margin:92px!important}.m-96{margin:96px!important}.m-100{margin:100px!important}.m-104{margin:104px!important}.m-108{margin:108px!important}.m-112{margin:112px!important}.m-116{margin:116px!important}.m-120{margin:120px!important}.m-124{margin:124px!important}.m-128{margin:128px!important}.m-132{margin:132px!important}.m-136{margin:136px!important}.m-140{margin:140px!important}.m-144{margin:144px!important}.m-148{margin:148px!important}.m-152{margin:152px!important}.m-156{margin:156px!important}.m-160{margin:160px!important}.m-164{margin:164px!important}.m-168{margin:168px!important}.m-172{margin:172px!important}.m-176{margin:176px!important}.m-180{margin:180px!important}.m-184{margin:184px!important}.m-188{margin:188px!important}.m-192{margin:192px!important}.m-196{margin:196px!important}.m-200{margin:200px!important}.m-204{margin:204px!important}.m-208{margin:208px!important}.m-212{margin:212px!important}.m-216{margin:216px!important}.m-220{margin:220px!important}.m-224{margin:224px!important}.m-228{margin:228px!important}.m-232{margin:232px!important}.m-236{margin:236px!important}.m-240{margin:240px!important}.m-244{margin:244px!important}.m-248{margin:248px!important}.m-252{margin:252px!important}.m-256{margin:256px!important}.mx-0{margin-right:0!important;margin-left:0!important}.my-0{margin-top:0!important;margin-bottom:0!important}.mx-4{margin-right:4px!important;margin-left:4px!important}.my-4{margin-top:4px!important;margin-bottom:4px!important}.mx-8{margin-right:8px!important;margin-left:8px!important}.my-8{margin-top:8px!important;margin-bottom:8px!important}.mx-12{margin-right:12px!important;margin-left:12px!important}.my-12{margin-top:12px!important;margin-bottom:12px!important}.mx-16{margin-right:16px!important;margin-left:16px!important}.my-16{margin-top:16px!important;margin-bottom:16px!important}.mx-20{margin-right:20px!important;margin-left:20px!important}.my-20{margin-top:20px!important;margin-bottom:20px!important}.mx-24{margin-right:24px!important;margin-left:24px!important}.my-24{margin-top:24px!important;margin-bottom:24px!important}.mx-28{margin-right:28px!important;margin-left:28px!important}.my-28{margin-top:28px!important;margin-bottom:28px!important}.mx-32{margin-right:32px!important;margin-left:32px!important}.my-32{margin-top:32px!important;margin-bottom:32px!important}.mx-36{margin-right:36px!important;margin-left:36px!important}.my-36{margin-top:36px!important;margin-bottom:36px!important}.mx-40{margin-right:40px!important;margin-left:40px!important}.my-40{margin-top:40px!important;margin-bottom:40px!important}.mx-44{margin-right:44px!important;margin-left:44px!important}.my-44{margin-top:44px!important;margin-bottom:44px!important}.mx-48{margin-right:48px!important;margin-left:48px!important}.my-48{margin-top:48px!important;margin-bottom:48px!important}.mx-52{margin-right:52px!important;margin-left:52px!important}.my-52{margin-top:52px!important;margin-bottom:52px!important}.mx-56{margin-right:56px!important;margin-left:56px!important}.my-56{margin-top:56px!important;margin-bottom:56px!important}.mx-60{margin-right:60px!important;margin-left:60px!important}.my-60{margin-top:60px!important;margin-bottom:60px!important}.mx-64{margin-right:64px!important;margin-left:64px!important}.my-64{margin-top:64px!important;margin-bottom:64px!important}.mx-68{margin-right:68px!important;margin-left:68px!important}.my-68{margin-top:68px!important;margin-bottom:68px!important}.mx-72{margin-right:72px!important;margin-left:72px!important}.my-72{margin-top:72px!important;margin-bottom:72px!important}.mx-76{margin-right:76px!important;margin-left:76px!important}.my-76{margin-top:76px!important;margin-bottom:76px!important}.mx-80{margin-right:80px!important;margin-left:80px!important}.my-80{margin-top:80px!important;margin-bottom:80px!important}.mx-84{margin-right:84px!important;margin-left:84px!important}.my-84{margin-top:84px!important;margin-bottom:84px!important}.mx-88{margin-right:88px!important;margin-left:88px!important}.my-88{margin-top:88px!important;margin-bottom:88px!important}.mx-92{margin-right:92px!important;margin-left:92px!important}.my-92{margin-top:92px!important;margin-bottom:92px!important}.mx-96{margin-right:96px!important;margin-left:96px!important}.my-96{margin-top:96px!important;margin-bottom:96px!important}.mx-100{margin-right:100px!important;margin-left:100px!important}.my-100{margin-top:100px!important;margin-bottom:100px!important}.mx-104{margin-right:104px!important;margin-left:104px!important}.my-104{margin-top:104px!important;margin-bottom:104px!important}.mx-108{margin-right:108px!important;margin-left:108px!important}.my-108{margin-top:108px!important;margin-bottom:108px!important}.mx-112{margin-right:112px!important;margin-left:112px!important}.my-112{margin-top:112px!important;margin-bottom:112px!important}.mx-116{margin-right:116px!important;margin-left:116px!important}.my-116{margin-top:116px!important;margin-bottom:116px!important}.mx-120{margin-right:120px!important;margin-left:120px!important}.my-120{margin-top:120px!important;margin-bottom:120px!important}.mx-124{margin-right:124px!important;margin-left:124px!important}.my-124{margin-top:124px!important;margin-bottom:124px!important}.mx-128{margin-right:128px!important;margin-left:128px!important}.my-128{margin-top:128px!important;margin-bottom:128px!important}.mx-132{margin-right:132px!important;margin-left:132px!important}.my-132{margin-top:132px!important;margin-bottom:132px!important}.mx-136{margin-right:136px!important;margin-left:136px!important}.my-136{margin-top:136px!important;margin-bottom:136px!important}.mx-140{margin-right:140px!important;margin-left:140px!important}.my-140{margin-top:140px!important;margin-bottom:140px!important}.mx-144{margin-right:144px!important;margin-left:144px!important}.my-144{margin-top:144px!important;margin-bottom:144px!important}.mx-148{margin-right:148px!important;margin-left:148px!important}.my-148{margin-top:148px!important;margin-bottom:148px!important}.mx-152{margin-right:152px!important;margin-left:152px!important}.my-152{margin-top:152px!important;margin-bottom:152px!important}.mx-156{margin-right:156px!important;margin-left:156px!important}.my-156{margin-top:156px!important;margin-bottom:156px!important}.mx-160{margin-right:160px!important;margin-left:160px!important}.my-160{margin-top:160px!important;margin-bottom:160px!important}.mx-164{margin-right:164px!important;margin-left:164px!important}.my-164{margin-top:164px!important;margin-bottom:164px!important}.mx-168{margin-right:168px!important;margin-left:168px!important}.my-168{margin-top:168px!important;margin-bottom:168px!important}.mx-172{margin-right:172px!important;margin-left:172px!important}.my-172{margin-top:172px!important;margin-bottom:172px!important}.mx-176{margin-right:176px!important;margin-left:176px!important}.my-176{margin-top:176px!important;margin-bottom:176px!important}.mx-180{margin-right:180px!important;margin-left:180px!important}.my-180{margin-top:180px!important;margin-bottom:180px!important}.mx-184{margin-right:184px!important;margin-left:184px!important}.my-184{margin-top:184px!important;margin-bottom:184px!important}.mx-188{margin-right:188px!important;margin-left:188px!important}.my-188{margin-top:188px!important;margin-bottom:188px!important}.mx-192{margin-right:192px!important;margin-left:192px!important}.my-192{margin-top:192px!important;margin-bottom:192px!important}.mx-196{margin-right:196px!important;margin-left:196px!important}.my-196{margin-top:196px!important;margin-bottom:196px!important}.mx-200{margin-right:200px!important;margin-left:200px!important}.my-200{margin-top:200px!important;margin-bottom:200px!important}.mx-204{margin-right:204px!important;margin-left:204px!important}.my-204{margin-top:204px!important;margin-bottom:204px!important}.mx-208{margin-right:208px!important;margin-left:208px!important}.my-208{margin-top:208px!important;margin-bottom:208px!important}.mx-212{margin-right:212px!important;margin-left:212px!important}.my-212{margin-top:212px!important;margin-bottom:212px!important}.mx-216{margin-right:216px!important;margin-left:216px!important}.my-216{margin-top:216px!important;margin-bottom:216px!important}.mx-220{margin-right:220px!important;margin-left:220px!important}.my-220{margin-top:220px!important;margin-bottom:220px!important}.mx-224{margin-right:224px!important;margin-left:224px!important}.my-224{margin-top:224px!important;margin-bottom:224px!important}.mx-228{margin-right:228px!important;margin-left:228px!important}.my-228{margin-top:228px!important;margin-bottom:228px!important}.mx-232{margin-right:232px!important;margin-left:232px!important}.my-232{margin-top:232px!important;margin-bottom:232px!important}.mx-236{margin-right:236px!important;margin-left:236px!important}.my-236{margin-top:236px!important;margin-bottom:236px!important}.mx-240{margin-right:240px!important;margin-left:240px!important}.my-240{margin-top:240px!important;margin-bottom:240px!important}.mx-244{margin-right:244px!important;margin-left:244px!important}.my-244{margin-top:244px!important;margin-bottom:244px!important}.mx-248{margin-right:248px!important;margin-left:248px!important}.my-248{margin-top:248px!important;margin-bottom:248px!important}.mx-252{margin-right:252px!important;margin-left:252px!important}.my-252{margin-top:252px!important;margin-bottom:252px!important}.mx-256{margin-right:256px!important;margin-left:256px!important}.my-256{margin-top:256px!important;margin-bottom:256px!important}.mt-0{margin-top:0!important}.mr-0{margin-right:0!important}.mb-0{margin-bottom:0!important}.ml-0{margin-left:0!important}.mt-4{margin-top:4px!important}.mr-4{margin-right:4px!important}.mb-4{margin-bottom:4px!important}.ml-4{margin-left:4px!important}.mt-8{margin-top:8px!important}.mr-8{margin-right:8px!important}.mb-8{margin-bottom:8px!important}.ml-8{margin-left:8px!important}.mt-12{margin-top:12px!important}.mr-12{margin-right:12px!important}.mb-12{margin-bottom:12px!important}.ml-12{margin-left:12px!important}.mt-16{margin-top:16px!important}.mr-16{margin-right:16px!important}.mb-16{margin-bottom:16px!important}.ml-16{margin-left:16px!important}.mt-20{margin-top:20px!important}.mr-20{margin-right:20px!important}.mb-20{margin-bottom:20px!important}.ml-20{margin-left:20px!important}.mt-24{margin-top:24px!important}.mr-24{margin-right:24px!important}.mb-24{margin-bottom:24px!important}.ml-24{margin-left:24px!important}.mt-28{margin-top:28px!important}.mr-28{margin-right:28px!important}.mb-28{margin-bottom:28px!important}.ml-28{margin-left:28px!important}.mt-32{margin-top:32px!important}.mr-32{margin-right:32px!important}.mb-32{margin-bottom:32px!important}.ml-32{margin-left:32px!important}.mt-36{margin-top:36px!important}.mr-36{margin-right:36px!important}.mb-36{margin-bottom:36px!important}.ml-36{margin-left:36px!important}.mt-40{margin-top:40px!important}.mr-40{margin-right:40px!important}.mb-40{margin-bottom:40px!important}.ml-40{margin-left:40px!important}.mt-44{margin-top:44px!important}.mr-44{margin-right:44px!important}.mb-44{margin-bottom:44px!important}.ml-44{margin-left:44px!important}.mt-48{margin-top:48px!important}.mr-48{margin-right:48px!important}.mb-48{margin-bottom:48px!important}.ml-48{margin-left:48px!important}.mt-52{margin-top:52px!important}.mr-52{margin-right:52px!important}.mb-52{margin-bottom:52px!important}.ml-52{margin-left:52px!important}.mt-56{margin-top:56px!important}.mr-56{margin-right:56px!important}.mb-56{margin-bottom:56px!important}.ml-56{margin-left:56px!important}.mt-60{margin-top:60px!important}.mr-60{margin-right:60px!important}.mb-60{margin-bottom:60px!important}.ml-60{margin-left:60px!important}.mt-64{margin-top:64px!important}.mr-64{margin-right:64px!important}.mb-64{margin-bottom:64px!important}.ml-64{margin-left:64px!important}.mt-68{margin-top:68px!important}.mr-68{margin-right:68px!important}.mb-68{margin-bottom:68px!important}.ml-68{margin-left:68px!important}.mt-72{margin-top:72px!important}.mr-72{margin-right:72px!important}.mb-72{margin-bottom:72px!important}.ml-72{margin-left:72px!important}.mt-76{margin-top:76px!important}.mr-76{margin-right:76px!important}.mb-76{margin-bottom:76px!important}.ml-76{margin-left:76px!important}.mt-80{margin-top:80px!important}.mr-80{margin-right:80px!important}.mb-80{margin-bottom:80px!important}.ml-80{margin-left:80px!important}.mt-84{margin-top:84px!important}.mr-84{margin-right:84px!important}.mb-84{margin-bottom:84px!important}.ml-84{margin-left:84px!important}.mt-88{margin-top:88px!important}.mr-88{margin-right:88px!important}.mb-88{margin-bottom:88px!important}.ml-88{margin-left:88px!important}.mt-92{margin-top:92px!important}.mr-92{margin-right:92px!important}.mb-92{margin-bottom:92px!important}.ml-92{margin-left:92px!important}.mt-96{margin-top:96px!important}.mr-96{margin-right:96px!important}.mb-96{margin-bottom:96px!important}.ml-96{margin-left:96px!important}.mt-100{margin-top:100px!important}.mr-100{margin-right:100px!important}.mb-100{margin-bottom:100px!important}.ml-100{margin-left:100px!important}.mt-104{margin-top:104px!important}.mr-104{margin-right:104px!important}.mb-104{margin-bottom:104px!important}.ml-104{margin-left:104px!important}.mt-108{margin-top:108px!important}.mr-108{margin-right:108px!important}.mb-108{margin-bottom:108px!important}.ml-108{margin-left:108px!important}.mt-112{margin-top:112px!important}.mr-112{margin-right:112px!important}.mb-112{margin-bottom:112px!important}.ml-112{margin-left:112px!important}.mt-116{margin-top:116px!important}.mr-116{margin-right:116px!important}.mb-116{margin-bottom:116px!important}.ml-116{margin-left:116px!important}.mt-120{margin-top:120px!important}.mr-120{margin-right:120px!important}.mb-120{margin-bottom:120px!important}.ml-120{margin-left:120px!important}.mt-124{margin-top:124px!important}.mr-124{margin-right:124px!important}.mb-124{margin-bottom:124px!important}.ml-124{margin-left:124px!important}.mt-128{margin-top:128px!important}.mr-128{margin-right:128px!important}.mb-128{margin-bottom:128px!important}.ml-128{margin-left:128px!important}.mt-132{margin-top:132px!important}.mr-132{margin-right:132px!important}.mb-132{margin-bottom:132px!important}.ml-132{margin-left:132px!important}.mt-136{margin-top:136px!important}.mr-136{margin-right:136px!important}.mb-136{margin-bottom:136px!important}.ml-136{margin-left:136px!important}.mt-140{margin-top:140px!important}.mr-140{margin-right:140px!important}.mb-140{margin-bottom:140px!important}.ml-140{margin-left:140px!important}.mt-144{margin-top:144px!important}.mr-144{margin-right:144px!important}.mb-144{margin-bottom:144px!important}.ml-144{margin-left:144px!important}.mt-148{margin-top:148px!important}.mr-148{margin-right:148px!important}.mb-148{margin-bottom:148px!important}.ml-148{margin-left:148px!important}.mt-152{margin-top:152px!important}.mr-152{margin-right:152px!important}.mb-152{margin-bottom:152px!important}.ml-152{margin-left:152px!important}.mt-156{margin-top:156px!important}.mr-156{margin-right:156px!important}.mb-156{margin-bottom:156px!important}.ml-156{margin-left:156px!important}.mt-160{margin-top:160px!important}.mr-160{margin-right:160px!important}.mb-160{margin-bottom:160px!important}.ml-160{margin-left:160px!important}.mt-164{margin-top:164px!important}.mr-164{margin-right:164px!important}.mb-164{margin-bottom:164px!important}.ml-164{margin-left:164px!important}.mt-168{margin-top:168px!important}.mr-168{margin-right:168px!important}.mb-168{margin-bottom:168px!important}.ml-168{margin-left:168px!important}.mt-172{margin-top:172px!important}.mr-172{margin-right:172px!important}.mb-172{margin-bottom:172px!important}.ml-172{margin-left:172px!important}.mt-176{margin-top:176px!important}.mr-176{margin-right:176px!important}.mb-176{margin-bottom:176px!important}.ml-176{margin-left:176px!important}.mt-180{margin-top:180px!important}.mr-180{margin-right:180px!important}.mb-180{margin-bottom:180px!important}.ml-180{margin-left:180px!important}.mt-184{margin-top:184px!important}.mr-184{margin-right:184px!important}.mb-184{margin-bottom:184px!important}.ml-184{margin-left:184px!important}.mt-188{margin-top:188px!important}.mr-188{margin-right:188px!important}.mb-188{margin-bottom:188px!important}.ml-188{margin-left:188px!important}.mt-192{margin-top:192px!important}.mr-192{margin-right:192px!important}.mb-192{margin-bottom:192px!important}.ml-192{margin-left:192px!important}.mt-196{margin-top:196px!important}.mr-196{margin-right:196px!important}.mb-196{margin-bottom:196px!important}.ml-196{margin-left:196px!important}.mt-200{margin-top:200px!important}.mr-200{margin-right:200px!important}.mb-200{margin-bottom:200px!important}.ml-200{margin-left:200px!important}.mt-204{margin-top:204px!important}.mr-204{margin-right:204px!important}.mb-204{margin-bottom:204px!important}.ml-204{margin-left:204px!important}.mt-208{margin-top:208px!important}.mr-208{margin-right:208px!important}.mb-208{margin-bottom:208px!important}.ml-208{margin-left:208px!important}.mt-212{margin-top:212px!important}.mr-212{margin-right:212px!important}.mb-212{margin-bottom:212px!important}.ml-212{margin-left:212px!important}.mt-216{margin-top:216px!important}.mr-216{margin-right:216px!important}.mb-216{margin-bottom:216px!important}.ml-216{margin-left:216px!important}.mt-220{margin-top:220px!important}.mr-220{margin-right:220px!important}.mb-220{margin-bottom:220px!important}.ml-220{margin-left:220px!important}.mt-224{margin-top:224px!important}.mr-224{margin-right:224px!important}.mb-224{margin-bottom:224px!important}.ml-224{margin-left:224px!important}.mt-228{margin-top:228px!important}.mr-228{margin-right:228px!important}.mb-228{margin-bottom:228px!important}.ml-228{margin-left:228px!important}.mt-232{margin-top:232px!important}.mr-232{margin-right:232px!important}.mb-232{margin-bottom:232px!important}.ml-232{margin-left:232px!important}.mt-236{margin-top:236px!important}.mr-236{margin-right:236px!important}.mb-236{margin-bottom:236px!important}.ml-236{margin-left:236px!important}.mt-240{margin-top:240px!important}.mr-240{margin-right:240px!important}.mb-240{margin-bottom:240px!important}.ml-240{margin-left:240px!important}.mt-244{margin-top:244px!important}.mr-244{margin-right:244px!important}.mb-244{margin-bottom:244px!important}.ml-244{margin-left:244px!important}.mt-248{margin-top:248px!important}.mr-248{margin-right:248px!important}.mb-248{margin-bottom:248px!important}.ml-248{margin-left:248px!important}.mt-252{margin-top:252px!important}.mr-252{margin-right:252px!important}.mb-252{margin-bottom:252px!important}.ml-252{margin-left:252px!important}.mt-256{margin-top:256px!important}.mr-256{margin-right:256px!important}.mb-256{margin-bottom:256px!important}.ml-256{margin-left:256px!important}.m-auto{margin:auto!important}.mt-auto{margin-top:auto!important}.mr-auto{margin-right:auto!important}.mb-auto{margin-bottom:auto!important}.ml-auto{margin-left:auto!important}.mx-auto{margin-right:auto!important;margin-left:auto!important}.my-auto{margin-top:auto!important;margin-bottom:auto!important}.p-0{padding:0!important}.p-4{padding:4px!important}.p-8{padding:8px!important}.p-12{padding:12px!important}.p-16{padding:16px!important}.p-20{padding:20px!important}.p-24{padding:24px!important}.p-28{padding:28px!important}.p-32{padding:32px!important}.p-36{padding:36px!important}.p-40{padding:40px!important}.p-44{padding:44px!important}.p-48{padding:48px!important}.p-52{padding:52px!important}.p-56{padding:56px!important}.p-60{padding:60px!important}.p-64{padding:64px!important}.p-68{padding:68px!important}.p-72{padding:72px!important}.p-76{padding:76px!important}.p-80{padding:80px!important}.p-84{padding:84px!important}.p-88{padding:88px!important}.p-92{padding:92px!important}.p-96{padding:96px!important}.p-100{padding:100px!important}.p-104{padding:104px!important}.p-108{padding:108px!important}.p-112{padding:112px!important}.p-116{padding:116px!important}.p-120{padding:120px!important}.p-124{padding:124px!important}.p-128{padding:128px!important}.p-132{padding:132px!important}.p-136{padding:136px!important}.p-140{padding:140px!important}.p-144{padding:144px!important}.p-148{padding:148px!important}.p-152{padding:152px!important}.p-156{padding:156px!important}.p-160{padding:160px!important}.p-164{padding:164px!important}.p-168{padding:168px!important}.p-172{padding:172px!important}.p-176{padding:176px!important}.p-180{padding:180px!important}.p-184{padding:184px!important}.p-188{padding:188px!important}.p-192{padding:192px!important}.p-196{padding:196px!important}.p-200{padding:200px!important}.p-204{padding:204px!important}.p-208{padding:208px!important}.p-212{padding:212px!important}.p-216{padding:216px!important}.p-220{padding:220px!important}.p-224{padding:224px!important}.p-228{padding:228px!important}.p-232{padding:232px!important}.p-236{padding:236px!important}.p-240{padding:240px!important}.p-244{padding:244px!important}.p-248{padding:248px!important}.p-252{padding:252px!important}.p-256{padding:256px!important}.px-0{padding-right:0!important;padding-left:0!important}.py-0{padding-top:0!important;padding-bottom:0!important}.px-4{padding-right:4px!important;padding-left:4px!important}.py-4{padding-top:4px!important;padding-bottom:4px!important}.px-8{padding-right:8px!important;padding-left:8px!important}.py-8{padding-top:8px!important;padding-bottom:8px!important}.px-12{padding-right:12px!important;padding-left:12px!important}.py-12{padding-top:12px!important;padding-bottom:12px!important}.px-16{padding-right:16px!important;padding-left:16px!important}.py-16{padding-top:16px!important;padding-bottom:16px!important}.px-20{padding-right:20px!important;padding-left:20px!important}.py-20{padding-top:20px!important;padding-bottom:20px!important}.px-24{padding-right:24px!important;padding-left:24px!important}.py-24{padding-top:24px!important;padding-bottom:24px!important}.px-28{padding-right:28px!important;padding-left:28px!important}.py-28{padding-top:28px!important;padding-bottom:28px!important}.px-32{padding-right:32px!important;padding-left:32px!important}.py-32{padding-top:32px!important;padding-bottom:32px!important}.px-36{padding-right:36px!important;padding-left:36px!important}.py-36{padding-top:36px!important;padding-bottom:36px!important}.px-40{padding-right:40px!important;padding-left:40px!important}.py-40{padding-top:40px!important;padding-bottom:40px!important}.px-44{padding-right:44px!important;padding-left:44px!important}.py-44{padding-top:44px!important;padding-bottom:44px!important}.px-48{padding-right:48px!important;padding-left:48px!important}.py-48{padding-top:48px!important;padding-bottom:48px!important}.px-52{padding-right:52px!important;padding-left:52px!important}.py-52{padding-top:52px!important;padding-bottom:52px!important}.px-56{padding-right:56px!important;padding-left:56px!important}.py-56{padding-top:56px!important;padding-bottom:56px!important}.px-60{padding-right:60px!important;padding-left:60px!important}.py-60{padding-top:60px!important;padding-bottom:60px!important}.px-64{padding-right:64px!important;padding-left:64px!important}.py-64{padding-top:64px!important;padding-bottom:64px!important}.px-68{padding-right:68px!important;padding-left:68px!important}.py-68{padding-top:68px!important;padding-bottom:68px!important}.px-72{padding-right:72px!important;padding-left:72px!important}.py-72{padding-top:72px!important;padding-bottom:72px!important}.px-76{padding-right:76px!important;padding-left:76px!important}.py-76{padding-top:76px!important;padding-bottom:76px!important}.px-80{padding-right:80px!important;padding-left:80px!important}.py-80{padding-top:80px!important;padding-bottom:80px!important}.px-84{padding-right:84px!important;padding-left:84px!important}.py-84{padding-top:84px!important;padding-bottom:84px!important}.px-88{padding-right:88px!important;padding-left:88px!important}.py-88{padding-top:88px!important;padding-bottom:88px!important}.px-92{padding-right:92px!important;padding-left:92px!important}.py-92{padding-top:92px!important;padding-bottom:92px!important}.px-96{padding-right:96px!important;padding-left:96px!important}.py-96{padding-top:96px!important;padding-bottom:96px!important}.px-100{padding-right:100px!important;padding-left:100px!important}.py-100{padding-top:100px!important;padding-bottom:100px!important}.px-104{padding-right:104px!important;padding-left:104px!important}.py-104{padding-top:104px!important;padding-bottom:104px!important}.px-108{padding-right:108px!important;padding-left:108px!important}.py-108{padding-top:108px!important;padding-bottom:108px!important}.px-112{padding-right:112px!important;padding-left:112px!important}.py-112{padding-top:112px!important;padding-bottom:112px!important}.px-116{padding-right:116px!important;padding-left:116px!important}.py-116{padding-top:116px!important;padding-bottom:116px!important}.px-120{padding-right:120px!important;padding-left:120px!important}.py-120{padding-top:120px!important;padding-bottom:120px!important}.px-124{padding-right:124px!important;padding-left:124px!important}.py-124{padding-top:124px!important;padding-bottom:124px!important}.px-128{padding-right:128px!important;padding-left:128px!important}.py-128{padding-top:128px!important;padding-bottom:128px!important}.px-132{padding-right:132px!important;padding-left:132px!important}.py-132{padding-top:132px!important;padding-bottom:132px!important}.px-136{padding-right:136px!important;padding-left:136px!important}.py-136{padding-top:136px!important;padding-bottom:136px!important}.px-140{padding-right:140px!important;padding-left:140px!important}.py-140{padding-top:140px!important;padding-bottom:140px!important}.px-144{padding-right:144px!important;padding-left:144px!important}.py-144{padding-top:144px!important;padding-bottom:144px!important}.px-148{padding-right:148px!important;padding-left:148px!important}.py-148{padding-top:148px!important;padding-bottom:148px!important}.px-152{padding-right:152px!important;padding-left:152px!important}.py-152{padding-top:152px!important;padding-bottom:152px!important}.px-156{padding-right:156px!important;padding-left:156px!important}.py-156{padding-top:156px!important;padding-bottom:156px!important}.px-160{padding-right:160px!important;padding-left:160px!important}.py-160{padding-top:160px!important;padding-bottom:160px!important}.px-164{padding-right:164px!important;padding-left:164px!important}.py-164{padding-top:164px!important;padding-bottom:164px!important}.px-168{padding-right:168px!important;padding-left:168px!important}.py-168{padding-top:168px!important;padding-bottom:168px!important}.px-172{padding-right:172px!important;padding-left:172px!important}.py-172{padding-top:172px!important;padding-bottom:172px!important}.px-176{padding-right:176px!important;padding-left:176px!important}.py-176{padding-top:176px!important;padding-bottom:176px!important}.px-180{padding-right:180px!important;padding-left:180px!important}.py-180{padding-top:180px!important;padding-bottom:180px!important}.px-184{padding-right:184px!important;padding-left:184px!important}.py-184{padding-top:184px!important;padding-bottom:184px!important}.px-188{padding-right:188px!important;padding-left:188px!important}.py-188{padding-top:188px!important;padding-bottom:188px!important}.px-192{padding-right:192px!important;padding-left:192px!important}.py-192{padding-top:192px!important;padding-bottom:192px!important}.px-196{padding-right:196px!important;padding-left:196px!important}.py-196{padding-top:196px!important;padding-bottom:196px!important}.px-200{padding-right:200px!important;padding-left:200px!important}.py-200{padding-top:200px!important;padding-bottom:200px!important}.px-204{padding-right:204px!important;padding-left:204px!important}.py-204{padding-top:204px!important;padding-bottom:204px!important}.px-208{padding-right:208px!important;padding-left:208px!important}.py-208{padding-top:208px!important;padding-bottom:208px!important}.px-212{padding-right:212px!important;padding-left:212px!important}.py-212{padding-top:212px!important;padding-bottom:212px!important}.px-216{padding-right:216px!important;padding-left:216px!important}.py-216{padding-top:216px!important;padding-bottom:216px!important}.px-220{padding-right:220px!important;padding-left:220px!important}.py-220{padding-top:220px!important;padding-bottom:220px!important}.px-224{padding-right:224px!important;padding-left:224px!important}.py-224{padding-top:224px!important;padding-bottom:224px!important}.px-228{padding-right:228px!important;padding-left:228px!important}.py-228{padding-top:228px!important;padding-bottom:228px!important}.px-232{padding-right:232px!important;padding-left:232px!important}.py-232{padding-top:232px!important;padding-bottom:232px!important}.px-236{padding-right:236px!important;padding-left:236px!important}.py-236{padding-top:236px!important;padding-bottom:236px!important}.px-240{padding-right:240px!important;padding-left:240px!important}.py-240{padding-top:240px!important;padding-bottom:240px!important}.px-244{padding-right:244px!important;padding-left:244px!important}.py-244{padding-top:244px!important;padding-bottom:244px!important}.px-248{padding-right:248px!important;padding-left:248px!important}.py-248{padding-top:248px!important;padding-bottom:248px!important}.px-252{padding-right:252px!important;padding-left:252px!important}.py-252{padding-top:252px!important;padding-bottom:252px!important}.px-256{padding-right:256px!important;padding-left:256px!important}.py-256{padding-top:256px!important;padding-bottom:256px!important}.pt-0{padding-top:0!important}.pr-0{padding-right:0!important}.pb-0{padding-bottom:0!important}.pl-0{padding-left:0!important}.pt-4{padding-top:4px!important}.pr-4{padding-right:4px!important}.pb-4{padding-bottom:4px!important}.pl-4{padding-left:4px!important}.pt-8{padding-top:8px!important}.pr-8{padding-right:8px!important}.pb-8{padding-bottom:8px!important}.pl-8{padding-left:8px!important}.pt-12{padding-top:12px!important}.pr-12{padding-right:12px!important}.pb-12{padding-bottom:12px!important}.pl-12{padding-left:12px!important}.pt-16{padding-top:16px!important}.pr-16{padding-right:16px!important}.pb-16{padding-bottom:16px!important}.pl-16{padding-left:16px!important}.pt-20{padding-top:20px!important}.pr-20{padding-right:20px!important}.pb-20{padding-bottom:20px!important}.pl-20{padding-left:20px!important}.pt-24{padding-top:24px!important}.pr-24{padding-right:24px!important}.pb-24{padding-bottom:24px!important}.pl-24{padding-left:24px!important}.pt-28{padding-top:28px!important}.pr-28{padding-right:28px!important}.pb-28{padding-bottom:28px!important}.pl-28{padding-left:28px!important}.pt-32{padding-top:32px!important}.pr-32{padding-right:32px!important}.pb-32{padding-bottom:32px!important}.pl-32{padding-left:32px!important}.pt-36{padding-top:36px!important}.pr-36{padding-right:36px!important}.pb-36{padding-bottom:36px!important}.pl-36{padding-left:36px!important}.pt-40{padding-top:40px!important}.pr-40{padding-right:40px!important}.pb-40{padding-bottom:40px!important}.pl-40{padding-left:40px!important}.pt-44{padding-top:44px!important}.pr-44{padding-right:44px!important}.pb-44{padding-bottom:44px!important}.pl-44{padding-left:44px!important}.pt-48{padding-top:48px!important}.pr-48{padding-right:48px!important}.pb-48{padding-bottom:48px!important}.pl-48{padding-left:48px!important}.pt-52{padding-top:52px!important}.pr-52{padding-right:52px!important}.pb-52{padding-bottom:52px!important}.pl-52{padding-left:52px!important}.pt-56{padding-top:56px!important}.pr-56{padding-right:56px!important}.pb-56{padding-bottom:56px!important}.pl-56{padding-left:56px!important}.pt-60{padding-top:60px!important}.pr-60{padding-right:60px!important}.pb-60{padding-bottom:60px!important}.pl-60{padding-left:60px!important}.pt-64{padding-top:64px!important}.pr-64{padding-right:64px!important}.pb-64{padding-bottom:64px!important}.pl-64{padding-left:64px!important}.pt-68{padding-top:68px!important}.pr-68{padding-right:68px!important}.pb-68{padding-bottom:68px!important}.pl-68{padding-left:68px!important}.pt-72{padding-top:72px!important}.pr-72{padding-right:72px!important}.pb-72{padding-bottom:72px!important}.pl-72{padding-left:72px!important}.pt-76{padding-top:76px!important}.pr-76{padding-right:76px!important}.pb-76{padding-bottom:76px!important}.pl-76{padding-left:76px!important}.pt-80{padding-top:80px!important}.pr-80{padding-right:80px!important}.pb-80{padding-bottom:80px!important}.pl-80{padding-left:80px!important}.pt-84{padding-top:84px!important}.pr-84{padding-right:84px!important}.pb-84{padding-bottom:84px!important}.pl-84{padding-left:84px!important}.pt-88{padding-top:88px!important}.pr-88{padding-right:88px!important}.pb-88{padding-bottom:88px!important}.pl-88{padding-left:88px!important}.pt-92{padding-top:92px!important}.pr-92{padding-right:92px!important}.pb-92{padding-bottom:92px!important}.pl-92{padding-left:92px!important}.pt-96{padding-top:96px!important}.pr-96{padding-right:96px!important}.pb-96{padding-bottom:96px!important}.pl-96{padding-left:96px!important}.pt-100{padding-top:100px!important}.pr-100{padding-right:100px!important}.pb-100{padding-bottom:100px!important}.pl-100{padding-left:100px!important}.pt-104{padding-top:104px!important}.pr-104{padding-right:104px!important}.pb-104{padding-bottom:104px!important}.pl-104{padding-left:104px!important}.pt-108{padding-top:108px!important}.pr-108{padding-right:108px!important}.pb-108{padding-bottom:108px!important}.pl-108{padding-left:108px!important}.pt-112{padding-top:112px!important}.pr-112{padding-right:112px!important}.pb-112{padding-bottom:112px!important}.pl-112{padding-left:112px!important}.pt-116{padding-top:116px!important}.pr-116{padding-right:116px!important}.pb-116{padding-bottom:116px!important}.pl-116{padding-left:116px!important}.pt-120{padding-top:120px!important}.pr-120{padding-right:120px!important}.pb-120{padding-bottom:120px!important}.pl-120{padding-left:120px!important}.pt-124{padding-top:124px!important}.pr-124{padding-right:124px!important}.pb-124{padding-bottom:124px!important}.pl-124{padding-left:124px!important}.pt-128{padding-top:128px!important}.pr-128{padding-right:128px!important}.pb-128{padding-bottom:128px!important}.pl-128{padding-left:128px!important}.pt-132{padding-top:132px!important}.pr-132{padding-right:132px!important}.pb-132{padding-bottom:132px!important}.pl-132{padding-left:132px!important}.pt-136{padding-top:136px!important}.pr-136{padding-right:136px!important}.pb-136{padding-bottom:136px!important}.pl-136{padding-left:136px!important}.pt-140{padding-top:140px!important}.pr-140{padding-right:140px!important}.pb-140{padding-bottom:140px!important}.pl-140{padding-left:140px!important}.pt-144{padding-top:144px!important}.pr-144{padding-right:144px!important}.pb-144{padding-bottom:144px!important}.pl-144{padding-left:144px!important}.pt-148{padding-top:148px!important}.pr-148{padding-right:148px!important}.pb-148{padding-bottom:148px!important}.pl-148{padding-left:148px!important}.pt-152{padding-top:152px!important}.pr-152{padding-right:152px!important}.pb-152{padding-bottom:152px!important}.pl-152{padding-left:152px!important}.pt-156{padding-top:156px!important}.pr-156{padding-right:156px!important}.pb-156{padding-bottom:156px!important}.pl-156{padding-left:156px!important}.pt-160{padding-top:160px!important}.pr-160{padding-right:160px!important}.pb-160{padding-bottom:160px!important}.pl-160{padding-left:160px!important}.pt-164{padding-top:164px!important}.pr-164{padding-right:164px!important}.pb-164{padding-bottom:164px!important}.pl-164{padding-left:164px!important}.pt-168{padding-top:168px!important}.pr-168{padding-right:168px!important}.pb-168{padding-bottom:168px!important}.pl-168{padding-left:168px!important}.pt-172{padding-top:172px!important}.pr-172{padding-right:172px!important}.pb-172{padding-bottom:172px!important}.pl-172{padding-left:172px!important}.pt-176{padding-top:176px!important}.pr-176{padding-right:176px!important}.pb-176{padding-bottom:176px!important}.pl-176{padding-left:176px!important}.pt-180{padding-top:180px!important}.pr-180{padding-right:180px!important}.pb-180{padding-bottom:180px!important}.pl-180{padding-left:180px!important}.pt-184{padding-top:184px!important}.pr-184{padding-right:184px!important}.pb-184{padding-bottom:184px!important}.pl-184{padding-left:184px!important}.pt-188{padding-top:188px!important}.pr-188{padding-right:188px!important}.pb-188{padding-bottom:188px!important}.pl-188{padding-left:188px!important}.pt-192{padding-top:192px!important}.pr-192{padding-right:192px!important}.pb-192{padding-bottom:192px!important}.pl-192{padding-left:192px!important}.pt-196{padding-top:196px!important}.pr-196{padding-right:196px!important}.pb-196{padding-bottom:196px!important}.pl-196{padding-left:196px!important}.pt-200{padding-top:200px!important}.pr-200{padding-right:200px!important}.pb-200{padding-bottom:200px!important}.pl-200{padding-left:200px!important}.pt-204{padding-top:204px!important}.pr-204{padding-right:204px!important}.pb-204{padding-bottom:204px!important}.pl-204{padding-left:204px!important}.pt-208{padding-top:208px!important}.pr-208{padding-right:208px!important}.pb-208{padding-bottom:208px!important}.pl-208{padding-left:208px!important}.pt-212{padding-top:212px!important}.pr-212{padding-right:212px!important}.pb-212{padding-bottom:212px!important}.pl-212{padding-left:212px!important}.pt-216{padding-top:216px!important}.pr-216{padding-right:216px!important}.pb-216{padding-bottom:216px!important}.pl-216{padding-left:216px!important}.pt-220{padding-top:220px!important}.pr-220{padding-right:220px!important}.pb-220{padding-bottom:220px!important}.pl-220{padding-left:220px!important}.pt-224{padding-top:224px!important}.pr-224{padding-right:224px!important}.pb-224{padding-bottom:224px!important}.pl-224{padding-left:224px!important}.pt-228{padding-top:228px!important}.pr-228{padding-right:228px!important}.pb-228{padding-bottom:228px!important}.pl-228{padding-left:228px!important}.pt-232{padding-top:232px!important}.pr-232{padding-right:232px!important}.pb-232{padding-bottom:232px!important}.pl-232{padding-left:232px!important}.pt-236{padding-top:236px!important}.pr-236{padding-right:236px!important}.pb-236{padding-bottom:236px!important}.pl-236{padding-left:236px!important}.pt-240{padding-top:240px!important}.pr-240{padding-right:240px!important}.pb-240{padding-bottom:240px!important}.pl-240{padding-left:240px!important}.pt-244{padding-top:244px!important}.pr-244{padding-right:244px!important}.pb-244{padding-bottom:244px!important}.pl-244{padding-left:244px!important}.pt-248{padding-top:248px!important}.pr-248{padding-right:248px!important}.pb-248{padding-bottom:248px!important}.pl-248{padding-left:248px!important}.pt-252{padding-top:252px!important}.pr-252{padding-right:252px!important}.pb-252{padding-bottom:252px!important}.pl-252{padding-left:252px!important}.pt-256{padding-top:256px!important}.pr-256{padding-right:256px!important}.pb-256{padding-bottom:256px!important}.pl-256{padding-left:256px!important}.bold{font-weight:700}.italic{font-weight:italic}.left{text-align:left}.right{text-align:right}.center{text-align:center}.pointer{cursor:pointer}.mid-width{width:50%}.full-width{width:100%}.hidden{display:none!important}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.TranslateService }, { type: HopperEventsService }, { type: i0.ChangeDetectorRef }, { type: LoggerService }, { type: HopperCfarService }]; }, propDecorators: { hCSessionId: [{
                type: Input
            }], itineraries: [{
                type: Input
            }], uiVariant: [{
                type: Input
            }], hasNoCoverageOption: [{
                type: Input
            }], hasWarningCoverageMessage: [{
                type: Input
            }], chooseCoverage: [{
                type: Output
            }], offersLoaded: [{
                type: Output
            }] } });

registerLocaleData(localeFr, 'fr');
registerLocaleData(localeEn, 'en');
registerLocaleData(localeZh, 'zh');
class HopperCloudAirlinesAngularSdkModule {
}
HopperCloudAirlinesAngularSdkModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperCloudAirlinesAngularSdkModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
HopperCloudAirlinesAngularSdkModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.10", ngImport: i0, type: HopperCloudAirlinesAngularSdkModule, declarations: [GlobalComponent,
        GlobalEventComponent,
        CfarOfferBannerComponent,
        CfarOfferBannerLargeComponent,
        CfarOfferDialogComponent], imports: [CommonModule,
        HttpClientModule,
        ReactiveFormsModule,
        FormsModule,
        FlexLayoutModule,
        MatButtonModule,
        MatDialogModule,
        MatIconModule,
        MatCardModule,
        MatSlideToggleModule,
        MatDividerModule,
        MatSelectModule,
        MatProgressSpinnerModule,
        MatStepperModule,
        MatFormFieldModule,
        MatInputModule,
        MatRadioModule,
        ApiModule, i1$1.TranslateModule], exports: [CfarOfferBannerComponent,
        CfarOfferBannerLargeComponent,
        CfarOfferDialogComponent] });
HopperCloudAirlinesAngularSdkModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperCloudAirlinesAngularSdkModule, providers: [
        HopperCfarService,
        HopperEventsService,
        LoggerService,
        DecimalPipe,
    ], imports: [CommonModule,
        HttpClientModule,
        ReactiveFormsModule,
        FormsModule,
        FlexLayoutModule,
        MatButtonModule,
        MatDialogModule,
        MatIconModule,
        MatCardModule,
        MatSlideToggleModule,
        MatDividerModule,
        MatSelectModule,
        MatProgressSpinnerModule,
        MatStepperModule,
        MatFormFieldModule,
        MatInputModule,
        MatRadioModule,
        ApiModule,
        TranslateModule.forRoot()] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: HopperCloudAirlinesAngularSdkModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        GlobalComponent,
                        GlobalEventComponent,
                        CfarOfferBannerComponent,
                        CfarOfferBannerLargeComponent,
                        CfarOfferDialogComponent,
                    ],
                    imports: [
                        CommonModule,
                        HttpClientModule,
                        ReactiveFormsModule,
                        FormsModule,
                        FlexLayoutModule,
                        MatButtonModule,
                        MatDialogModule,
                        MatIconModule,
                        MatCardModule,
                        MatSlideToggleModule,
                        MatDividerModule,
                        MatSelectModule,
                        MatProgressSpinnerModule,
                        MatStepperModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatRadioModule,
                        ApiModule,
                        TranslateModule.forRoot(),
                    ],
                    exports: [
                        CfarOfferBannerComponent,
                        CfarOfferBannerLargeComponent,
                        CfarOfferDialogComponent,
                    ],
                    providers: [
                        HopperCfarService,
                        HopperEventsService,
                        LoggerService,
                        DecimalPipe,
                    ],
                }]
        }] });

export { CfarOfferBannerComponent, CfarOfferBannerLargeComponent, CfarOfferDialogComponent, DialogUtils, HcAirlinesError, HopperCloudAirlinesAngularSdkModule };
//# sourceMappingURL=hopper-cloud-airlines-angular-sdk.mjs.map
